   1                     ; C Compiler for STM8 (COSMIC Software)
   2                     ; Generator V4.2.7 - 17 Jun 2008
   3                     ; Optimizer V4.2.7 - 17 Jun 2008
 126                     ; 40 void SPI_DeInit(SPI_TypeDef* SPIx)
 126                     ; 41 {
 128                     .text:	section	.text,new
 129  0000               _SPI_DeInit:
 133                     ; 42   SPIx->CR1    = SPI_CR1_RESET_VALUE;
 135  0000 7f            	clr	(x)
 136                     ; 43   SPIx->CR2    = SPI_CR2_RESET_VALUE;
 138  0001 6f01          	clr	(1,x)
 139                     ; 44   SPIx->CR3    = SPI_CR3_RESET_VALUE;
 141  0003 6f02          	clr	(2,x)
 142                     ; 45   SPIx->SR     = SPI_SR_RESET_VALUE;
 144  0005 a602          	ld	a,#2
 145  0007 e703          	ld	(3,x),a
 146                     ; 46   SPIx->CRCPR  = SPI_CRCPR_RESET_VALUE;
 148  0009 a607          	ld	a,#7
 149  000b e705          	ld	(5,x),a
 150                     ; 47 }
 153  000d 81            	ret	
 479                     ; 62 void SPI_Init(SPI_TypeDef* SPIx, SPI_FirstBit_TypeDef SPI_FirstBit, 
 479                     ; 63               SPI_BaudRatePrescaler_TypeDef SPI_BaudRatePrescaler, 
 479                     ; 64 							SPI_Mode_TypeDef SPI_Mode, SPI_CPOL_TypeDef SPI_CPOL, 
 479                     ; 65 							SPI_CPHA_TypeDef SPI_CPHA, SPI_DirectionMode_TypeDef SPI_Data_Direction, 
 479                     ; 66 							SPI_NSS_TypeDef SPI_Slave_Management, uint8_t CRCPolynomial)
 479                     ; 67 {
 480                     .text:	section	.text,new
 481  0000               _SPI_Init:
 483  0000 89            	pushw	x
 484       00000000      OFST:	set	0
 487                     ; 69   assert_param(IS_SPI_FIRSTBIT(SPI_FirstBit));
 489                     ; 70   assert_param(IS_SPI_BAUDRATE_PRESCALER(SPI_BaudRatePrescaler));
 491                     ; 71   assert_param(IS_SPI_MODE(SPI_Mode));
 493                     ; 72   assert_param(IS_SPI_POLARITY(SPI_CPOL));
 495                     ; 73   assert_param(IS_SPI_PHASE(SPI_CPHA));
 497                     ; 74   assert_param(IS_SPI_DATA_DIRECTION(SPI_Data_Direction));
 499                     ; 75   assert_param(IS_SPI_SLAVEMANAGEMENT(SPI_Slave_Management));
 501                     ; 76   assert_param(IS_SPI_CRC_POLYNOMIAL(CRCPolynomial));
 503                     ; 79   SPIx->CR1 = (uint8_t)((uint8_t)(SPI_FirstBit) |
 503                     ; 80                   (uint8_t)(SPI_BaudRatePrescaler) |
 503                     ; 81                   (uint8_t)(SPI_CPOL) |
 503                     ; 82                   (uint8_t)(SPI_CPHA));
 505  0001 7b05          	ld	a,(OFST+5,sp)
 506  0003 1a06          	or	a,(OFST+6,sp)
 507  0005 1a08          	or	a,(OFST+8,sp)
 508  0007 1e01          	ldw	x,(OFST+1,sp)
 509  0009 1a09          	or	a,(OFST+9,sp)
 510  000b f7            	ld	(x),a
 511                     ; 85   SPIx->CR2 = (uint8_t)((uint8_t)(SPI_Data_Direction) | (uint8_t)(SPI_Slave_Management));
 513  000c 7b0a          	ld	a,(OFST+10,sp)
 514  000e 1a0b          	or	a,(OFST+11,sp)
 515  0010 e701          	ld	(1,x),a
 516                     ; 87   if (SPI_Mode == SPI_Mode_Master)
 518  0012 7b07          	ld	a,(OFST+7,sp)
 519  0014 a104          	cp	a,#4
 520  0016 2606          	jrne	L562
 521                     ; 89     SPIx->CR2 |= (uint8_t)SPI_CR2_SSI;
 523  0018 e601          	ld	a,(1,x)
 524  001a aa01          	or	a,#1
 526  001c 2004          	jra	L762
 527  001e               L562:
 528                     ; 93     SPIx->CR2 &= (uint8_t)~(SPI_CR2_SSI);
 530  001e e601          	ld	a,(1,x)
 531  0020 a4fe          	and	a,#254
 532  0022               L762:
 533  0022 e701          	ld	(1,x),a
 534                     ; 97   SPIx->CR1 |= (uint8_t)(SPI_Mode);
 536  0024 f6            	ld	a,(x)
 537  0025 1a07          	or	a,(OFST+7,sp)
 538  0027 f7            	ld	(x),a
 539                     ; 100   SPIx->CRCPR = (uint8_t)CRCPolynomial;
 541  0028 7b0c          	ld	a,(OFST+12,sp)
 542  002a e705          	ld	(5,x),a
 543                     ; 101 }
 546  002c 85            	popw	x
 547  002d 81            	ret	
 614                     ; 110 void SPI_Cmd(SPI_TypeDef* SPIx, FunctionalState NewState)
 614                     ; 111 {
 615                     .text:	section	.text,new
 616  0000               _SPI_Cmd:
 618  0000 89            	pushw	x
 619       00000000      OFST:	set	0
 622                     ; 113   assert_param(IS_FUNCTIONAL_STATE(NewState));
 624                     ; 115   if (NewState != DISABLE)
 626  0001 7b05          	ld	a,(OFST+5,sp)
 627  0003 2705          	jreq	L523
 628                     ; 117     SPIx->CR1 |= SPI_CR1_SPE; /* Enable the SPI peripheral*/
 630  0005 f6            	ld	a,(x)
 631  0006 aa40          	or	a,#64
 633  0008 2005          	jra	L723
 634  000a               L523:
 635                     ; 121     SPIx->CR1 &= (uint8_t)(~SPI_CR1_SPE); /* Disable the SPI peripheral*/
 637  000a 1e01          	ldw	x,(OFST+1,sp)
 638  000c f6            	ld	a,(x)
 639  000d a4bf          	and	a,#191
 640  000f               L723:
 641  000f f7            	ld	(x),a
 642                     ; 123 }
 645  0010 85            	popw	x
 646  0011 81            	ret	
 767                     ; 133 void SPI_ITConfig(SPI_TypeDef* SPIx, SPI_IT_TypeDef SPI_IT, FunctionalState NewState)
 767                     ; 134 {
 768                     .text:	section	.text,new
 769  0000               _SPI_ITConfig:
 771  0000 89            	pushw	x
 772  0001 88            	push	a
 773       00000001      OFST:	set	1
 776                     ; 135   uint8_t itpos = 0;
 778  0002 0f01          	clr	(OFST+0,sp)
 779                     ; 137   assert_param(IS_SPI_CONFIG_IT(SPI_IT));
 781                     ; 138   assert_param(IS_FUNCTIONAL_STATE(NewState));
 783                     ; 141   itpos = (uint8_t)((uint8_t)1 << (uint8_t)((uint8_t)SPI_IT & (uint8_t)0x0F));
 785  0004 7b06          	ld	a,(OFST+5,sp)
 786  0006 a40f          	and	a,#15
 787  0008 5f            	clrw	x
 788  0009 97            	ld	xl,a
 789  000a a601          	ld	a,#1
 790  000c 5d            	tnzw	x
 791  000d 2704          	jreq	L41
 792  000f               L61:
 793  000f 48            	sll	a
 794  0010 5a            	decw	x
 795  0011 26fc          	jrne	L61
 796  0013               L41:
 797  0013 6b01          	ld	(OFST+0,sp),a
 798                     ; 143   if (NewState != DISABLE)
 800  0015 0d07          	tnz	(OFST+6,sp)
 801  0017 2708          	jreq	L704
 802                     ; 145     SPIx->CR3 |= itpos; /* Enable interrupt*/
 804  0019 1e02          	ldw	x,(OFST+1,sp)
 805  001b e602          	ld	a,(2,x)
 806  001d 1a01          	or	a,(OFST+0,sp)
 808  001f 2005          	jra	L114
 809  0021               L704:
 810                     ; 149     SPIx->CR3 &= (uint8_t)(~itpos); /* Disable interrupt*/
 812  0021 1e02          	ldw	x,(OFST+1,sp)
 813  0023 43            	cpl	a
 814  0024 e402          	and	a,(2,x)
 815  0026               L114:
 816  0026 e702          	ld	(2,x),a
 817                     ; 151 }
 820  0028 5b03          	addw	sp,#3
 821  002a 81            	ret	
 867                     ; 158 void SPI_SendData(SPI_TypeDef* SPIx, uint8_t Data)
 867                     ; 159 {
 868                     .text:	section	.text,new
 869  0000               _SPI_SendData:
 871  0000 89            	pushw	x
 872       00000000      OFST:	set	0
 875                     ; 160   SPIx->DR = Data; /* Write in the DR register the data to be sent*/
 877  0001 1e01          	ldw	x,(OFST+1,sp)
 878  0003 7b05          	ld	a,(OFST+5,sp)
 879  0005 e704          	ld	(4,x),a
 880                     ; 161 }
 883  0007 85            	popw	x
 884  0008 81            	ret	
 921                     ; 169 uint8_t SPI_ReceiveData(SPI_TypeDef* SPIx)
 921                     ; 170 {
 922                     .text:	section	.text,new
 923  0000               _SPI_ReceiveData:
 927                     ; 171   return ((uint8_t)SPIx->DR); /* Return the data in the DR register*/
 929  0000 e604          	ld	a,(4,x)
 932  0002 81            	ret	
 980                     ; 181 void SPI_NSSInternalSoftwareCmd(SPI_TypeDef* SPIx, FunctionalState NewState)
 980                     ; 182 {
 981                     .text:	section	.text,new
 982  0000               _SPI_NSSInternalSoftwareCmd:
 984  0000 89            	pushw	x
 985       00000000      OFST:	set	0
 988                     ; 184   assert_param(IS_FUNCTIONAL_STATE(NewState));
 990                     ; 186   if (NewState != DISABLE)
 992  0001 7b05          	ld	a,(OFST+5,sp)
 993  0003 2706          	jreq	L305
 994                     ; 188     SPIx->CR2 |= SPI_CR2_SSI; /* Set NSS pin internally by software*/
 996  0005 e601          	ld	a,(1,x)
 997  0007 aa01          	or	a,#1
 999  0009 2006          	jra	L505
1000  000b               L305:
1001                     ; 192     SPIx->CR2 &= (uint8_t)(~SPI_CR2_SSI); /* Reset NSS pin internally by software*/
1003  000b 1e01          	ldw	x,(OFST+1,sp)
1004  000d e601          	ld	a,(1,x)
1005  000f a4fe          	and	a,#254
1006  0011               L505:
1007  0011 e701          	ld	(1,x),a
1008                     ; 194 }
1011  0013 85            	popw	x
1012  0014 81            	ret	
1049                     ; 202 void SPI_TransmitCRC(SPI_TypeDef* SPIx)
1049                     ; 203 {
1050                     .text:	section	.text,new
1051  0000               _SPI_TransmitCRC:
1055                     ; 204   SPIx->CR2 |= SPI_CR2_CRCNEXT; /* Enable the CRC transmission*/
1057  0000 e601          	ld	a,(1,x)
1058  0002 aa10          	or	a,#16
1059  0004 e701          	ld	(1,x),a
1060                     ; 205 }
1063  0006 81            	ret	
1112                     ; 214 void SPI_CalculateCRCCmd(SPI_TypeDef* SPIx, FunctionalState NewState)
1112                     ; 215 {
1113                     .text:	section	.text,new
1114  0000               _SPI_CalculateCRCCmd:
1116  0000 89            	pushw	x
1117       00000000      OFST:	set	0
1120                     ; 217   assert_param(IS_FUNCTIONAL_STATE(NewState));
1122                     ; 220   SPI_Cmd(SPI1, DISABLE);
1124  0001 4b00          	push	#0
1125  0003 ae5200        	ldw	x,#20992
1126  0006 cd0000        	call	_SPI_Cmd
1128  0009 84            	pop	a
1129                     ; 222   if (NewState != DISABLE)
1131  000a 7b05          	ld	a,(OFST+5,sp)
1132  000c 2708          	jreq	L355
1133                     ; 224     SPIx->CR2 |= SPI_CR2_CRCEN; /* Enable the CRC calculation*/
1135  000e 1e01          	ldw	x,(OFST+1,sp)
1136  0010 e601          	ld	a,(1,x)
1137  0012 aa20          	or	a,#32
1139  0014 2006          	jra	L555
1140  0016               L355:
1141                     ; 228     SPIx->CR2 &= (uint8_t)(~SPI_CR2_CRCEN); /* Disable the CRC calculation*/
1143  0016 1e01          	ldw	x,(OFST+1,sp)
1144  0018 e601          	ld	a,(1,x)
1145  001a a4df          	and	a,#223
1146  001c               L555:
1147  001c e701          	ld	(1,x),a
1148                     ; 230 }
1151  001e 85            	popw	x
1152  001f 81            	ret	
1228                     ; 238 uint8_t SPI_GetCRC(SPI_TypeDef* SPIx, SPI_CRC_TypeDef SPI_CRC)
1228                     ; 239 {
1229                     .text:	section	.text,new
1230  0000               _SPI_GetCRC:
1232  0000 89            	pushw	x
1233  0001 88            	push	a
1234       00000001      OFST:	set	1
1237                     ; 240   uint8_t crcreg = 0;
1239  0002 0f01          	clr	(OFST+0,sp)
1240                     ; 243   assert_param(IS_SPI_CRC(SPI_CRC));
1242                     ; 245   if (SPI_CRC != SPI_CRC_RX)
1244  0004 7b06          	ld	a,(OFST+5,sp)
1245  0006 2704          	jreq	L716
1246                     ; 247     crcreg = SPIx->TXCRCR;  /* Get the Tx CRC register*/
1248  0008 e607          	ld	a,(7,x)
1250  000a 2004          	jra	L126
1251  000c               L716:
1252                     ; 251     crcreg = SPIx->RXCRCR; /* Get the Rx CRC register*/
1254  000c 1e02          	ldw	x,(OFST+1,sp)
1255  000e e606          	ld	a,(6,x)
1256  0010               L126:
1257                     ; 255   return crcreg;
1261  0010 5b03          	addw	sp,#3
1262  0012 81            	ret	
1301                     ; 263 void SPI_ResetCRC(SPI_TypeDef* SPIx)
1301                     ; 264 {
1302                     .text:	section	.text,new
1303  0000               _SPI_ResetCRC:
1305  0000 89            	pushw	x
1306       00000000      OFST:	set	0
1309                     ; 267   SPI_CalculateCRCCmd(SPIx, ENABLE);
1311  0001 4b01          	push	#1
1312  0003 cd0000        	call	_SPI_CalculateCRCCmd
1314  0006 84            	pop	a
1315                     ; 270   SPI_Cmd(SPIx, ENABLE);
1317  0007 4b01          	push	#1
1318  0009 1e02          	ldw	x,(OFST+2,sp)
1319  000b cd0000        	call	_SPI_Cmd
1321  000e 84            	pop	a
1322                     ; 271 }
1325  000f 85            	popw	x
1326  0010 81            	ret	
1364                     ; 278 uint8_t SPI_GetCRCPolynomial(SPI_TypeDef* SPIx)
1364                     ; 279 {
1365                     .text:	section	.text,new
1366  0000               _SPI_GetCRCPolynomial:
1370                     ; 280   return SPIx->CRCPR; /* Return the CRC polynomial register */
1372  0000 e605          	ld	a,(5,x)
1375  0002 81            	ret	
1443                     ; 289 void SPI_BiDirectionalLineConfig(SPI_TypeDef* SPIx, SPI_Direction_TypeDef SPI_Direction)
1443                     ; 290 {
1444                     .text:	section	.text,new
1445  0000               _SPI_BiDirectionalLineConfig:
1447  0000 89            	pushw	x
1448       00000000      OFST:	set	0
1451                     ; 292   assert_param(IS_SPI_DIRECTION(SPI_Direction));
1453                     ; 294   if (SPI_Direction != SPI_Direction_Rx)
1455  0001 7b05          	ld	a,(OFST+5,sp)
1456  0003 2706          	jreq	L717
1457                     ; 296     SPIx->CR2 |= SPI_CR2_BDOE; /* Set the Tx only mode*/
1459  0005 e601          	ld	a,(1,x)
1460  0007 aa40          	or	a,#64
1462  0009 2006          	jra	L127
1463  000b               L717:
1464                     ; 300     SPIx->CR2 &= (uint8_t)(~SPI_CR2_BDOE); /* Set the Rx only mode*/
1466  000b 1e01          	ldw	x,(OFST+1,sp)
1467  000d e601          	ld	a,(1,x)
1468  000f a4bf          	and	a,#191
1469  0011               L127:
1470  0011 e701          	ld	(1,x),a
1471                     ; 302 }
1474  0013 85            	popw	x
1475  0014 81            	ret	
1552                     ; 312 void SPI_DMACmd(SPI_TypeDef* SPIx, SPI_DMAReq_TypeDef SPI_DMAReq, FunctionalState NewState)
1552                     ; 313 {
1553                     .text:	section	.text,new
1554  0000               _SPI_DMACmd:
1556  0000 89            	pushw	x
1557       00000000      OFST:	set	0
1560                     ; 315   assert_param(IS_FUNCTIONAL_STATE(NewState));
1562                     ; 316   assert_param(IS_SPI_DMAREQ(SPI_DMAReq));
1564                     ; 318   if (NewState != DISABLE)
1566  0001 7b06          	ld	a,(OFST+6,sp)
1567  0003 2706          	jreq	L367
1568                     ; 321     SPIx->CR3 |= (uint8_t) SPI_DMAReq;
1570  0005 e602          	ld	a,(2,x)
1571  0007 1a05          	or	a,(OFST+5,sp)
1573  0009 2007          	jra	L567
1574  000b               L367:
1575                     ; 326     SPIx->CR3 &= (uint8_t)~SPI_DMAReq;
1577  000b 1e01          	ldw	x,(OFST+1,sp)
1578  000d 7b05          	ld	a,(OFST+5,sp)
1579  000f 43            	cpl	a
1580  0010 e402          	and	a,(2,x)
1581  0012               L567:
1582  0012 e702          	ld	(2,x),a
1583                     ; 328 }
1586  0014 85            	popw	x
1587  0015 81            	ret	
1720                     ; 338 FlagStatus SPI_GetFlagStatus(SPI_TypeDef* SPIx, SPI_FLAG_TypeDef SPI_FLAG)
1720                     ; 339 {
1721                     .text:	section	.text,new
1722  0000               _SPI_GetFlagStatus:
1724  0000 89            	pushw	x
1725  0001 88            	push	a
1726       00000001      OFST:	set	1
1729                     ; 340   FlagStatus status = RESET;
1731  0002 0f01          	clr	(OFST+0,sp)
1732                     ; 342   assert_param(IS_SPI_FLAG(SPI_FLAG));
1734                     ; 345   if ((SPIx->SR & (uint8_t)SPI_FLAG) != (uint8_t)RESET)
1736  0004 e603          	ld	a,(3,x)
1737  0006 1506          	bcp	a,(OFST+5,sp)
1738  0008 2704          	jreq	L1501
1739                     ; 347     status = SET; /* SPI_FLAG is set */
1741  000a a601          	ld	a,#1
1743  000c 2001          	jra	L3501
1744  000e               L1501:
1745                     ; 351     status = RESET; /* SPI_FLAG is reset*/
1747  000e 4f            	clr	a
1748  000f               L3501:
1749                     ; 355   return status;
1753  000f 5b03          	addw	sp,#3
1754  0011 81            	ret	
1801                     ; 374 void SPI_ClearFlag(SPI_TypeDef* SPIx, SPI_FLAG_TypeDef SPI_FLAG)
1801                     ; 375 {
1802                     .text:	section	.text,new
1803  0000               _SPI_ClearFlag:
1805  0000 89            	pushw	x
1806       00000000      OFST:	set	0
1809                     ; 376   assert_param(IS_SPI_CLEAR_FLAG(SPI_FLAG));
1811                     ; 378   SPIx->SR = (uint8_t)(~SPI_FLAG);
1813  0001 7b05          	ld	a,(OFST+5,sp)
1814  0003 1e01          	ldw	x,(OFST+1,sp)
1815  0005 43            	cpl	a
1816  0006 e703          	ld	(3,x),a
1817                     ; 379 }
1820  0008 85            	popw	x
1821  0009 81            	ret	
1915                     ; 395 ITStatus SPI_GetITStatus(SPI_TypeDef* SPIx, SPI_IT_TypeDef SPI_IT)
1915                     ; 396 {
1916                     .text:	section	.text,new
1917  0000               _SPI_GetITStatus:
1919  0000 89            	pushw	x
1920  0001 5203          	subw	sp,#3
1921       00000003      OFST:	set	3
1924                     ; 397   ITStatus pendingbitstatus = RESET;
1926                     ; 398   uint8_t itpos = 0;
1928                     ; 399   uint8_t itmask1 = 0;
1930                     ; 400   uint8_t itmask2 = 0;
1932                     ; 401   __IO uint8_t enablestatus = 0;
1934  0003 0f02          	clr	(OFST-1,sp)
1935                     ; 402   assert_param(IS_SPI_GET_IT(SPI_IT));
1937                     ; 404   itpos = (uint8_t)((uint8_t)1 << ((uint8_t)SPI_IT & (uint8_t)0x0F));
1939  0005 7b08          	ld	a,(OFST+5,sp)
1940  0007 a40f          	and	a,#15
1941  0009 5f            	clrw	x
1942  000a 97            	ld	xl,a
1943  000b a601          	ld	a,#1
1944  000d 5d            	tnzw	x
1945  000e 2704          	jreq	L06
1946  0010               L26:
1947  0010 48            	sll	a
1948  0011 5a            	decw	x
1949  0012 26fc          	jrne	L26
1950  0014               L06:
1951  0014 6b01          	ld	(OFST-2,sp),a
1952                     ; 407   itmask1 = (uint8_t)((uint8_t)SPI_IT >> (uint8_t)4);
1954  0016 7b08          	ld	a,(OFST+5,sp)
1955  0018 4e            	swap	a
1956  0019 a40f          	and	a,#15
1957  001b 6b03          	ld	(OFST+0,sp),a
1958                     ; 409   itmask2 = (uint8_t)((uint8_t)1 << itmask1);
1960  001d 5f            	clrw	x
1961  001e 97            	ld	xl,a
1962  001f a601          	ld	a,#1
1963  0021 5d            	tnzw	x
1964  0022 2704          	jreq	L46
1965  0024               L66:
1966  0024 48            	sll	a
1967  0025 5a            	decw	x
1968  0026 26fc          	jrne	L66
1969  0028               L46:
1970  0028 6b03          	ld	(OFST+0,sp),a
1971                     ; 411   enablestatus = (uint8_t)((uint8_t)SPIx->SR & itmask2);
1973  002a 1e04          	ldw	x,(OFST+1,sp)
1974  002c e603          	ld	a,(3,x)
1975  002e 1403          	and	a,(OFST+0,sp)
1976  0030 6b02          	ld	(OFST-1,sp),a
1977                     ; 413   if (((SPIx->CR3 & itpos) != RESET) && enablestatus)
1979  0032 e602          	ld	a,(2,x)
1980  0034 1501          	bcp	a,(OFST-2,sp)
1981  0036 2708          	jreq	L1511
1983  0038 0d02          	tnz	(OFST-1,sp)
1984  003a 2704          	jreq	L1511
1985                     ; 416     pendingbitstatus = SET;
1987  003c a601          	ld	a,#1
1989  003e 2001          	jra	L3511
1990  0040               L1511:
1991                     ; 421     pendingbitstatus = RESET;
1993  0040 4f            	clr	a
1994  0041               L3511:
1995                     ; 424   return  pendingbitstatus;
1999  0041 5b05          	addw	sp,#5
2000  0043 81            	ret	
2057                     ; 443 void SPI_ClearITPendingBit(SPI_TypeDef* SPIx, SPI_IT_TypeDef SPI_IT)
2057                     ; 444 {
2058                     .text:	section	.text,new
2059  0000               _SPI_ClearITPendingBit:
2061  0000 89            	pushw	x
2062  0001 88            	push	a
2063       00000001      OFST:	set	1
2066                     ; 445   uint8_t itpos = 0;
2068  0002 0f01          	clr	(OFST+0,sp)
2069                     ; 446   assert_param(IS_SPI_CLEAR_IT(SPI_IT));
2071                     ; 451   itpos = (uint8_t)((uint8_t)1 << (((uint8_t)SPI_IT & (uint8_t)0xF0) >> 4));
2073  0004 7b06          	ld	a,(OFST+5,sp)
2074  0006 4e            	swap	a
2075  0007 a40f          	and	a,#15
2076  0009 5f            	clrw	x
2077  000a 97            	ld	xl,a
2078  000b a601          	ld	a,#1
2079  000d 5d            	tnzw	x
2080  000e 2704          	jreq	L27
2081  0010               L47:
2082  0010 48            	sll	a
2083  0011 5a            	decw	x
2084  0012 26fc          	jrne	L47
2085  0014               L27:
2086  0014 6b01          	ld	(OFST+0,sp),a
2087                     ; 453   SPIx->SR = (uint8_t)(~itpos);
2089  0016 1e02          	ldw	x,(OFST+1,sp)
2090  0018 43            	cpl	a
2091  0019 e703          	ld	(3,x),a
2092                     ; 455 }
2095  001b 5b03          	addw	sp,#3
2096  001d 81            	ret	
2109                     	xdef	_SPI_ClearITPendingBit
2110                     	xdef	_SPI_GetITStatus
2111                     	xdef	_SPI_ClearFlag
2112                     	xdef	_SPI_GetFlagStatus
2113                     	xdef	_SPI_DMACmd
2114                     	xdef	_SPI_BiDirectionalLineConfig
2115                     	xdef	_SPI_GetCRCPolynomial
2116                     	xdef	_SPI_ResetCRC
2117                     	xdef	_SPI_GetCRC
2118                     	xdef	_SPI_CalculateCRCCmd
2119                     	xdef	_SPI_TransmitCRC
2120                     	xdef	_SPI_NSSInternalSoftwareCmd
2121                     	xdef	_SPI_ReceiveData
2122                     	xdef	_SPI_SendData
2123                     	xdef	_SPI_ITConfig
2124                     	xdef	_SPI_Cmd
2125                     	xdef	_SPI_Init
2126                     	xdef	_SPI_DeInit
2145                     	end
