// Define to prevent recursive inclusion -------------------------------------
#ifndef __ICC_MEASURE_H
#define __ICC_MEASURE_H

// Includes ------------------------------------------------------------------
#include "stm8l15x.h"
#include "stm8l15x_tim4.h"
#include "stm8l15x_adc.h"

// Private define ------------------------------------------------------------
#define ADC_TEST_FAIL		0x8000
#define MCU_RUN     0
#define MCU_LPR			1
#define MCU_HALT_LCD	2
#define MCU_HALT    3
// Exported constants --------------------------------------------------------
// Exported macro ------------------------------------------------------------
// Exported functions ------------------------------------------------------- 
u16 ADC_Supply(void);
void ADC_Icc_Init(void);
u16 ADC_Icc_Test(u8 Mcu_State);
void GPIO_LowPower_Config(u8 config);
void delay_ms(u16 n_ms);
void delay_10us(u16 n_10us);
void Delay(__IO uint16_t nCount);

#endif /* __ICC_MEASURE_H*/

