   1                     ; C Compiler for STM8 (COSMIC Software)
   2                     ; Parser V4.8.32 - 23 Mar 2010
   3                     ; Generator V4.3.4 - 23 Mar 2010
   4                     ; Optimizer V4.3.3 - 10 Feb 2010
  48                     ; 41 void DMA_GlobalDeInit(void)
  48                     ; 42 {
  50                     .text:	section	.text,new
  51  0000               _DMA_GlobalDeInit:
  55                     ; 44     DMA->GCSR &= (uint8_t)~(DMA_GCSR_GE);
  57  0000 72115070      	bres	20592,#0
  58                     ; 46     DMA->GCSR  = (uint8_t)DMA_GCSR_RESET_VALUE;
  60  0004 35fc5070      	mov	20592,#252
  61                     ; 47 }
  64  0008 81            	ret	
 180                     ; 53 void DMA_DeInit(DMA_Channel_TypeDef* DMA_Channelx)
 180                     ; 54 {
 181                     .text:	section	.text,new
 182  0000               _DMA_DeInit:
 184  0000 89            	pushw	x
 185       00000000      OFST:	set	0
 188                     ; 56     assert_param(IS_DMA_CHANNEL(DMA_Channelx));
 190                     ; 58     DMA_Channelx->CCR &= (uint8_t)~(DMA_CCR_CE);
 192  0001 f6            	ld	a,(x)
 193  0002 a4fe          	and	a,#254
 194  0004 f7            	ld	(x),a
 195                     ; 60     DMA_Channelx->CCR  = DMA_CCR_RESET_VALUE;
 197  0005 7f            	clr	(x)
 198                     ; 63     DMA_Channelx->CNBTR = DMA_CNBTR_RESET_VALUE;
 200  0006 6f02          	clr	(2,x)
 201                     ; 66     if (DMA_Channelx == DMA1_Channel3)
 203  0008 a35093        	cpw	x,#20627
 204  000b 2604          	jrne	L501
 205                     ; 68         DMA_Channelx->CPARH  = DMA_C3PARH_RESET_VALUE;
 207  000d a640          	ld	a,#64
 209  000f 2004          	jra	L701
 210  0011               L501:
 211                     ; 72         DMA_Channelx->CPARH  = DMA_CPARH_RESET_VALUE;
 213  0011 1e01          	ldw	x,(OFST+1,sp)
 214  0013 a652          	ld	a,#82
 215  0015               L701:
 216  0015 e703          	ld	(3,x),a
 217                     ; 74     DMA_Channelx->CPARL  = DMA_CPARL_RESET_VALUE;
 219  0017 1e01          	ldw	x,(OFST+1,sp)
 220                     ; 77     DMA_Channelx->CM0ARH = DMA_CM0ARH_RESET_VALUE;
 222  0019 6f06          	clr	(6,x)
 223  001b 6f04          	clr	(4,x)
 224                     ; 78     DMA_Channelx->CM0ARL = DMA_CM0ARL_RESET_VALUE;
 226  001d 6f07          	clr	(7,x)
 227                     ; 80     DMA_Channelx->CSPR = DMA_CSPR_RESET_VALUE;
 229  001f 6f01          	clr	(1,x)
 230                     ; 82 }
 233  0021 85            	popw	x
 234  0022 81            	ret	
 480                     ; 106 void DMA_Init(DMA_Channel_TypeDef* DMA_Channelx,
 480                     ; 107               uint16_t DMA_Memory0BaseAddr,
 480                     ; 108               uint16_t DMA_PeripheralMemory1BaseAddr,
 480                     ; 109               uint8_t DMA_BufferSize,
 480                     ; 110               DMA_DIR_TypeDef DMA_DIR,
 480                     ; 111               DMA_Mode_TypeDef DMA_Mode,
 480                     ; 112               DMA_MemoryIncMode_TypeDef DMA_MemoryIncMode,
 480                     ; 113               DMA_Priority_TypeDef DMA_Priority,
 480                     ; 114               DMA_MemoryDataSize_TypeDef DMA_MemoryDataSize )
 480                     ; 115 {
 481                     .text:	section	.text,new
 482  0000               _DMA_Init:
 484  0000 89            	pushw	x
 485       00000000      OFST:	set	0
 488                     ; 117     assert_param(IS_DMA_CHANNEL(DMA_Channelx));
 490                     ; 118     assert_param(IS_DMA_DIR(DMA_DIR));
 492                     ; 119     assert_param(IS_DMA_BUFFER_SIZE(DMA_BufferSize));
 494                     ; 120     assert_param(IS_DMA_MODE(DMA_Mode));
 496                     ; 121     assert_param(IS_DMA_MEMORY_INC_MODE(DMA_MemoryIncMode));
 498                     ; 122     assert_param(IS_DMA_PRIORITY(DMA_Priority));
 500                     ; 127     DMA_Channelx->CCR &= (uint8_t)~(DMA_CCR_CE);
 502  0001 f6            	ld	a,(x)
 503  0002 a4fe          	and	a,#254
 504  0004 f7            	ld	(x),a
 505                     ; 129     DMA_Channelx->CCR  = DMA_CCR_RESET_VALUE;
 507  0005 7f            	clr	(x)
 508                     ; 131     DMA_Channelx->CCR |= (uint8_t)(DMA_DIR | DMA_Mode | DMA_MemoryIncMode);
 510  0006 7b0a          	ld	a,(OFST+10,sp)
 511  0008 1a0b          	or	a,(OFST+11,sp)
 512  000a 1a0c          	or	a,(OFST+12,sp)
 513  000c fa            	or	a,(x)
 514  000d f7            	ld	(x),a
 515                     ; 133     DMA_Channelx->CSPR &= (uint8_t)~(DMA_CSPR_PL | DMA_CSPR_16BM);
 517  000e e601          	ld	a,(1,x)
 518  0010 a4c7          	and	a,#199
 519  0012 e701          	ld	(1,x),a
 520                     ; 135     DMA_Channelx->CSPR |= (uint8_t)(DMA_Priority | DMA_MemoryDataSize);
 522  0014 7b0d          	ld	a,(OFST+13,sp)
 523  0016 1a0e          	or	a,(OFST+14,sp)
 524  0018 ea01          	or	a,(1,x)
 525  001a e701          	ld	(1,x),a
 526                     ; 139     DMA_Channelx->CNBTR = (uint8_t)DMA_BufferSize;
 528  001c 1e01          	ldw	x,(OFST+1,sp)
 529  001e 7b09          	ld	a,(OFST+9,sp)
 530  0020 e702          	ld	(2,x),a
 531                     ; 143     DMA_Channelx->CPARH = (uint8_t)(DMA_PeripheralMemory1BaseAddr >> (uint8_t)8);
 533  0022 7b07          	ld	a,(OFST+7,sp)
 534  0024 e703          	ld	(3,x),a
 535                     ; 144     DMA_Channelx->CPARL = (uint8_t)(DMA_PeripheralMemory1BaseAddr);
 537  0026 7b08          	ld	a,(OFST+8,sp)
 538  0028 e704          	ld	(4,x),a
 539                     ; 147     DMA_Channelx->CM0ARH = (uint8_t)(DMA_Memory0BaseAddr >> (uint8_t)8);
 541  002a 7b05          	ld	a,(OFST+5,sp)
 542  002c e706          	ld	(6,x),a
 543                     ; 148     DMA_Channelx->CM0ARL = (uint8_t)(DMA_Memory0BaseAddr);
 545  002e 7b06          	ld	a,(OFST+6,sp)
 546  0030 e707          	ld	(7,x),a
 547                     ; 149 }
 550  0032 85            	popw	x
 551  0033 81            	ret	
 606                     ; 157 void DMA_GlobalCmd(FunctionalState NewState)
 606                     ; 158 {
 607                     .text:	section	.text,new
 608  0000               _DMA_GlobalCmd:
 612                     ; 160     assert_param(IS_FUNCTIONAL_STATE(NewState));
 614                     ; 161     if (NewState != DISABLE)
 616  0000 4d            	tnz	a
 617  0001 2705          	jreq	L572
 618                     ; 164         DMA->GCSR |= (uint8_t)DMA_GCSR_GE;
 620  0003 72105070      	bset	20592,#0
 623  0007 81            	ret	
 624  0008               L572:
 625                     ; 169         DMA->GCSR &= (uint8_t)(~DMA_GCSR_GE);
 627  0008 72115070      	bres	20592,#0
 628                     ; 171 }
 631  000c 81            	ret	
 678                     ; 182 void DMA_Cmd(DMA_Channel_TypeDef* DMA_Channelx, FunctionalState NewState)
 678                     ; 183 {
 679                     .text:	section	.text,new
 680  0000               _DMA_Cmd:
 682  0000 89            	pushw	x
 683       00000000      OFST:	set	0
 686                     ; 185     assert_param(IS_DMA_CHANNEL(DMA_Channelx));
 688                     ; 186     assert_param(IS_FUNCTIONAL_STATE(NewState));
 690                     ; 187     if (NewState != DISABLE)
 692  0001 7b05          	ld	a,(OFST+5,sp)
 693  0003 2705          	jreq	L523
 694                     ; 190         DMA_Channelx->CCR |= DMA_CCR_CE;
 696  0005 f6            	ld	a,(x)
 697  0006 aa01          	or	a,#1
 699  0008 2005          	jra	L723
 700  000a               L523:
 701                     ; 195         DMA_Channelx->CCR &= (uint8_t)(~DMA_CCR_CE);
 703  000a 1e01          	ldw	x,(OFST+1,sp)
 704  000c f6            	ld	a,(x)
 705  000d a4fe          	and	a,#254
 706  000f               L723:
 707  000f f7            	ld	(x),a
 708                     ; 197 }
 711  0010 85            	popw	x
 712  0011 81            	ret	
 789                     ; 208 void DMA_ITConfig(DMA_Channel_TypeDef* DMA_Channelx, DMA_ITx_TypeDef DMA_ITx, 
 789                     ; 209 									FunctionalState NewState)
 789                     ; 210 {
 790                     .text:	section	.text,new
 791  0000               _DMA_ITConfig:
 793  0000 89            	pushw	x
 794       00000000      OFST:	set	0
 797                     ; 212     assert_param(IS_DMA_CHANNEL(DMA_Channelx));
 799                     ; 213     assert_param(IS_DMA_CONFIG_ITX(DMA_ITx));
 801                     ; 214     assert_param(IS_FUNCTIONAL_STATE(NewState));
 803                     ; 215     if (NewState != DISABLE)
 805  0001 7b06          	ld	a,(OFST+6,sp)
 806  0003 2705          	jreq	L173
 807                     ; 218         DMA_Channelx->CCR |= (uint8_t)(DMA_ITx);
 809  0005 f6            	ld	a,(x)
 810  0006 1a05          	or	a,(OFST+5,sp)
 812  0008 2006          	jra	L373
 813  000a               L173:
 814                     ; 223         DMA_Channelx->CCR &= (uint8_t)~(DMA_ITx);
 816  000a 1e01          	ldw	x,(OFST+1,sp)
 817  000c 7b05          	ld	a,(OFST+5,sp)
 818  000e 43            	cpl	a
 819  000f f4            	and	a,(x)
 820  0010               L373:
 821  0010 f7            	ld	(x),a
 822                     ; 225 }
 825  0011 85            	popw	x
 826  0012 81            	ret	
 860                     ; 233 void DMA_SetTimeOut(uint8_t DMA_TimeOut)
 860                     ; 234 {
 861                     .text:	section	.text,new
 862  0000               _DMA_SetTimeOut:
 866                     ; 236     assert_param(IS_DMA_TIMEOUT(DMA_TimeOut));
 868                     ; 238     DMA->GCSR = 0;
 870  0000 725f5070      	clr	20592
 871                     ; 239     DMA->GCSR = (uint8_t)(DMA_TimeOut << (uint8_t)2);
 873  0004 48            	sll	a
 874  0005 48            	sll	a
 875  0006 c75070        	ld	20592,a
 876                     ; 240 }
 879  0009 81            	ret	
 917                     ; 247 uint8_t DMA_GetCurrDataCounter(DMA_Channel_TypeDef* DMA_Channelx)
 917                     ; 248 {
 918                     .text:	section	.text,new
 919  0000               _DMA_GetCurrDataCounter:
 923                     ; 250     assert_param(IS_DMA_CHANNEL(DMA_Channelx));
 925                     ; 252     return ((uint8_t)(DMA_Channelx->CNBTR));
 927  0000 e602          	ld	a,(2,x)
 930  0002 81            	ret	
1179                     ; 261 FlagStatus DMA_GetFlagStatus(DMA_FLAG_TypeDef DMA_FLAG)
1179                     ; 262 {
1180                     .text:	section	.text,new
1181  0000               _DMA_GetFlagStatus:
1183  0000 89            	pushw	x
1184  0001 5204          	subw	sp,#4
1185       00000004      OFST:	set	4
1188                     ; 263     FlagStatus bitstatus = RESET;
1190                     ; 264     DMA_Channel_TypeDef* DMA_Channelx =  DMA1_Channel0;
1192                     ; 265 		uint8_t tmpgir1 = 0;
1194                     ; 266 		uint8_t tmpgcsr = 0;
1196                     ; 267 		tmpgcsr = DMA->GCSR;
1198  0003 c65070        	ld	a,20592
1199  0006 6b04          	ld	(OFST+0,sp),a
1200                     ; 268 		tmpgir1 = DMA->GIR1;
1202  0008 c65071        	ld	a,20593
1203  000b 6b01          	ld	(OFST-3,sp),a
1204                     ; 270     assert_param(IS_DMA_GET_FLAG(DMA_FLAG));
1206                     ; 272     if ((DMA_FLAG & (uint16_t)0x0F00) != (uint16_t)RESET)
1208  000d 01            	rrwa	x,a
1209  000e 9f            	ld	a,xl
1210  000f a40f          	and	a,#15
1211  0011 97            	ld	xl,a
1212  0012 4f            	clr	a
1213  0013 02            	rlwa	x,a
1214  0014 5d            	tnzw	x
1215  0015 2728          	jreq	L165
1216                     ; 275         if ((DMA_FLAG & 0x0100) != (uint16_t)RESET)       DMA_Channelx = DMA1_Channel0;
1218  0017 7b05          	ld	a,(OFST+1,sp)
1219  0019 a501          	bcp	a,#1
1220  001b 2705          	jreq	L365
1223  001d ae5075        	ldw	x,#20597
1225  0020 2015          	jra	L565
1226  0022               L365:
1227                     ; 276         else if  ((DMA_FLAG & 0x0200) != (uint16_t)RESET) DMA_Channelx = DMA1_Channel1;
1229  0022 a502          	bcp	a,#2
1230  0024 2705          	jreq	L765
1233  0026 ae507f        	ldw	x,#20607
1235  0029 200c          	jra	L565
1236  002b               L765:
1237                     ; 277         else if  ((DMA_FLAG & 0x0400) != (uint16_t)RESET) DMA_Channelx = DMA1_Channel2;
1239  002b a504          	bcp	a,#4
1240  002d 2705          	jreq	L375
1243  002f ae5089        	ldw	x,#20617
1245  0032 2003          	jra	L565
1246  0034               L375:
1247                     ; 278         else                                         DMA_Channelx = DMA1_Channel3;
1249  0034 ae5093        	ldw	x,#20627
1250  0037               L565:
1251  0037 1f02          	ldw	(OFST-2,sp),x
1252                     ; 280         bitstatus = (uint8_t)(DMA_Channelx->CSPR & (uint8_t)DMA_FLAG);
1254  0039 e601          	ld	a,(1,x)
1255  003b 1406          	and	a,(OFST+2,sp)
1257  003d 2010          	jra	L775
1258  003f               L165:
1259                     ; 282     else if ((DMA_FLAG & 0x1000) != (uint16_t)RESET)
1261  003f 7b05          	ld	a,(OFST+1,sp)
1262  0041 a510          	bcp	a,#16
1263  0043 2706          	jreq	L106
1264                     ; 284         bitstatus = (FlagStatus)(tmpgir1 & (uint8_t)DMA_FLAG);
1266  0045 7b06          	ld	a,(OFST+2,sp)
1267  0047 1401          	and	a,(OFST-3,sp)
1269  0049 2004          	jra	L775
1270  004b               L106:
1271                     ; 288         bitstatus = (FlagStatus)(tmpgcsr & DMA_GCSR_GB);
1273  004b 7b04          	ld	a,(OFST+0,sp)
1274  004d a402          	and	a,#2
1275  004f               L775:
1276                     ; 291     return (bitstatus);
1280  004f 5b06          	addw	sp,#6
1281  0051 81            	ret	
1328                     ; 301 void DMA_ClearFlag(DMA_FLAG_TypeDef DMA_FLAG)
1328                     ; 302 {
1329                     .text:	section	.text,new
1330  0000               _DMA_ClearFlag:
1332  0000 89            	pushw	x
1333  0001 89            	pushw	x
1334       00000002      OFST:	set	2
1337                     ; 303     DMA_Channel_TypeDef* DMA_Channelx =  DMA1_Channel0;
1339                     ; 306     assert_param(IS_DMA_CLEAR_FLAG(DMA_FLAG));
1341                     ; 308     if      ((DMA_FLAG & 0x0100) != (uint16_t)RESET)   DMA_Channelx = DMA1_Channel0;
1343  0002 01            	rrwa	x,a
1344  0003 9f            	ld	a,xl
1345  0004 a401          	and	a,#1
1346  0006 97            	ld	xl,a
1347  0007 4f            	clr	a
1348  0008 02            	rlwa	x,a
1349  0009 5d            	tnzw	x
1350  000a 2705          	jreq	L136
1353  000c ae5075        	ldw	x,#20597
1355  000f 2017          	jra	L336
1356  0011               L136:
1357                     ; 309     else if ((DMA_FLAG & 0x0200) != (uint16_t)RESET)   DMA_Channelx = DMA1_Channel1;
1359  0011 7b03          	ld	a,(OFST+1,sp)
1360  0013 a502          	bcp	a,#2
1361  0015 2705          	jreq	L536
1364  0017 ae507f        	ldw	x,#20607
1366  001a 200c          	jra	L336
1367  001c               L536:
1368                     ; 310     else if ((DMA_FLAG & 0x0400) != (uint16_t)RESET)   DMA_Channelx = DMA1_Channel2;
1370  001c a504          	bcp	a,#4
1371  001e 2705          	jreq	L146
1374  0020 ae5089        	ldw	x,#20617
1376  0023 2003          	jra	L336
1377  0025               L146:
1378                     ; 311     else                                          DMA_Channelx = DMA1_Channel3;
1380  0025 ae5093        	ldw	x,#20627
1381  0028               L336:
1382  0028 1f01          	ldw	(OFST-1,sp),x
1383                     ; 313     DMA_Channelx->CSPR &= (uint8_t)~((uint8_t)DMA_FLAG & 0x06);
1385  002a 7b04          	ld	a,(OFST+2,sp)
1386  002c a406          	and	a,#6
1387  002e 43            	cpl	a
1388  002f e401          	and	a,(1,x)
1389  0031 e701          	ld	(1,x),a
1390                     ; 314 }
1393  0033 5b04          	addw	sp,#4
1394  0035 81            	ret	
1514                     ; 323 ITStatus DMA_GetITStatus(DMA_IT_TypeDef DMA_IT)
1514                     ; 324 {
1515                     .text:	section	.text,new
1516  0000               _DMA_GetITStatus:
1518  0000 88            	push	a
1519  0001 5203          	subw	sp,#3
1520       00000003      OFST:	set	3
1523                     ; 325     ITStatus bitstatus = RESET;
1525                     ; 326     DMA_Channel_TypeDef* DMA_Channelx =  DMA1_Channel0;
1527                     ; 329     assert_param(IS_DMA_GET_IT(DMA_IT));
1529                     ; 331     if ((DMA_IT & 0x10) != (uint8_t)RESET)         DMA_Channelx = DMA1_Channel0;
1531  0003 a510          	bcp	a,#16
1532  0005 2705          	jreq	L127
1535  0007 ae5075        	ldw	x,#20597
1537  000a 2017          	jra	L327
1538  000c               L127:
1539                     ; 332     else if  ((DMA_IT & 0x20) != (uint8_t)RESET)   DMA_Channelx = DMA1_Channel1;
1541  000c 7b04          	ld	a,(OFST+1,sp)
1542  000e a520          	bcp	a,#32
1543  0010 2705          	jreq	L527
1546  0012 ae507f        	ldw	x,#20607
1548  0015 200c          	jra	L327
1549  0017               L527:
1550                     ; 333     else if  ((DMA_IT & 0x40) != (uint8_t)RESET)   DMA_Channelx = DMA1_Channel2;
1552  0017 a540          	bcp	a,#64
1553  0019 2705          	jreq	L137
1556  001b ae5089        	ldw	x,#20617
1558  001e 2003          	jra	L327
1559  0020               L137:
1560                     ; 334     else                                      DMA_Channelx = DMA1_Channel3;
1562  0020 ae5093        	ldw	x,#20627
1563  0023               L327:
1564  0023 1f02          	ldw	(OFST-1,sp),x
1565                     ; 336     bitstatus = (ITStatus)(DMA_Channelx->CCR & DMA_Channelx->CSPR & (DMA_CCR_TCIE|DMA_CCR_HTIE) & DMA_IT);
1567  0025 e601          	ld	a,(1,x)
1568  0027 f4            	and	a,(x)
1569  0028 a406          	and	a,#6
1570  002a 1404          	and	a,(OFST+1,sp)
1571                     ; 339     return (bitstatus);
1575  002c 5b04          	addw	sp,#4
1576  002e 81            	ret	
1624                     ; 350 void DMA_ClearITPendingBit(DMA_IT_TypeDef DMA_IT)
1624                     ; 351 {
1625                     .text:	section	.text,new
1626  0000               _DMA_ClearITPendingBit:
1628  0000 88            	push	a
1629  0001 89            	pushw	x
1630       00000002      OFST:	set	2
1633                     ; 352     DMA_Channel_TypeDef* DMA_Channelx =  DMA1_Channel0;
1635                     ; 355     assert_param(IS_DMA_CLEAR_IT(DMA_IT));
1637                     ; 357     if      ((DMA_IT & 0x10) != (uint8_t)RESET)   DMA_Channelx = DMA1_Channel0;
1639  0002 a510          	bcp	a,#16
1640  0004 2705          	jreq	L167
1643  0006 ae5075        	ldw	x,#20597
1645  0009 2017          	jra	L367
1646  000b               L167:
1647                     ; 358     else if ((DMA_IT & 0x20) != (uint8_t)RESET)   DMA_Channelx = DMA1_Channel1;
1649  000b 7b03          	ld	a,(OFST+1,sp)
1650  000d a520          	bcp	a,#32
1651  000f 2705          	jreq	L567
1654  0011 ae507f        	ldw	x,#20607
1656  0014 200c          	jra	L367
1657  0016               L567:
1658                     ; 359     else if ((DMA_IT & 0x40) != (uint8_t)RESET)   DMA_Channelx = DMA1_Channel2;
1660  0016 a540          	bcp	a,#64
1661  0018 2705          	jreq	L177
1664  001a ae5089        	ldw	x,#20617
1666  001d 2003          	jra	L367
1667  001f               L177:
1668                     ; 360     else                                     DMA_Channelx = DMA1_Channel3;
1670  001f ae5093        	ldw	x,#20627
1671  0022               L367:
1672  0022 1f01          	ldw	(OFST-1,sp),x
1673                     ; 362     DMA_Channelx->CSPR &= (uint8_t)~(DMA_IT & 0x06);
1675  0024 7b03          	ld	a,(OFST+1,sp)
1676  0026 a406          	and	a,#6
1677  0028 43            	cpl	a
1678  0029 e401          	and	a,(1,x)
1679  002b e701          	ld	(1,x),a
1680                     ; 363 }
1683  002d 5b03          	addw	sp,#3
1684  002f 81            	ret	
1697                     	xdef	_DMA_ClearITPendingBit
1698                     	xdef	_DMA_GetITStatus
1699                     	xdef	_DMA_ClearFlag
1700                     	xdef	_DMA_GetFlagStatus
1701                     	xdef	_DMA_GetCurrDataCounter
1702                     	xdef	_DMA_SetTimeOut
1703                     	xdef	_DMA_ITConfig
1704                     	xdef	_DMA_Cmd
1705                     	xdef	_DMA_GlobalCmd
1706                     	xdef	_DMA_Init
1707                     	xdef	_DMA_DeInit
1708                     	xdef	_DMA_GlobalDeInit
1727                     	end
