   1                     ; C Compiler for STM8 (COSMIC Software)
   2                     ; Parser V4.8.32 - 23 Mar 2010
   3                     ; Generator V4.3.4 - 23 Mar 2010
   4                     ; Optimizer V4.3.3 - 10 Feb 2010
  48                     ; 42 void EXTI_DeInit(void)
  48                     ; 43 {
  50                     .text:	section	.text,new
  51  0000               _EXTI_DeInit:
  55                     ; 44     EXTI->CR1 = EXTI_CR1_RESET_VALUE;
  57  0000 725f50a0      	clr	20640
  58                     ; 45     EXTI->CR2 = EXTI_CR2_RESET_VALUE;
  60  0004 725f50a1      	clr	20641
  61                     ; 46     EXTI->CR3 = EXTI_CR3_RESET_VALUE;
  63  0008 725f50a2      	clr	20642
  64                     ; 47     EXTI->SR1 = EXTI_SR1_RESET_VALUE;
  66  000c 725f50a3      	clr	20643
  67                     ; 48     EXTI->SR2 = EXTI_SR2_RESET_VALUE;
  69  0010 725f50a4      	clr	20644
  70                     ; 49     EXTI->CONF = EXTI_CONF_RESET_VALUE;
  72  0014 725f50a5      	clr	20645
  73                     ; 50 }
  76  0018 81            	ret	
 194                     ; 67 void EXTI_SetPortSensitivity(EXTI_Port_TypeDef EXTI_Port, 
 194                     ; 68                              EXTI_Sensitivity_TypeDef EXTI_Sensitivity)
 194                     ; 69 {
 195                     .text:	section	.text,new
 196  0000               _EXTI_SetPortSensitivity:
 198  0000 89            	pushw	x
 199       00000000      OFST:	set	0
 202                     ; 72     assert_param(IS_EXTI_PORT(EXTI_Port));
 204                     ; 73     assert_param(IS_EXTI_SENSITIVITY_VALUE(EXTI_Sensitivity));
 206                     ; 76     if (EXTI_Port == EXTI_Port_B)
 208  0001 9e            	ld	a,xh
 209  0002 4d            	tnz	a
 210  0003 2607          	jrne	L37
 211                     ; 78       EXTI->CR3 &= (uint8_t)(~EXTI_CR3_PBIS);
 213  0005 c650a2        	ld	a,20642
 214  0008 a4fc          	and	a,#252
 216  000a 201d          	jra	L57
 217  000c               L37:
 218                     ; 80     else if (EXTI_Port == EXTI_Port_D)
 220  000c 7b01          	ld	a,(OFST+1,sp)
 221  000e a102          	cp	a,#2
 222  0010 2607          	jrne	L77
 223                     ; 82       EXTI->CR3 &= (uint8_t)(~EXTI_CR3_PDIS);
 225  0012 c650a2        	ld	a,20642
 226  0015 a4f3          	and	a,#243
 228  0017 2010          	jra	L57
 229  0019               L77:
 230                     ; 84     else  if(EXTI_Port == EXTI_Port_E) 
 232  0019 a104          	cp	a,#4
 233  001b 2607          	jrne	L301
 234                     ; 86       EXTI->CR3 &= (uint8_t)(~EXTI_CR3_PEIS);
 236  001d c650a2        	ld	a,20642
 237  0020 a4cf          	and	a,#207
 239  0022 2005          	jra	L57
 240  0024               L301:
 241                     ; 90       EXTI->CR3 &= (uint8_t)(~EXTI_CR3_PFIS);
 243  0024 c650a2        	ld	a,20642
 244  0027 a43f          	and	a,#63
 245  0029               L57:
 246  0029 c750a2        	ld	20642,a
 247                     ; 94     EXTI->CR3 |= (uint8_t)((uint8_t)(EXTI_Sensitivity) << EXTI_Port);
 249  002c 5f            	clrw	x
 250  002d 7b01          	ld	a,(OFST+1,sp)
 251  002f 97            	ld	xl,a
 252  0030 7b02          	ld	a,(OFST+2,sp)
 253  0032 5d            	tnzw	x
 254  0033 2704          	jreq	L01
 255  0035               L21:
 256  0035 48            	sll	a
 257  0036 5a            	decw	x
 258  0037 26fc          	jrne	L21
 259  0039               L01:
 260  0039 ca50a2        	or	a,20642
 261  003c c750a2        	ld	20642,a
 262                     ; 96 }
 265  003f 85            	popw	x
 266  0040 81            	ret	
 374                     ; 113 void EXTI_SetPinSensitivity(EXTI_Pin_TypeDef EXTI_Pin, 
 374                     ; 114                             EXTI_Sensitivity_TypeDef EXTI_Sensitivity)
 374                     ; 115 {
 375                     .text:	section	.text,new
 376  0000               _EXTI_SetPinSensitivity:
 378  0000 89            	pushw	x
 379       00000000      OFST:	set	0
 382                     ; 118     assert_param(IS_EXTI_PINNUM(EXTI_Pin));
 384                     ; 119     assert_param(IS_EXTI_SENSITIVITY_VALUE(EXTI_Sensitivity));
 386                     ; 122     switch (EXTI_Pin)
 388  0001 9e            	ld	a,xh
 390                     ; 156     default:
 390                     ; 157         break;
 391  0002 4d            	tnz	a
 392  0003 2728          	jreq	L701
 393  0005 a002          	sub	a,#2
 394  0007 273b          	jreq	L111
 395  0009 a002          	sub	a,#2
 396  000b 274e          	jreq	L311
 397  000d a002          	sub	a,#2
 398  000f 2761          	jreq	L511
 399  0011 a00a          	sub	a,#10
 400  0013 277a          	jreq	L711
 401  0015 a002          	sub	a,#2
 402  0017 2603cc00a6    	jreq	L121
 403  001c a002          	sub	a,#2
 404  001e 2603cc00bd    	jreq	L321
 405  0023 a002          	sub	a,#2
 406  0025 2603cc00d4    	jreq	L521
 407  002a cc00ef        	jra	L102
 408  002d               L701:
 409                     ; 124     case EXTI_Pin_0:
 409                     ; 125         EXTI->CR1 &=  (uint8_t)(~EXTI_CR1_P0IS);
 411  002d c650a0        	ld	a,20640
 412  0030 a4fc          	and	a,#252
 413  0032 c750a0        	ld	20640,a
 414                     ; 126         EXTI->CR1 |= (uint8_t)((uint8_t)(EXTI_Sensitivity) << EXTI_Pin);
 416  0035 5f            	clrw	x
 417  0036 7b01          	ld	a,(OFST+1,sp)
 418  0038 97            	ld	xl,a
 419  0039 7b02          	ld	a,(OFST+2,sp)
 420  003b 5d            	tnzw	x
 421  003c 2749          	jreq	L23
 422  003e               L02:
 423  003e 48            	sll	a
 424  003f 5a            	decw	x
 425  0040 26fc          	jrne	L02
 426                     ; 127         break;
 428  0042 2043          	jp	L23
 429  0044               L111:
 430                     ; 128     case EXTI_Pin_1:
 430                     ; 129         EXTI->CR1 &=  (uint8_t)(~EXTI_CR1_P1IS);
 432  0044 c650a0        	ld	a,20640
 433  0047 a4f3          	and	a,#243
 434  0049 c750a0        	ld	20640,a
 435                     ; 130         EXTI->CR1 |= (uint8_t)((uint8_t)(EXTI_Sensitivity) << EXTI_Pin);
 437  004c 5f            	clrw	x
 438  004d 7b01          	ld	a,(OFST+1,sp)
 439  004f 97            	ld	xl,a
 440  0050 7b02          	ld	a,(OFST+2,sp)
 441  0052 5d            	tnzw	x
 442  0053 2732          	jreq	L23
 443  0055               L42:
 444  0055 48            	sll	a
 445  0056 5a            	decw	x
 446  0057 26fc          	jrne	L42
 447                     ; 131         break;
 449  0059 202c          	jp	L23
 450  005b               L311:
 451                     ; 132     case EXTI_Pin_2:
 451                     ; 133         EXTI->CR1 &=  (uint8_t)(~EXTI_CR1_P2IS);
 453  005b c650a0        	ld	a,20640
 454  005e a4cf          	and	a,#207
 455  0060 c750a0        	ld	20640,a
 456                     ; 134         EXTI->CR1 |= (uint8_t)((uint8_t)(EXTI_Sensitivity) << EXTI_Pin);
 458  0063 5f            	clrw	x
 459  0064 7b01          	ld	a,(OFST+1,sp)
 460  0066 97            	ld	xl,a
 461  0067 7b02          	ld	a,(OFST+2,sp)
 462  0069 5d            	tnzw	x
 463  006a 271b          	jreq	L23
 464  006c               L03:
 465  006c 48            	sll	a
 466  006d 5a            	decw	x
 467  006e 26fc          	jrne	L03
 468                     ; 135         break;
 470  0070 2015          	jp	L23
 471  0072               L511:
 472                     ; 136     case EXTI_Pin_3:
 472                     ; 137         EXTI->CR1 &=  (uint8_t)(~EXTI_CR1_P3IS);
 474  0072 c650a0        	ld	a,20640
 475  0075 a43f          	and	a,#63
 476  0077 c750a0        	ld	20640,a
 477                     ; 138         EXTI->CR1 |= (uint8_t)((uint8_t)(EXTI_Sensitivity) << EXTI_Pin);
 479  007a 5f            	clrw	x
 480  007b 7b01          	ld	a,(OFST+1,sp)
 481  007d 97            	ld	xl,a
 482  007e 7b02          	ld	a,(OFST+2,sp)
 483  0080 5d            	tnzw	x
 484  0081 2704          	jreq	L23
 485  0083               L43:
 486  0083 48            	sll	a
 487  0084 5a            	decw	x
 488  0085 26fc          	jrne	L43
 489  0087               L23:
 490  0087 ca50a0        	or	a,20640
 491  008a c750a0        	ld	20640,a
 492                     ; 139         break;
 494  008d 2060          	jra	L102
 495  008f               L711:
 496                     ; 140     case EXTI_Pin_4:
 496                     ; 141         EXTI->CR2 &=  (uint8_t)(~EXTI_CR2_P4IS);
 498  008f c650a1        	ld	a,20641
 499  0092 a4fc          	and	a,#252
 500  0094 c750a1        	ld	20641,a
 501                     ; 142         EXTI->CR2 |= (uint8_t)((uint8_t)(EXTI_Sensitivity) << ((uint8_t)EXTI_Pin & (uint8_t)0xEF));
 503  0097 7b01          	ld	a,(OFST+1,sp)
 504  0099 ad56          	call	LC003
 505  009b 7b02          	ld	a,(OFST+2,sp)
 506  009d 5d            	tnzw	x
 507  009e 2749          	jreq	L25
 508  00a0               L04:
 509  00a0 48            	sll	a
 510  00a1 5a            	decw	x
 511  00a2 26fc          	jrne	L04
 512                     ; 143         break;
 514  00a4 2043          	jp	L25
 515  00a6               L121:
 516                     ; 144     case EXTI_Pin_5:
 516                     ; 145         EXTI->CR2 &=  (uint8_t)(~EXTI_CR2_P5IS);
 518  00a6 c650a1        	ld	a,20641
 519  00a9 a4f3          	and	a,#243
 520  00ab c750a1        	ld	20641,a
 521                     ; 146         EXTI->CR2 |= (uint8_t)((uint8_t)(EXTI_Sensitivity) << ((uint8_t)EXTI_Pin & (uint8_t)0xEF));
 523  00ae 7b01          	ld	a,(OFST+1,sp)
 524  00b0 ad3f          	call	LC003
 525  00b2 7b02          	ld	a,(OFST+2,sp)
 526  00b4 5d            	tnzw	x
 527  00b5 2732          	jreq	L25
 528  00b7               L44:
 529  00b7 48            	sll	a
 530  00b8 5a            	decw	x
 531  00b9 26fc          	jrne	L44
 532                     ; 147         break;
 534  00bb 202c          	jp	L25
 535  00bd               L321:
 536                     ; 148     case EXTI_Pin_6:
 536                     ; 149         EXTI->CR2 &=  (uint8_t)(~EXTI_CR2_P6IS);
 538  00bd c650a1        	ld	a,20641
 539  00c0 a4cf          	and	a,#207
 540  00c2 c750a1        	ld	20641,a
 541                     ; 150         EXTI->CR2 |= (uint8_t)((uint8_t)(EXTI_Sensitivity) << ((uint8_t)EXTI_Pin & (uint8_t)0xEF));
 543  00c5 7b01          	ld	a,(OFST+1,sp)
 544  00c7 ad28          	call	LC003
 545  00c9 7b02          	ld	a,(OFST+2,sp)
 546  00cb 5d            	tnzw	x
 547  00cc 271b          	jreq	L25
 548  00ce               L05:
 549  00ce 48            	sll	a
 550  00cf 5a            	decw	x
 551  00d0 26fc          	jrne	L05
 552                     ; 151         break;
 554  00d2 2015          	jp	L25
 555  00d4               L521:
 556                     ; 152     case EXTI_Pin_7:
 556                     ; 153         EXTI->CR2 &=  (uint8_t)(~EXTI_CR2_P7IS);
 558  00d4 c650a1        	ld	a,20641
 559  00d7 a43f          	and	a,#63
 560  00d9 c750a1        	ld	20641,a
 561                     ; 154         EXTI->CR2 |= (uint8_t)((uint8_t)(EXTI_Sensitivity) << ((uint8_t)EXTI_Pin & (uint8_t)0xEF));
 563  00dc 7b01          	ld	a,(OFST+1,sp)
 564  00de ad11          	call	LC003
 565  00e0 7b02          	ld	a,(OFST+2,sp)
 566  00e2 5d            	tnzw	x
 567  00e3 2704          	jreq	L25
 568  00e5               L45:
 569  00e5 48            	sll	a
 570  00e6 5a            	decw	x
 571  00e7 26fc          	jrne	L45
 572  00e9               L25:
 573  00e9 ca50a1        	or	a,20641
 574  00ec c750a1        	ld	20641,a
 575                     ; 155         break;
 577                     ; 156     default:
 577                     ; 157         break;
 579  00ef               L102:
 580                     ; 159 }
 583  00ef 85            	popw	x
 584  00f0 81            	ret	
 585  00f1               LC003:
 586  00f1 a4ef          	and	a,#239
 587  00f3 5f            	clrw	x
 588  00f4 97            	ld	xl,a
 589  00f5 81            	ret	
 717                     ; 172 void EXTI_SetHalfPortSelection(EXTI_HalfPort_TypeDef EXTI_HalfPort, 
 717                     ; 173                                FunctionalState NewState)
 717                     ; 174 {
 718                     .text:	section	.text,new
 719  0000               _EXTI_SetHalfPortSelection:
 721  0000 89            	pushw	x
 722       00000000      OFST:	set	0
 725                     ; 176     assert_param(IS_EXTI_HALFPORT(EXTI_HalfPort));
 727                     ; 177     assert_param(IS_FUNCTIONAL_STATE(NewState));
 729                     ; 179     if (NewState != DISABLE)
 731  0001 9f            	ld	a,xl
 732  0002 4d            	tnz	a
 733  0003 2706          	jreq	L752
 734                     ; 181       EXTI->CONF |= (uint8_t)EXTI_HalfPort; /* Enable port interrupt selector */
 736  0005 9e            	ld	a,xh
 737  0006 ca50a5        	or	a,20645
 739  0009 2006          	jra	L162
 740  000b               L752:
 741                     ; 185       EXTI->CONF &= (uint8_t)(~(uint8_t)EXTI_HalfPort); /* Disable port interrupt selector */
 743  000b 7b01          	ld	a,(OFST+1,sp)
 744  000d 43            	cpl	a
 745  000e c450a5        	and	a,20645
 746  0011               L162:
 747  0011 c750a5        	ld	20645,a
 748                     ; 187 }
 751  0014 85            	popw	x
 752  0015 81            	ret	
 807                     ; 195 EXTI_Sensitivity_TypeDef EXTI_GetPortSensitivity(EXTI_Port_TypeDef EXTI_Port)
 807                     ; 196 {
 808                     .text:	section	.text,new
 809  0000               _EXTI_GetPortSensitivity:
 811  0000 88            	push	a
 812  0001 88            	push	a
 813       00000001      OFST:	set	1
 816                     ; 197     uint8_t value = 0;
 818                     ; 198     uint8_t cr3mask = 0;
 820                     ; 200     assert_param(IS_EXTI_PORT(EXTI_Port));
 822                     ; 202     if(EXTI_Port == EXTI_Port_B)   
 824  0002 4d            	tnz	a
 825  0003 2604          	jrne	L113
 826                     ; 204       cr3mask = EXTI_CR3_PBIS;
 828  0005 a603          	ld	a,#3
 830  0007 2014          	jra	L313
 831  0009               L113:
 832                     ; 206     else if (EXTI_Port == EXTI_Port_D)   
 834  0009 7b02          	ld	a,(OFST+1,sp)
 835  000b a102          	cp	a,#2
 836  000d 2604          	jrne	L513
 837                     ; 208       cr3mask = EXTI_CR3_PDIS;
 839  000f a60c          	ld	a,#12
 841  0011 200a          	jra	L313
 842  0013               L513:
 843                     ; 210     else if (EXTI_Port == EXTI_Port_E)   
 845  0013 a104          	cp	a,#4
 846  0015 2604          	jrne	L123
 847                     ; 212       cr3mask = EXTI_CR3_PEIS;
 849  0017 a630          	ld	a,#48
 851  0019 2002          	jra	L313
 852  001b               L123:
 853                     ; 216       cr3mask = EXTI_CR3_PFIS;
 855  001b a6c0          	ld	a,#192
 856  001d               L313:
 857  001d 6b01          	ld	(OFST+0,sp),a
 858                     ; 219     value = (uint8_t)((EXTI->CR3 & cr3mask)>>EXTI_Port);
 860  001f 5f            	clrw	x
 861  0020 7b02          	ld	a,(OFST+1,sp)
 862  0022 97            	ld	xl,a
 863  0023 c650a2        	ld	a,20642
 864  0026 1401          	and	a,(OFST+0,sp)
 865  0028 5d            	tnzw	x
 866  0029 2704          	jreq	L26
 867  002b               L46:
 868  002b 44            	srl	a
 869  002c 5a            	decw	x
 870  002d 26fc          	jrne	L46
 871  002f               L26:
 872                     ; 220     return((EXTI_Sensitivity_TypeDef)value);
 876  002f 85            	popw	x
 877  0030 81            	ret	
 923                     ; 229 EXTI_Sensitivity_TypeDef EXTI_GetPinSensitivity(EXTI_Pin_TypeDef EXTI_Pin)
 923                     ; 230 {
 924                     .text:	section	.text,new
 925  0000               _EXTI_GetPinSensitivity:
 927  0000 88            	push	a
 928       00000001      OFST:	set	1
 931                     ; 231     uint8_t value = 0;
 933  0001 0f01          	clr	(OFST+0,sp)
 934                     ; 234     assert_param(IS_EXTI_PINNUM(EXTI_Pin));
 936                     ; 236     switch (EXTI_Pin)
 939                     ; 262     default:
 939                     ; 263         break;
 940  0003 4d            	tnz	a
 941  0004 2720          	jreq	L523
 942  0006 a002          	sub	a,#2
 943  0008 2721          	jreq	L723
 944  000a a002          	sub	a,#2
 945  000c 2722          	jreq	L133
 946  000e a002          	sub	a,#2
 947  0010 2724          	jreq	L333
 948  0012 a00a          	sub	a,#10
 949  0014 2725          	jreq	L533
 950  0016 a002          	sub	a,#2
 951  0018 2726          	jreq	L733
 952  001a a002          	sub	a,#2
 953  001c 272b          	jreq	L143
 954  001e a002          	sub	a,#2
 955  0020 272d          	jreq	L343
 956  0022 7b01          	ld	a,(OFST+0,sp)
 957  0024 2033          	jra	LC004
 958  0026               L523:
 959                     ; 238     case EXTI_Pin_0:
 959                     ; 239         value = (uint8_t)(EXTI->CR1 & EXTI_CR1_P0IS);
 961  0026 c650a0        	ld	a,20640
 962                     ; 240         break;
 964  0029 202c          	jp	LC005
 965  002b               L723:
 966                     ; 241     case EXTI_Pin_1:
 966                     ; 242         value = (uint8_t)((EXTI->CR1 & EXTI_CR1_P1IS) >> EXTI_Pin_1);
 968  002b c650a0        	ld	a,20640
 969                     ; 243         break;
 971  002e 2013          	jp	LC007
 972  0030               L133:
 973                     ; 244     case EXTI_Pin_2:
 973                     ; 245         value = (uint8_t)((EXTI->CR1 & EXTI_CR1_P2IS) >> EXTI_Pin_2);
 975  0030 c650a0        	ld	a,20640
 976  0033 4e            	swap	a
 977                     ; 246         break;
 979  0034 2021          	jp	LC005
 980  0036               L333:
 981                     ; 247     case EXTI_Pin_3:
 981                     ; 248         value = (uint8_t)((EXTI->CR1 & EXTI_CR1_P3IS) >> EXTI_Pin_3);
 983  0036 c650a0        	ld	a,20640
 984                     ; 249         break;
 986  0039 2017          	jp	LC006
 987  003b               L533:
 988                     ; 250     case EXTI_Pin_4:
 988                     ; 251         value = (uint8_t)(EXTI->CR2 & EXTI_CR2_P4IS);
 990  003b c650a1        	ld	a,20641
 991                     ; 252         break;
 993  003e 2017          	jp	LC005
 994  0040               L733:
 995                     ; 253     case EXTI_Pin_5:
 995                     ; 254         value = (uint8_t)((EXTI->CR2 & EXTI_CR2_P5IS) >> ((uint8_t)EXTI_Pin_5 & (uint8_t)0x0F));
 997  0040 c650a1        	ld	a,20641
 998  0043               LC007:
 999  0043 a40c          	and	a,#12
1000  0045 44            	srl	a
1001  0046 44            	srl	a
1002                     ; 255         break;
1004  0047 2010          	jp	LC004
1005  0049               L143:
1006                     ; 256     case EXTI_Pin_6:
1006                     ; 257         value = (uint8_t)((EXTI->CR2 & EXTI_CR2_P6IS) >> ((uint8_t)EXTI_Pin_6 & (uint8_t)0x0F));
1008  0049 c650a1        	ld	a,20641
1009  004c 4e            	swap	a
1010                     ; 258         break;
1012  004d 2008          	jp	LC005
1013  004f               L343:
1014                     ; 259     case EXTI_Pin_7:
1014                     ; 260         value = (uint8_t)((EXTI->CR2 & EXTI_CR2_P7IS) >> ((uint8_t)EXTI_Pin_7 & (uint8_t)0x0F));
1016  004f c650a1        	ld	a,20641
1017  0052               LC006:
1018  0052 4e            	swap	a
1019  0053 a40c          	and	a,#12
1020  0055 44            	srl	a
1021  0056 44            	srl	a
1022  0057               LC005:
1023  0057 a403          	and	a,#3
1024  0059               LC004:
1025                     ; 261         break;
1027                     ; 262     default:
1027                     ; 263         break;
1029                     ; 265     return((EXTI_Sensitivity_TypeDef)value);
1033  0059 5b01          	addw	sp,#1
1034  005b 81            	ret	
1081                     ; 275 FunctionalState EXTI_GetHalfPortSelection(EXTI_HalfPort_TypeDef EXTI_HalfPort)
1081                     ; 276 {
1082                     .text:	section	.text,new
1083  0000               _EXTI_GetHalfPortSelection:
1085  0000 88            	push	a
1086       00000001      OFST:	set	1
1089                     ; 277     FunctionalState value = DISABLE;
1091                     ; 279     assert_param(IS_EXTI_HALFPORT(EXTI_HalfPort));
1093                     ; 280     if ((EXTI->CONF & (uint8_t)EXTI_HalfPort) != DISABLE)
1095  0001 c450a5        	and	a,20645
1096  0004 2702          	jreq	L714
1097                     ; 282         value = ENABLE;
1099  0006 a601          	ld	a,#1
1101  0008               L714:
1102                     ; 286         value = DISABLE;
1104                     ; 289     return(value);
1108  0008 5b01          	addw	sp,#1
1109  000a 81            	ret	
1265                     ; 299 ITStatus EXTI_GetITStatus(EXTI_IT_TypeDef EXTI_IT)
1265                     ; 300 {
1266                     .text:	section	.text,new
1267  0000               _EXTI_GetITStatus:
1269  0000 88            	push	a
1270  0001 88            	push	a
1271       00000001      OFST:	set	1
1274                     ; 301     ITStatus status = RESET;
1276                     ; 303     assert_param(IS_EXTI_ITPENDINGBIT(EXTI_IT));
1278                     ; 305     if (((uint8_t)EXTI_IT & (uint8_t)0xF0) == 0xF0)
1280  0002 a4f0          	and	a,#240
1281  0004 a1f0          	cp	a,#240
1282  0006 2609          	jrne	L115
1283                     ; 307         status = (ITStatus)(EXTI->SR2 & ((uint8_t)EXTI_IT & (uint8_t)0x0F));
1285  0008 7b02          	ld	a,(OFST+1,sp)
1286  000a a40f          	and	a,#15
1287  000c c450a4        	and	a,20644
1289  000f 2005          	jra	L315
1290  0011               L115:
1291                     ; 311         status = (ITStatus)(EXTI->SR1 & (uint8_t)EXTI_IT);
1293  0011 c650a3        	ld	a,20643
1294  0014 1402          	and	a,(OFST+1,sp)
1295  0016               L315:
1296                     ; 313     return((ITStatus)status);
1300  0016 85            	popw	x
1301  0017 81            	ret	
1337                     ; 322 void EXTI_ClearITPendingBit(EXTI_IT_TypeDef EXTI_IT)
1337                     ; 323 {
1338                     .text:	section	.text,new
1339  0000               _EXTI_ClearITPendingBit:
1341  0000 88            	push	a
1342       00000000      OFST:	set	0
1345                     ; 325     assert_param(IS_EXTI_ITPENDINGBIT(EXTI_IT));
1347                     ; 327     if (((uint8_t)EXTI_IT & (uint8_t)0xF0) == 0xF0)
1349  0001 a4f0          	and	a,#240
1350  0003 a1f0          	cp	a,#240
1351  0005 2609          	jrne	L335
1352                     ; 329         EXTI->SR2 = (uint8_t)((uint8_t)EXTI_IT & (uint8_t)0x0F);
1354  0007 7b01          	ld	a,(OFST+1,sp)
1355  0009 a40f          	and	a,#15
1356  000b c750a4        	ld	20644,a
1358  000e 2005          	jra	L535
1359  0010               L335:
1360                     ; 333         EXTI->SR1 = (uint8_t)EXTI_IT;
1362  0010 7b01          	ld	a,(OFST+1,sp)
1363  0012 c750a3        	ld	20643,a
1364  0015               L535:
1365                     ; 335 }
1368  0015 84            	pop	a
1369  0016 81            	ret	
1382                     	xdef	_EXTI_ClearITPendingBit
1383                     	xdef	_EXTI_GetITStatus
1384                     	xdef	_EXTI_GetHalfPortSelection
1385                     	xdef	_EXTI_GetPinSensitivity
1386                     	xdef	_EXTI_GetPortSensitivity
1387                     	xdef	_EXTI_SetHalfPortSelection
1388                     	xdef	_EXTI_SetPinSensitivity
1389                     	xdef	_EXTI_SetPortSensitivity
1390                     	xdef	_EXTI_DeInit
1409                     	end
