   1                     ; C Compiler for STM8 (COSMIC Software)
   2                     ; Parser V4.8.32 - 23 Mar 2010
   3                     ; Generator V4.3.4 - 23 Mar 2010
   4                     ; Optimizer V4.3.3 - 10 Feb 2010
  81                     ; 47 void FLASH_Unlock(FLASH_MemType_TypeDef FLASH_MemType)
  81                     ; 48 {
  83                     .text:	section	.text,new
  84  0000               _FLASH_Unlock:
  86  0000 88            	push	a
  87       00000000      OFST:	set	0
  90                     ; 50     assert_param(IS_FLASH_MEMORY_TYPE(FLASH_MemType));
  92                     ; 53     if (FLASH_MemType == FLASH_MemType_Program)
  94  0001 a1fd          	cp	a,#253
  95  0003 2608          	jrne	L73
  96                     ; 55         FLASH->PUKR = FLASH_RASS_KEY1;
  98  0005 35565052      	mov	20562,#86
  99                     ; 56         FLASH->PUKR= FLASH_RASS_KEY2;
 101  0009 35ae5052      	mov	20562,#174
 102  000d               L73:
 103                     ; 60     if (FLASH_MemType == FLASH_MemType_Data)
 105  000d 7b01          	ld	a,(OFST+1,sp)
 106  000f a1f7          	cp	a,#247
 107  0011 2608          	jrne	L14
 108                     ; 62         FLASH->DUKR = FLASH_RASS_KEY2; /* Warning: keys are reversed on data memory !!! */
 110  0013 35ae5053      	mov	20563,#174
 111                     ; 63         FLASH->DUKR = FLASH_RASS_KEY1;
 113  0017 35565053      	mov	20563,#86
 114  001b               L14:
 115                     ; 65 }
 118  001b 84            	pop	a
 119  001c 81            	ret	
 154                     ; 73 void FLASH_Lock(FLASH_MemType_TypeDef FLASH_MemType)
 154                     ; 74 {
 155                     .text:	section	.text,new
 156  0000               _FLASH_Lock:
 160                     ; 76     assert_param(IS_FLASH_MEMORY_TYPE(FLASH_MemType));
 162                     ; 78     FLASH->IAPSR &= FLASH_MemType;
 164  0000 c45054        	and	a,20564
 165  0003 c75054        	ld	20564,a
 166                     ; 79 }
 169  0006 81            	ret	
 203                     ; 86 void FLASH_DeInit(void)
 203                     ; 87 {
 204                     .text:	section	.text,new
 205  0000               _FLASH_DeInit:
 207       00000001      OFST:	set	1
 210                     ; 89     FLASH->CR1 = FLASH_CR1_RESET_VALUE;
 212  0000 725f5050      	clr	20560
 213                     ; 90     FLASH->CR2 = FLASH_CR2_RESET_VALUE;
 215  0004 725f5051      	clr	20561
 216                     ; 91     FLASH->IAPSR = FLASH_IAPSR_RESET_VALUE;
 218  0008 35405054      	mov	20564,#64
 219                     ; 92     temp = FLASH->IAPSR; /* Reading of this register causes the clearing of status flags */
 221  000c c65054        	ld	a,20564
 222                     ; 93 }
 225  000f 81            	ret	
 280                     ; 101 void FLASH_ITConfig(FunctionalState NewState)
 280                     ; 102 {
 281                     .text:	section	.text,new
 282  0000               _FLASH_ITConfig:
 286                     ; 105     assert_param(IS_FUNCTIONAL_STATE(NewState));
 288                     ; 107     if (NewState != DISABLE)
 290  0000 4d            	tnz	a
 291  0001 2705          	jreq	L521
 292                     ; 109         FLASH->CR1 |= FLASH_CR1_IE; /* Enables the interrupt sources */
 294  0003 72125050      	bset	20560,#1
 297  0007 81            	ret	
 298  0008               L521:
 299                     ; 113         FLASH->CR1 &= (uint8_t)(~FLASH_CR1_IE); /* Disables the interrupt sources */
 301  0008 72135050      	bres	20560,#1
 302                     ; 115 }
 305  000c 81            	ret	
 339                     ; 122 void FLASH_EraseByte(uint32_t Address)
 339                     ; 123 {
 340                     .text:	section	.text,new
 341  0000               _FLASH_EraseByte:
 343       00000000      OFST:	set	0
 346                     ; 125     assert_param(IS_FLASH_ADDRESS(Address));
 348                     ; 127     *(PointerAttr uint8_t*) Address = FLASH_CLEAR_BYTE; /* Erase byte */
 350  0000 1e05          	ldw	x,(OFST+5,sp)
 351  0002 7f            	clr	(x)
 352                     ; 128 }
 356  0003 81            	ret	
 399                     ; 135 void FLASH_ProgramByte(uint32_t Address, uint8_t Data)
 399                     ; 136 {
 400                     .text:	section	.text,new
 401  0000               _FLASH_ProgramByte:
 403       00000000      OFST:	set	0
 406                     ; 138     assert_param(IS_FLASH_ADDRESS(Address));
 408                     ; 140     *(PointerAttr uint8_t*) Address = Data;
 410  0000 1e05          	ldw	x,(OFST+5,sp)
 411  0002 7b07          	ld	a,(OFST+7,sp)
 412  0004 f7            	ld	(x),a
 413                     ; 141 }
 416  0005 81            	ret	
 459                     ; 149 void FLASH_ProgramWord(uint32_t Address, uint32_t Data)
 459                     ; 150 {
 460                     .text:	section	.text,new
 461  0000               _FLASH_ProgramWord:
 463       00000000      OFST:	set	0
 466                     ; 152     assert_param(IS_FLASH_ADDRESS(Address));
 468                     ; 154     FLASH->CR2 |= FLASH_CR2_WPRG;
 470  0000 721c5051      	bset	20561,#6
 471                     ; 156     *((PointerAttr uint8_t*)Address)       = *((uint8_t*)(&Data));   /* Write one byte - from lowest address*/
 473  0004 1e05          	ldw	x,(OFST+5,sp)
 474  0006 7b07          	ld	a,(OFST+7,sp)
 475  0008 f7            	ld	(x),a
 476                     ; 157     *(((PointerAttr uint8_t*)Address) + 1) = *((uint8_t*)(&Data)+1); /* Write one byte*/
 478  0009 7b08          	ld	a,(OFST+8,sp)
 479  000b e701          	ld	(1,x),a
 480                     ; 158     *(((PointerAttr uint8_t*)Address) + 2) = *((uint8_t*)(&Data)+2); /* Write one byte*/
 482  000d 7b09          	ld	a,(OFST+9,sp)
 483  000f e702          	ld	(2,x),a
 484                     ; 159     *(((PointerAttr uint8_t*)Address) + 3) = *((uint8_t*)(&Data)+3); /* Write one byte - from higher address*/
 486  0011 7b0a          	ld	a,(OFST+10,sp)
 487  0013 e703          	ld	(3,x),a
 488                     ; 160 }
 491  0015 81            	ret	
 536                     ; 168 void FLASH_ProgramOptionByte(uint16_t Address, uint8_t Data)
 536                     ; 169 {
 537                     .text:	section	.text,new
 538  0000               _FLASH_ProgramOptionByte:
 540       00000000      OFST:	set	0
 543                     ; 171     assert_param(IS_OPTION_BYTE_ADDRESS(Address));
 545                     ; 174     FLASH->CR2 |= FLASH_CR2_OPT;
 547  0000 721e5051      	bset	20561,#7
 548  0004 89            	pushw	x
 549                     ; 177     *((PointerAttr uint8_t*)Address) = Data;
 551  0005 1e01          	ldw	x,(OFST+1,sp)
 552  0007 7b05          	ld	a,(OFST+5,sp)
 553  0009 f7            	ld	(x),a
 554                     ; 179     FLASH_WaitForLastOperation(FLASH_MemType_Data);
 556  000a a6f7          	ld	a,#247
 557  000c cd0000        	call	_FLASH_WaitForLastOperation
 559                     ; 182     FLASH->CR2 &= (uint8_t)(~FLASH_CR2_OPT);
 561  000f 721f5051      	bres	20561,#7
 562                     ; 183 }
 565  0013 85            	popw	x
 566  0014 81            	ret	
 602                     ; 190 void FLASH_EraseOptionByte(uint16_t Address)
 602                     ; 191 {
 603                     .text:	section	.text,new
 604  0000               _FLASH_EraseOptionByte:
 608                     ; 193     assert_param(IS_OPTION_BYTE_ADDRESS(Address));
 610                     ; 196     FLASH->CR2 |= FLASH_CR2_OPT;
 612  0000 721e5051      	bset	20561,#7
 613                     ; 199     *((PointerAttr uint8_t*)Address) = FLASH_CLEAR_BYTE;
 615  0004 7f            	clr	(x)
 616                     ; 201     FLASH_WaitForLastOperation(FLASH_MemType_Data);
 619  0005 a6f7          	ld	a,#247
 620  0007 cd0000        	call	_FLASH_WaitForLastOperation
 622                     ; 204     FLASH->CR2 &= (uint8_t)(~FLASH_CR2_OPT);
 624  000a 721f5051      	bres	20561,#7
 625                     ; 205 }
 628  000e 81            	ret	
 662                     ; 212 uint8_t FLASH_ReadByte(uint32_t Address)
 662                     ; 213 {
 663                     .text:	section	.text,new
 664  0000               _FLASH_ReadByte:
 666       00000000      OFST:	set	0
 669                     ; 215 		return(*(PointerAttr uint8_t *) Address);
 671  0000 1e05          	ldw	x,(OFST+5,sp)
 672  0002 f6            	ld	a,(x)
 675  0003 81            	ret	
 733                     ; 223 void FLASH_SetProgrammingTime(FLASH_ProgramTime_TypeDef FLASH_ProgTime)
 733                     ; 224 {
 734                     .text:	section	.text,new
 735  0000               _FLASH_SetProgrammingTime:
 739                     ; 226     assert_param(IS_FLASH_PROGRAM_TIME(FLASH_ProgTime));
 741                     ; 228     FLASH->CR1 &= (uint8_t)(~FLASH_CR1_FIX);
 743  0000 72115050      	bres	20560,#0
 744                     ; 229     FLASH->CR1 |= (uint8_t)FLASH_ProgTime;
 746  0004 ca5050        	or	a,20560
 747  0007 c75050        	ld	20560,a
 748                     ; 230 }
 751  000a 81            	ret	
 807                     ; 240 void FLASH_PowerWaitModeConfig(FLASH_Power_TypeDef FLASH_Power)
 807                     ; 241 {
 808                     .text:	section	.text,new
 809  0000               _FLASH_PowerWaitModeConfig:
 813                     ; 243   assert_param(IS_FLASH_POWER(FLASH_Power));
 815                     ; 246 	if (FLASH_Power != FLASH_Power_On)
 817  0000 4a            	dec	a
 818  0001 2705          	jreq	L543
 819                     ; 248    FLASH->CR1 |= (uint8_t)FLASH_CR1_WAITM;
 821  0003 72145050      	bset	20560,#2
 824  0007 81            	ret	
 825  0008               L543:
 826                     ; 253    FLASH->CR1 &= (uint8_t)(~FLASH_CR1_WAITM);
 828  0008 72155050      	bres	20560,#2
 829                     ; 255 }
 832  000c 81            	ret	
 857                     ; 262 FLASH_ProgramTime_TypeDef FLASH_GetProgrammingTime(void)
 857                     ; 263 {
 858                     .text:	section	.text,new
 859  0000               _FLASH_GetProgrammingTime:
 863                     ; 264     return((FLASH_ProgramTime_TypeDef)(FLASH->CR1 & FLASH_CR1_FIX));
 865  0000 c65050        	ld	a,20560
 866  0003 a401          	and	a,#1
 869  0005 81            	ret	
 903                     ; 272 uint16_t FLASH_GetBootSize(void)
 903                     ; 273 {
 904                     .text:	section	.text,new
 905  0000               _FLASH_GetBootSize:
 907  0000 89            	pushw	x
 908       00000002      OFST:	set	2
 911                     ; 277     temp = (uint16_t)(OPT->BOOTSIZE * (uint16_t)128);
 913  0001 c64802        	ld	a,18434
 914  0004 97            	ld	xl,a
 915  0005 a680          	ld	a,#128
 916  0007 42            	mul	x,a
 917                     ; 280     if (OPT->BOOTSIZE > 0x7F)
 919  0008 c64802        	ld	a,18434
 920  000b a180          	cp	a,#128
 921  000d 2503          	jrult	L773
 922                     ; 282         temp = 8192;
 924  000f ae2000        	ldw	x,#8192
 925  0012               L773:
 926                     ; 286     return(temp);
 930  0012 5b02          	addw	sp,#2
 931  0014 81            	ret	
 965                     ; 295 uint16_t FLASH_GetCodeSize(void)
 965                     ; 296 {
 966                     .text:	section	.text,new
 967  0000               _FLASH_GetCodeSize:
 969  0000 89            	pushw	x
 970       00000002      OFST:	set	2
 973                     ; 300     temp = (uint16_t)(OPT->PCODESIZE * (uint16_t)128);
 975  0001 c64807        	ld	a,18439
 976  0004 97            	ld	xl,a
 977  0005 a680          	ld	a,#128
 978  0007 42            	mul	x,a
 979                     ; 303     if (OPT->PCODESIZE > 0x7F)
 981  0008 c64807        	ld	a,18439
 982  000b a180          	cp	a,#128
 983  000d 2503          	jrult	L714
 984                     ; 305         temp = 8192;
 986  000f ae2000        	ldw	x,#8192
 987  0012               L714:
 988                     ; 309     return(temp);
 992  0012 5b02          	addw	sp,#2
 993  0014 81            	ret	
1018                     ; 318 FunctionalState FLASH_GetReadOutProtectionStatus(void)
1018                     ; 319 {
1019                     .text:	section	.text,new
1020  0000               _FLASH_GetReadOutProtectionStatus:
1024                     ; 320     if (OPT->LOCKBYTE == FLASH_READOUTPROTECTION_KEY)
1026  0000 c64800        	ld	a,18432
1027  0003 a1aa          	cp	a,#170
1028  0005 2603          	jrne	L134
1029                     ; 323         return ENABLE;
1031  0007 a601          	ld	a,#1
1034  0009 81            	ret	
1035  000a               L134:
1036                     ; 328         return DISABLE;
1038  000a 4f            	clr	a
1041  000b 81            	ret	
1150                     ; 339 FlagStatus FLASH_GetFlagStatus(FLASH_FLAG_TypeDef FLASH_FLAG)
1150                     ; 340 {
1151                     .text:	section	.text,new
1152  0000               _FLASH_GetFlagStatus:
1154  0000 88            	push	a
1155       00000001      OFST:	set	1
1158                     ; 341     FlagStatus status = RESET;
1160                     ; 342     assert_param(IS_FLASH_FLAGS(FLASH_FLAG));
1162                     ; 345     if ((FLASH->IAPSR  & (uint8_t)FLASH_FLAG) != (uint8_t)RESET)
1164  0001 c45054        	and	a,20564
1165  0004 2702          	jreq	L505
1166                     ; 347         status = SET; /* Flash_FLAG is set*/
1168  0006 a601          	ld	a,#1
1170  0008               L505:
1171                     ; 351         status = RESET; /* Flash_FLAG is reset*/
1173                     ; 355     return status;
1177  0008 5b01          	addw	sp,#1
1178  000a 81            	ret	
1263                     ; 365 FLASH_Status_TypeDef FLASH_WaitForLastOperation(FLASH_MemType_TypeDef FLASH_MemType)
1263                     ; 366 {
1264                     .text:	section	.text,new
1265  0000               _FLASH_WaitForLastOperation:
1267  0000 5205          	subw	sp,#5
1268       00000005      OFST:	set	5
1271                     ; 367     uint32_t timeout = OPERATION_TIMEOUT;
1273  0002 ae1000        	ldw	x,#4096
1274  0005 1f03          	ldw	(OFST-2,sp),x
1275  0007 5f            	clrw	x
1276  0008 1f01          	ldw	(OFST-4,sp),x
1277                     ; 368     uint8_t flagstatus = 0x00;
1279  000a 0f05          	clr	(OFST+0,sp)
1280                     ; 370     if (FLASH_MemType == FLASH_MemType_Program)
1282  000c a1fd          	cp	a,#253
1283  000e 262b          	jrne	L765
1285  0010 200e          	jra	L555
1286  0012               L355:
1287                     ; 374             flagstatus = (uint8_t)(FLASH->IAPSR & (FLASH_IAPSR_EOP |
1287                     ; 375                                               FLASH_IAPSR_WR_PG_DIS));
1289  0012 c65054        	ld	a,20564
1290  0015 a405          	and	a,#5
1291  0017 6b05          	ld	(OFST+0,sp),a
1292                     ; 376             timeout--;
1294  0019 96            	ldw	x,sp
1295  001a 5c            	incw	x
1296  001b a601          	ld	a,#1
1297  001d cd0000        	call	c_lgsbc
1299  0020               L555:
1300                     ; 372         while ((flagstatus == 0x00) && (timeout != 0x00))
1302  0020 7b05          	ld	a,(OFST+0,sp)
1303  0022 2622          	jrne	L365
1305  0024 96            	ldw	x,sp
1306  0025 5c            	incw	x
1307  0026 cd0000        	call	c_lzmp
1309  0029 26e7          	jrne	L355
1310  002b 2019          	jra	L365
1311  002d               L565:
1312                     ; 383             flagstatus = (uint8_t)(FLASH->IAPSR & (FLASH_IAPSR_HVOFF |
1312                     ; 384                                               FLASH_IAPSR_WR_PG_DIS));
1314  002d c65054        	ld	a,20564
1315  0030 a441          	and	a,#65
1316  0032 6b05          	ld	(OFST+0,sp),a
1317                     ; 385             timeout--;
1319  0034 96            	ldw	x,sp
1320  0035 5c            	incw	x
1321  0036 a601          	ld	a,#1
1322  0038 cd0000        	call	c_lgsbc
1324  003b               L765:
1325                     ; 381         while ((flagstatus == 0x00) && (timeout != 0x00))
1327  003b 7b05          	ld	a,(OFST+0,sp)
1328  003d 2607          	jrne	L365
1330  003f 96            	ldw	x,sp
1331  0040 5c            	incw	x
1332  0041 cd0000        	call	c_lzmp
1334  0044 26e7          	jrne	L565
1335  0046               L365:
1336                     ; 388     if (timeout == 0x00 )
1338  0046 96            	ldw	x,sp
1339  0047 5c            	incw	x
1340  0048 cd0000        	call	c_lzmp
1342  004b 2604          	jrne	L575
1343                     ; 390         flagstatus = FLASH_Status_TimeOut;
1345  004d a602          	ld	a,#2
1346  004f 6b05          	ld	(OFST+0,sp),a
1347  0051               L575:
1348                     ; 393     return((FLASH_Status_TypeDef)flagstatus);
1350  0051 7b05          	ld	a,(OFST+0,sp)
1353  0053 5b05          	addw	sp,#5
1354  0055 81            	ret	
1390                     ; 416 void FLASH_PowerRunModeConfig(FLASH_Power_TypeDef FLASH_Power)
1390                     ; 417 {
1391                     .text:	section	.text,new
1392  0000               _FLASH_PowerRunModeConfig:
1396                     ; 419   assert_param(IS_FLASH_POWER(FLASH_Power));
1398                     ; 421 	if (FLASH_Power != FLASH_Power_On)
1400  0000 4a            	dec	a
1401  0001 2705          	jreq	L516
1402                     ; 423     FLASH->CR1 |= (uint8_t)FLASH_CR1_EEPM;
1404  0003 72165050      	bset	20560,#3
1407  0007 81            	ret	
1408  0008               L516:
1409                     ; 427     FLASH->CR1 &= (uint8_t)(~FLASH_CR1_EEPM);
1411  0008 72175050      	bres	20560,#3
1412                     ; 429 }
1415  000c 81            	ret	
1479                     ; 438 FLASH_PowerStatus_TypeDef FLASH_GetPowerStatus(void)
1479                     ; 439 {
1480                     .text:	section	.text,new
1481  0000               _FLASH_GetPowerStatus:
1485                     ; 440     return((FLASH_PowerStatus_TypeDef)(FLASH->CR1 & 0x0C));
1487  0000 c65050        	ld	a,20560
1488  0003 a40c          	and	a,#12
1491  0005 81            	ret	
1595                     ; 452 void FLASH_ProgramBlock(uint16_t BlockNum, FLASH_MemType_TypeDef FLASH_MemType,
1595                     ; 453                         FLASH_ProgramMode_TypeDef FLASH_ProgMode, uint8_t *Buffer)
1595                     ; 454 {
1596                     .text:	section	.text,new
1597  0000               _FLASH_ProgramBlock:
1599  0000 89            	pushw	x
1600  0001 5206          	subw	sp,#6
1601       00000006      OFST:	set	6
1604                     ; 455 		uint16_t Count = 0;
1606                     ; 456     uint32_t StartAddress = 0;
1608                     ; 459     assert_param(IS_FLASH_MEMORY_TYPE(FLASH_MemType));
1610                     ; 460     assert_param(IS_FLASH_PROGRAM_MODE(FLASH_ProgMode));
1612                     ; 461     if (FLASH_MemType == FLASH_MemType_Program)
1614  0003 7b0b          	ld	a,(OFST+5,sp)
1615  0005 a1fd          	cp	a,#253
1616  0007 2605          	jrne	L717
1617                     ; 463         assert_param(IS_FLASH_PROGRAM_BLOCK_NUMBER(BlockNum));
1619                     ; 464         StartAddress = FLASH_PROGRAM_START_PHYSICAL_ADDRESS;
1621  0009 ae8000        	ldw	x,#32768
1623  000c 2003          	jra	L127
1624  000e               L717:
1625                     ; 468         assert_param(IS_FLASH_DATA_EEPROM_BLOCK_NUMBER(BlockNum));
1627                     ; 469         StartAddress = FLASH_DATA_EEPROM_START_PHYSICAL_ADDRESS;
1629  000e ae1000        	ldw	x,#4096
1630  0011               L127:
1631  0011 1f03          	ldw	(OFST-3,sp),x
1632  0013 5f            	clrw	x
1633  0014 1f01          	ldw	(OFST-5,sp),x
1634                     ; 473     StartAddress = StartAddress + ((uint32_t)BlockNum * FLASH_BLOCK_SIZE);
1636  0016 a680          	ld	a,#128
1637  0018 1e07          	ldw	x,(OFST+1,sp)
1638  001a cd0000        	call	c_cmulx
1640  001d 96            	ldw	x,sp
1641  001e 5c            	incw	x
1642  001f cd0000        	call	c_lgadd
1644                     ; 476     if (FLASH_ProgMode == FLASH_ProgramMode_Standard)
1646  0022 7b0c          	ld	a,(OFST+6,sp)
1647  0024 2606          	jrne	L327
1648                     ; 479         FLASH->CR2 |= FLASH_CR2_PRG;
1650  0026 72105051      	bset	20561,#0
1652  002a 2004          	jra	L527
1653  002c               L327:
1654                     ; 484         FLASH->CR2 |= FLASH_CR2_FPRG;
1656  002c 72185051      	bset	20561,#4
1657  0030               L527:
1658                     ; 488     for (Count = 0; Count < FLASH_BLOCK_SIZE; Count++)
1660  0030 5f            	clrw	x
1661  0031 1f05          	ldw	(OFST-1,sp),x
1662  0033               L727:
1663                     ; 490         *((PointerAttr uint8_t*)StartAddress + Count) = ((uint8_t)(Buffer[Count]));
1665  0033 1e0d          	ldw	x,(OFST+7,sp)
1666  0035 72fb05        	addw	x,(OFST-1,sp)
1667  0038 f6            	ld	a,(x)
1668  0039 1e03          	ldw	x,(OFST-3,sp)
1669  003b 72fb05        	addw	x,(OFST-1,sp)
1670  003e f7            	ld	(x),a
1671                     ; 488     for (Count = 0; Count < FLASH_BLOCK_SIZE; Count++)
1673  003f 1e05          	ldw	x,(OFST-1,sp)
1674  0041 5c            	incw	x
1675  0042 1f05          	ldw	(OFST-1,sp),x
1678  0044 a30080        	cpw	x,#128
1679  0047 25ea          	jrult	L727
1680                     ; 492 }
1683  0049 5b08          	addw	sp,#8
1684  004b 81            	ret	
1747                     ; 501 void FLASH_EraseBlock(uint16_t BlockNum, FLASH_MemType_TypeDef FLASH_MemType)
1747                     ; 502 {
1748                     .text:	section	.text,new
1749  0000               _FLASH_EraseBlock:
1751  0000 89            	pushw	x
1752  0001 5206          	subw	sp,#6
1753       00000006      OFST:	set	6
1756                     ; 504 		uint32_t StartAddress = 0;
1758                     ; 507     assert_param(IS_FLASH_MEMORY_TYPE(FLASH_MemType));
1760                     ; 508     if (FLASH_MemType == FLASH_MemType_Program)
1762  0003 7b0b          	ld	a,(OFST+5,sp)
1763  0005 a1fd          	cp	a,#253
1764  0007 2605          	jrne	L767
1765                     ; 510         assert_param(IS_FLASH_PROGRAM_BLOCK_NUMBER(BlockNum));
1767                     ; 511         StartAddress = FLASH_PROGRAM_START_PHYSICAL_ADDRESS;
1769  0009 ae8000        	ldw	x,#32768
1771  000c 2003          	jra	L177
1772  000e               L767:
1773                     ; 515         assert_param(IS_FLASH_DATA_EEPROM_BLOCK_NUMBER(BlockNum));
1775                     ; 516         StartAddress = FLASH_DATA_EEPROM_START_PHYSICAL_ADDRESS;
1777  000e ae1000        	ldw	x,#4096
1778  0011               L177:
1779  0011 1f05          	ldw	(OFST-1,sp),x
1780  0013 5f            	clrw	x
1781  0014 1f03          	ldw	(OFST-3,sp),x
1782                     ; 519 		pwFlash = (PointerAttr uint32_t *)(StartAddress + ((uint32_t)BlockNum * FLASH_BLOCK_SIZE));
1784  0016 a680          	ld	a,#128
1785  0018 1e07          	ldw	x,(OFST+1,sp)
1786  001a cd0000        	call	c_cmulx
1788  001d 96            	ldw	x,sp
1789  001e 1c0003        	addw	x,#OFST-3
1790  0021 cd0000        	call	c_ladd
1792  0024 be02          	ldw	x,c_lreg+2
1793  0026 1f01          	ldw	(OFST-5,sp),x
1794                     ; 522     FLASH->CR2 |= FLASH_CR2_ERASE;
1796                     ; 524    *pwFlash = (uint32_t)0;
1798  0028 4f            	clr	a
1799  0029 721a5051      	bset	20561,#5
1800  002d e703          	ld	(3,x),a
1801  002f e702          	ld	(2,x),a
1802  0031 e701          	ld	(1,x),a
1803  0033 f7            	ld	(x),a
1804                     ; 526 }
1807  0034 5b08          	addw	sp,#8
1808  0036 81            	ret	
1821                     	xdef	_FLASH_WaitForLastOperation
1822                     	xdef	_FLASH_GetFlagStatus
1823                     	xdef	_FLASH_GetPowerStatus
1824                     	xdef	_FLASH_PowerRunModeConfig
1825                     	xdef	_FLASH_PowerWaitModeConfig
1826                     	xdef	_FLASH_GetReadOutProtectionStatus
1827                     	xdef	_FLASH_GetCodeSize
1828                     	xdef	_FLASH_GetBootSize
1829                     	xdef	_FLASH_SetProgrammingTime
1830                     	xdef	_FLASH_GetProgrammingTime
1831                     	xdef	_FLASH_EraseOptionByte
1832                     	xdef	_FLASH_ProgramOptionByte
1833                     	xdef	_FLASH_ReadByte
1834                     	xdef	_FLASH_ProgramWord
1835                     	xdef	_FLASH_EraseByte
1836                     	xdef	_FLASH_ProgramByte
1837                     	xdef	_FLASH_EraseBlock
1838                     	xdef	_FLASH_ProgramBlock
1839                     	xdef	_FLASH_ITConfig
1840                     	xdef	_FLASH_Lock
1841                     	xdef	_FLASH_Unlock
1842                     	xdef	_FLASH_DeInit
1843                     	xref.b	c_lreg
1862                     	xref	c_ladd
1863                     	xref	c_lgadd
1864                     	xref	c_cmulx
1865                     	xref	c_lzmp
1866                     	xref	c_lgsbc
1867                     	end
