   1                     ; C Compiler for STM8 (COSMIC Software)
   2                     ; Parser V4.8.32 - 23 Mar 2010
   3                     ; Generator V4.3.4 - 23 Mar 2010
   4                     ; Optimizer V4.3.3 - 10 Feb 2010
  48                     ; 42 void PWR_DeInit(void)
  48                     ; 43 {
  50                     .text:	section	.text,new
  51  0000               _PWR_DeInit:
  55                     ; 44   PWR->CSR1 = PWR_CSR1_PVDIF;
  57  0000 352050b2      	mov	20658,#32
  58                     ; 45   PWR->CSR2 = PWR_CSR2_RESET_VALUE;
  60  0004 725f50b3      	clr	20659
  61                     ; 46 }
  64  0008 81            	ret	
 119                     ; 53 void PWR_FastWakeUpCmd(FunctionalState NewState)
 119                     ; 54 {
 120                     .text:	section	.text,new
 121  0000               _PWR_FastWakeUpCmd:
 125                     ; 56     assert_param(IS_FUNCTIONAL_STATE(NewState));
 127                     ; 58   if (NewState != DISABLE)
 129  0000 4d            	tnz	a
 130  0001 2705          	jreq	L74
 131                     ; 61     PWR->CSR2 |= PWR_CSR2_FWU;
 133  0003 721450b3      	bset	20659,#2
 136  0007 81            	ret	
 137  0008               L74:
 138                     ; 66     PWR->CSR2 &= (uint8_t)(~PWR_CSR2_FWU);
 140  0008 721550b3      	bres	20659,#2
 141                     ; 68 }
 144  000c 81            	ret	
 180                     ; 75 void PWR_UltraLowPowerCmd(FunctionalState NewState)
 180                     ; 76 {
 181                     .text:	section	.text,new
 182  0000               _PWR_UltraLowPowerCmd:
 186                     ; 78     assert_param(IS_FUNCTIONAL_STATE(NewState));
 188                     ; 80   if (NewState != DISABLE)
 190  0000 4d            	tnz	a
 191  0001 2705          	jreq	L17
 192                     ; 83     PWR->CSR2 |= PWR_CSR2_ULP;
 194  0003 721250b3      	bset	20659,#1
 197  0007 81            	ret	
 198  0008               L17:
 199                     ; 88     PWR->CSR2 &= (uint8_t)(~PWR_CSR2_ULP);
 201  0008 721350b3      	bres	20659,#1
 202                     ; 90 }
 205  000c 81            	ret	
 240                     ; 97 void PWR_PVDCmd(FunctionalState NewState)
 240                     ; 98 {
 241                     .text:	section	.text,new
 242  0000               _PWR_PVDCmd:
 246                     ; 100     assert_param(IS_FUNCTIONAL_STATE(NewState));
 248                     ; 102   if (NewState != DISABLE)
 250  0000 4d            	tnz	a
 251  0001 2705          	jreq	L311
 252                     ; 105     PWR->CSR1 |= PWR_CSR1_PVDE;
 254  0003 721050b2      	bset	20658,#0
 257  0007 81            	ret	
 258  0008               L311:
 259                     ; 110     PWR->CSR1 &= (uint8_t)(~PWR_CSR1_PVDE);
 261  0008 721150b2      	bres	20658,#0
 262                     ; 112 }
 265  000c 81            	ret	
 300                     ; 119 void PWR_PVDITConfig(FunctionalState NewState)
 300                     ; 120 {
 301                     .text:	section	.text,new
 302  0000               _PWR_PVDITConfig:
 306                     ; 122     assert_param(IS_FUNCTIONAL_STATE(NewState));
 308                     ; 124      if (NewState != DISABLE)
 310  0000 4d            	tnz	a
 311  0001 2705          	jreq	L531
 312                     ; 127     PWR->CSR1 |= PWR_CSR1_PVDIE;
 314  0003 721850b2      	bset	20658,#4
 317  0007 81            	ret	
 318  0008               L531:
 319                     ; 132     PWR->CSR1 &= (uint8_t)(~PWR_CSR1_PVDIE);
 321  0008 721950b2      	bres	20658,#4
 322                     ; 134 }
 325  000c 81            	ret	
 422                     ; 142 void PWR_PVDLevelConfig(PWR_PVDLevel_TypeDef PWR_PVDLevel)
 422                     ; 143 {
 423                     .text:	section	.text,new
 424  0000               _PWR_PVDLevelConfig:
 426  0000 88            	push	a
 427       00000000      OFST:	set	0
 430                     ; 145     assert_param(IS_PWR_PVD_LEVEL(PWR_PVDLevel));
 432                     ; 148   PWR->CSR1 &= (uint8_t)(~PWR_CSR1_PLS);
 434  0001 c650b2        	ld	a,20658
 435  0004 a4f1          	and	a,#241
 436  0006 c750b2        	ld	20658,a
 437                     ; 151   PWR->CSR1 |= PWR_PVDLevel;
 439  0009 c650b2        	ld	a,20658
 440  000c 1a01          	or	a,(OFST+1,sp)
 441  000e c750b2        	ld	20658,a
 442                     ; 153 }
 445  0011 84            	pop	a
 446  0012 81            	ret	
 539                     ; 161 FlagStatus PWR_GetFlagStatus(PWR_FLAG_TypeDef PWR_FLAG)
 539                     ; 162 {
 540                     .text:	section	.text,new
 541  0000               _PWR_GetFlagStatus:
 543  0000 88            	push	a
 544  0001 88            	push	a
 545       00000001      OFST:	set	1
 548                     ; 163     FlagStatus bitstatus = RESET;
 550                     ; 166     assert_param(IS_PWR_FLAG(PWR_FLAG));
 552                     ; 168     if((PWR_FLAG & PWR_FLAG_BGF) != 0)
 554  0002 a501          	bcp	a,#1
 555  0004 2709          	jreq	L742
 556                     ; 170       if ((PWR->CSR2 & PWR_CSR2_BGF)!= (uint8_t)RESET )
 558  0006 720150b302    	btjf	20659,#0,L152
 559                     ; 172         bitstatus = SET;
 561  000b 2009          	jp	LC002
 562  000d               L152:
 563                     ; 176         bitstatus = RESET;
 564  000d 200b          	jp	L752
 565  000f               L742:
 566                     ; 181      if ((PWR->CSR1 & PWR_FLAG)!= (uint8_t)RESET )
 568  000f c650b2        	ld	a,20658
 569  0012 1502          	bcp	a,(OFST+1,sp)
 570  0014 2704          	jreq	L752
 571                     ; 183         bitstatus = SET;
 573  0016               LC002:
 575  0016 a601          	ld	a,#1
 577  0018 2001          	jra	L552
 578  001a               L752:
 579                     ; 187         bitstatus = RESET;
 582  001a 4f            	clr	a
 583  001b               L552:
 584                     ; 192     return((FlagStatus)bitstatus);
 588  001b 85            	popw	x
 589  001c 81            	ret	
 612                     ; 199 void PWR_PVDClearFlag(void)
 612                     ; 200 {
 613                     .text:	section	.text,new
 614  0000               _PWR_PVDClearFlag:
 618                     ; 202     PWR->CSR1 |= PWR_CSR1_PVDIF;
 620  0000 721a50b2      	bset	20658,#5
 621                     ; 203 }
 624  0004 81            	ret	
 678                     ; 210 ITStatus PWR_PVDGetITStatus(void)
 678                     ; 211 {
 679                     .text:	section	.text,new
 680  0000               _PWR_PVDGetITStatus:
 682  0000 89            	pushw	x
 683       00000002      OFST:	set	2
 686                     ; 212     ITStatus bitstatus = RESET;
 688                     ; 214     uint8_t PVD_itStatus = 0x0, PVD_itEnable = 0x0;
 692                     ; 216     PVD_itStatus = (uint8_t)(PWR->CSR1 & (uint8_t)PWR_CSR1_PVDIF);
 694  0001 c650b2        	ld	a,20658
 695  0004 a420          	and	a,#32
 696  0006 6b01          	ld	(OFST-1,sp),a
 697                     ; 217     PVD_itEnable = (uint8_t)(PWR->CSR1 & (uint8_t)PWR_CSR1_PVDIE);
 699  0008 c650b2        	ld	a,20658
 700  000b a410          	and	a,#16
 701  000d 6b02          	ld	(OFST+0,sp),a
 702                     ; 219     if ((PVD_itStatus != (uint8_t)RESET ) && (PVD_itEnable != (uint8_t)RESET))
 704  000f 7b01          	ld	a,(OFST-1,sp)
 705  0011 2708          	jreq	L123
 707  0013 7b02          	ld	a,(OFST+0,sp)
 708  0015 2704          	jreq	L123
 709                     ; 221         bitstatus = (ITStatus)SET;
 711  0017 a601          	ld	a,#1
 713  0019 2001          	jra	L323
 714  001b               L123:
 715                     ; 225         bitstatus = (ITStatus)RESET;
 717  001b 4f            	clr	a
 718  001c               L323:
 719                     ; 227     return ((ITStatus)bitstatus);
 723  001c 85            	popw	x
 724  001d 81            	ret	
 748                     ; 235 void PWR_PVDClearITPendingBit(void)
 748                     ; 236 {
 749                     .text:	section	.text,new
 750  0000               _PWR_PVDClearITPendingBit:
 754                     ; 238     PWR->CSR1 |= PWR_CSR1_PVDIF;
 756  0000 721a50b2      	bset	20658,#5
 757                     ; 239 }
 760  0004 81            	ret	
 773                     	xdef	_PWR_PVDClearITPendingBit
 774                     	xdef	_PWR_PVDGetITStatus
 775                     	xdef	_PWR_PVDClearFlag
 776                     	xdef	_PWR_GetFlagStatus
 777                     	xdef	_PWR_PVDLevelConfig
 778                     	xdef	_PWR_PVDITConfig
 779                     	xdef	_PWR_PVDCmd
 780                     	xdef	_PWR_UltraLowPowerCmd
 781                     	xdef	_PWR_FastWakeUpCmd
 782                     	xdef	_PWR_DeInit
 801                     	end
