   1                     ; C Compiler for STM8 (COSMIC Software)
   2                     ; Parser V4.8.32 - 23 Mar 2010
   3                     ; Generator V4.3.4 - 23 Mar 2010
   4                     ; Optimizer V4.3.3 - 10 Feb 2010
 102                     ; 61 ErrorStatus RTC_DeInit(void)
 102                     ; 62 {
 104                     .text:	section	.text,new
 105  0000               _RTC_DeInit:
 107  0000 5203          	subw	sp,#3
 108       00000003      OFST:	set	3
 111                     ; 63   ErrorStatus status = ERROR;
 113                     ; 64   uint16_t wutcounter = 0;
 115  0002 5f            	clrw	x
 116  0003 1f01          	ldw	(OFST-2,sp),x
 117                     ; 65   uint8_t wutwfstatus = 0;
 119                     ; 67   RTC_WriteProtectionCmd(DISABLE);
 121  0005 4f            	clr	a
 122  0006 cd0000        	call	_RTC_WriteProtectionCmd
 124                     ; 70   if (RTC_EnterInitMode() == ERROR)
 126  0009 cd0000        	call	_RTC_EnterInitMode
 128  000c 4d            	tnz	a
 129  000d 2605          	jrne	L35
 130                     ; 72     status = ERROR;
 132  000f 6b03          	ld	(OFST+0,sp),a
 133                     ; 74     RTC_WriteProtectionCmd(ENABLE);
 135  0011 4c            	inc	a
 138  0012 2042          	jp	LC002
 139  0014               L35:
 140                     ; 79       RTC->TR1 = RTC_TR1_RESET_VALUE;
 142  0014 725f5140      	clr	20800
 143                     ; 80       RTC->TR2 = RTC_TR2_RESET_VALUE;
 145  0018 725f5141      	clr	20801
 146                     ; 81       RTC->TR3 = RTC_TR3_RESET_VALUE;
 148  001c 725f5142      	clr	20802
 149                     ; 84       RTC->DR1 = RTC_DR1_RESET_VALUE;
 151  0020 35015144      	mov	20804,#1
 152                     ; 85       RTC->DR2 = RTC_DR2_RESET_VALUE;
 154  0024 35215145      	mov	20805,#33
 155                     ; 86       RTC->DR3 = RTC_DR3_RESET_VALUE;
 157  0028 725f5146      	clr	20806
 158                     ; 89       RTC->CR1 = 0x7;
 160  002c 35075148      	mov	20808,#7
 161                     ; 90       RTC->CR2 = RTC_CR2_RESET_VALUE;
 163  0030 725f5149      	clr	20809
 164                     ; 91       RTC->CR3 = RTC_CR3_RESET_VALUE;
 166  0034 725f514a      	clr	20810
 167  0038               L75:
 168                     ; 96         wutwfstatus =(uint8_t)(RTC->ISR1 & RTC_ISR1_WUTWF);
 170  0038 c6514c        	ld	a,20812
 171  003b a404          	and	a,#4
 172  003d 6b03          	ld	(OFST+0,sp),a
 173                     ; 97         wutcounter++;  
 175  003f 1e01          	ldw	x,(OFST-2,sp)
 176  0041 5c            	incw	x
 177  0042 1f01          	ldw	(OFST-2,sp),x
 178                     ; 98       } while((wutwfstatus == RESET) && (wutcounter != INIT_TIMEOUT));
 180  0044 7b03          	ld	a,(OFST+0,sp)
 181  0046 2605          	jrne	L56
 183  0048 a3ffff        	cpw	x,#65535
 184  004b 26eb          	jrne	L75
 185  004d               L56:
 186                     ; 100       if ((RTC->ISR1 & RTC_ISR1_WUTWF) == RESET)
 188  004d 7204514c0b    	btjt	20812,#2,L76
 189                     ; 102         status = ERROR;
 191  0052 0f03          	clr	(OFST+0,sp)
 192                     ; 104         RTC_WriteProtectionCmd(ENABLE);
 194  0054 a601          	ld	a,#1
 195  0056               LC002:
 196  0056 cd0000        	call	_RTC_WriteProtectionCmd
 199  0059 7b03          	ld	a,(OFST+0,sp)
 200  005b 203d          	jra	LC001
 201  005d               L76:
 202                     ; 109         RTC->CR1 = RTC_CR1_RESET_VALUE;
 204  005d 725f5148      	clr	20808
 205                     ; 112         RTC->WUTRH = RTC_WUTRH_RESET_VALUE;
 207  0061 35ff5154      	mov	20820,#255
 208                     ; 113         RTC->WUTRL = RTC_WUTRL_RESET_VALUE;
 210  0065 35ff5155      	mov	20821,#255
 211                     ; 116         RTC->SPRERH = RTC_SPRERH_RESET_VALUE;
 213  0069 725f5150      	clr	20816
 214                     ; 117         RTC->SPRERL = RTC_SPRERL_RESET_VALUE;
 216  006d 35ff5151      	mov	20817,#255
 217                     ; 118         RTC->APRER  = RTC_APRER_RESET_VALUE;
 219  0071 357f5152      	mov	20818,#127
 220                     ; 121         RTC->ALRMAR1 = RTC_ALRMAR1_RESET_VALUE;
 222  0075 725f515c      	clr	20828
 223                     ; 122         RTC->ALRMAR2 = RTC_ALRMAR2_RESET_VALUE;
 225  0079 725f515d      	clr	20829
 226                     ; 123         RTC->ALRMAR3 = RTC_ALRMAR3_RESET_VALUE;
 228  007d 725f515e      	clr	20830
 229                     ; 124         RTC->ALRMAR4 = RTC_ALRMAR4_RESET_VALUE;
 231  0081 725f515f      	clr	20831
 232                     ; 127         RTC->ISR1 = (uint8_t)0x00;
 234  0085 725f514c      	clr	20812
 235                     ; 128         RTC->ISR2 = RTC_ISR2_RESET_VALUE;
 237  0089 725f514d      	clr	20813
 238                     ; 131         RTC_WriteProtectionCmd(ENABLE);
 240  008d a601          	ld	a,#1
 241  008f cd0000        	call	_RTC_WriteProtectionCmd
 243                     ; 133         if(RTC_WaitForSynchro() == ERROR)
 245  0092 cd0000        	call	_RTC_WaitForSynchro
 247  0095 4d            	tnz	a
 248                     ; 135           status = ERROR;
 250  0096 2702          	jreq	LC001
 251                     ; 139           status = SUCCESS;
 253  0098 a601          	ld	a,#1
 254  009a               LC001:
 256                     ; 143   return (ErrorStatus)status;
 260  009a 5b03          	addw	sp,#3
 261  009c 81            	ret	
 363                     ; 155 ErrorStatus RTC_Init(RTC_InitTypeDef* RTC_InitStruct)
 363                     ; 156 {
 364                     .text:	section	.text,new
 365  0000               _RTC_Init:
 367  0000 89            	pushw	x
 368  0001 88            	push	a
 369       00000001      OFST:	set	1
 372                     ; 157   ErrorStatus status = ERROR;
 374                     ; 159   assert_param(IS_RTC_HOUR_FORMAT(RTC_InitStruct->RTC_HourFormat));
 376                     ; 160   assert_param(IS_RTC_ASYNCH_PREDIV(RTC_InitStruct->RTC_AsynchPrediv));
 378                     ; 161   assert_param(IS_RTC_SYNCH_PREDIV(RTC_InitStruct->RTC_SynchPrediv));
 380                     ; 164   RTC_WriteProtectionCmd(DISABLE);
 382  0002 4f            	clr	a
 383  0003 cd0000        	call	_RTC_WriteProtectionCmd
 385                     ; 167   if (RTC_EnterInitMode() == ERROR)
 387  0006 cd0000        	call	_RTC_EnterInitMode
 389  0009 4d            	tnz	a
 390                     ; 169     status = ERROR;
 392  000a 2726          	jreq	L151
 393                     ; 174       RTC->CR1 &= ((uint8_t)~( RTC_CR1_FMT ));
 395  000c 721d5148      	bres	20808,#6
 396                     ; 177       RTC->CR1 |=  ((uint8_t)(RTC_InitStruct->RTC_HourFormat));
 398  0010 1e02          	ldw	x,(OFST+1,sp)
 399  0012 c65148        	ld	a,20808
 400  0015 fa            	or	a,(x)
 401  0016 c75148        	ld	20808,a
 402                     ; 179       RTC->SPRERH = (uint8_t)(RTC_InitStruct->RTC_SynchPrediv >> 8);
 404  0019 4f            	clr	a
 405  001a ee02          	ldw	x,(2,x)
 406  001c 01            	rrwa	x,a
 407  001d 9f            	ld	a,xl
 408  001e c75150        	ld	20816,a
 409                     ; 180       RTC->SPRERL = (uint8_t)(RTC_InitStruct->RTC_SynchPrediv);
 411  0021 1e02          	ldw	x,(OFST+1,sp)
 412  0023 e603          	ld	a,(3,x)
 413  0025 c75151        	ld	20817,a
 414                     ; 181       RTC->APRER =  (uint8_t)(RTC_InitStruct->RTC_AsynchPrediv);
 416  0028 e601          	ld	a,(1,x)
 417  002a c75152        	ld	20818,a
 418                     ; 184       RTC_ExitInitMode();
 420  002d cd0000        	call	_RTC_ExitInitMode
 422                     ; 186       status = SUCCESS;
 424  0030 a601          	ld	a,#1
 425  0032               L151:
 427  0032 6b01          	ld	(OFST+0,sp),a
 428                     ; 189    RTC_WriteProtectionCmd(ENABLE);
 430  0034 a601          	ld	a,#1
 431  0036 cd0000        	call	_RTC_WriteProtectionCmd
 433                     ; 190   return (ErrorStatus)(status);
 435  0039 7b01          	ld	a,(OFST+0,sp)
 438  003b 5b03          	addw	sp,#3
 439  003d 81            	ret	
 476                     ; 199 void RTC_StructInit(RTC_InitTypeDef* RTC_InitStruct)
 476                     ; 200 {
 477                     .text:	section	.text,new
 478  0000               _RTC_StructInit:
 482                     ; 202   RTC_InitStruct->RTC_HourFormat = RTC_HourFormat_24;
 484  0000 7f            	clr	(x)
 485                     ; 205   RTC_InitStruct->RTC_AsynchPrediv = RTC_APRER_RESET_VALUE;
 487  0001 a67f          	ld	a,#127
 488  0003 e701          	ld	(1,x),a
 489                     ; 208   RTC_InitStruct->RTC_SynchPrediv = RTC_SPRERL_RESET_VALUE;
 491  0005 90ae00ff      	ldw	y,#255
 492  0009 ef02          	ldw	(2,x),y
 493                     ; 209 }
 496  000b 81            	ret	
 582                     ; 222 void RTC_ITConfig(RTC_IT_TypeDef RTC_IT, FunctionalState NewState)
 582                     ; 223 {
 583                     .text:	section	.text,new
 584  0000               _RTC_ITConfig:
 586  0000 89            	pushw	x
 587       00000000      OFST:	set	0
 590                     ; 225   assert_param(IS_RTC_CONFIG_IT(RTC_IT));
 592                     ; 226   assert_param(IS_FUNCTIONAL_STATE(NewState));
 594                     ; 229   RTC_WriteProtectionCmd(DISABLE);
 596  0001 4f            	clr	a
 597  0002 cd0000        	call	_RTC_WriteProtectionCmd
 599                     ; 231   if (NewState != DISABLE)
 601  0005 7b02          	ld	a,(OFST+2,sp)
 602  0007 2707          	jreq	L532
 603                     ; 234     RTC->CR2 |= (uint8_t)RTC_IT;
 605  0009 c65149        	ld	a,20809
 606  000c 1a01          	or	a,(OFST+1,sp)
 608  000e 2006          	jra	L732
 609  0010               L532:
 610                     ; 239     RTC->CR2 &= (uint8_t)~(RTC_IT);      
 612  0010 7b01          	ld	a,(OFST+1,sp)
 613  0012 43            	cpl	a
 614  0013 c45149        	and	a,20809
 615  0016               L732:
 616  0016 c75149        	ld	20809,a
 617                     ; 243   RTC_WriteProtectionCmd(ENABLE);
 619  0019 a601          	ld	a,#1
 620  001b cd0000        	call	_RTC_WriteProtectionCmd
 622                     ; 244 }
 625  001e 85            	popw	x
 626  001f 81            	ret	
 671                     ; 253 ErrorStatus RTC_EnterInitMode(void)
 671                     ; 254 {
 672                     .text:	section	.text,new
 673  0000               _RTC_EnterInitMode:
 675  0000 5203          	subw	sp,#3
 676       00000003      OFST:	set	3
 679                     ; 255   ErrorStatus status = ERROR;
 681                     ; 256   uint16_t initfcount =0;
 683  0002 5f            	clrw	x
 684  0003 1f02          	ldw	(OFST-1,sp),x
 685                     ; 259   if ((RTC->ISR1 & RTC_ISR1_INITF) == RESET)
 687  0005 720c514c13    	btjt	20812,#6,L362
 688                     ; 262     RTC->ISR1 = (uint8_t)RTC_ISR1_INIT;
 690  000a 3580514c      	mov	20812,#128
 692  000e 2003          	jra	L172
 693  0010               L562:
 694                     ; 267       initfcount++;
 696  0010 5c            	incw	x
 697  0011 1f02          	ldw	(OFST-1,sp),x
 698  0013               L172:
 699                     ; 265     while (((RTC->ISR1 & RTC_ISR1_INITF) == RESET)&& ( initfcount !=INITF_TIMEOUT))
 701  0013 720c514c05    	btjt	20812,#6,L362
 703  0018 a3ffff        	cpw	x,#65535
 704  001b 26f3          	jrne	L562
 705  001d               L362:
 706                     ; 271   if ((RTC->ISR1 & RTC_ISR1_INITF) == RESET)
 708  001d 720c514c03    	btjt	20812,#6,L772
 709                     ; 273      status = ERROR;
 711  0022 4f            	clr	a
 713  0023 2002          	jra	L103
 714  0025               L772:
 715                     ; 277      status = SUCCESS;
 717  0025 a601          	ld	a,#1
 718  0027               L103:
 719                     ; 279   return (ErrorStatus)status;
 723  0027 5b03          	addw	sp,#3
 724  0029 81            	ret	
 747                     ; 287 void RTC_ExitInitMode(void)
 747                     ; 288 {
 748                     .text:	section	.text,new
 749  0000               _RTC_ExitInitMode:
 753                     ; 290   RTC->ISR1 &= (uint8_t)~RTC_ISR1_INIT; 
 755  0000 721f514c      	bres	20812,#7
 756                     ; 291 }
 759  0004 81            	ret	
 795                     ; 299 void RTC_WriteProtectionCmd(FunctionalState NewState)
 795                     ; 300 {
 796                     .text:	section	.text,new
 797  0000               _RTC_WriteProtectionCmd:
 801                     ; 302   assert_param(IS_FUNCTIONAL_STATE(NewState));  
 803                     ; 304   if (NewState != DISABLE)
 805  0000 4d            	tnz	a
 806  0001 2705          	jreq	L133
 807                     ; 307     RTC->WPR = RTC_WPR_EnableKey;  
 809  0003 35ff5159      	mov	20825,#255
 812  0007 81            	ret	
 813  0008               L133:
 814                     ; 312     RTC->WPR = RTC_WPR_DisableKey1;
 816  0008 35ca5159      	mov	20825,#202
 817                     ; 313     RTC->WPR = RTC_WPR_DisableKey2;   
 819  000c 35535159      	mov	20825,#83
 820                     ; 315 }
 823  0010 81            	ret	
 868                     ; 326 ErrorStatus RTC_WaitForSynchro(void)
 868                     ; 327 { 
 869                     .text:	section	.text,new
 870  0000               _RTC_WaitForSynchro:
 872  0000 5203          	subw	sp,#3
 873       00000003      OFST:	set	3
 876                     ; 328   uint16_t rsfcount =0;
 878  0002 5f            	clrw	x
 879  0003 1f02          	ldw	(OFST-1,sp),x
 880                     ; 329   ErrorStatus status = ERROR;
 882                     ; 332   RTC->ISR1 &= (uint8_t)~(RTC_ISR1_RSF | RTC_ISR1_INIT);
 884  0005 c6514c        	ld	a,20812
 885  0008 a45f          	and	a,#95
 886  000a c7514c        	ld	20812,a
 888  000d 2003          	jra	L163
 889  000f               L753:
 890                     ; 337     rsfcount++;
 892  000f 5c            	incw	x
 893  0010 1f02          	ldw	(OFST-1,sp),x
 894  0012               L163:
 895                     ; 335   while (((RTC->ISR1 & RTC_ISR1_RSF) != RESET)&& ( rsfcount !=RSF_TIMEOUT))
 897  0012 720b514c05    	btjf	20812,#5,L563
 899  0017 a3ffff        	cpw	x,#65535
 900  001a 26f3          	jrne	L753
 901  001c               L563:
 902                     ; 341   if((RTC->ISR1 & RTC_ISR1_RSF) != RESET)
 904  001c 720b514c03    	btjf	20812,#5,L763
 905                     ; 343     status = ERROR;
 907  0021 4f            	clr	a
 909  0022 2002          	jra	L173
 910  0024               L763:
 911                     ; 347     status = SUCCESS;
 913  0024 a601          	ld	a,#1
 914  0026               L173:
 915                     ; 350   return (ErrorStatus)status; 
 919  0026 5b03          	addw	sp,#3
 920  0028 81            	ret	
 969                     ; 362 ErrorStatus RTC_RatioCmd(FunctionalState NewState)
 969                     ; 363 {
 970                     .text:	section	.text,new
 971  0000               _RTC_RatioCmd:
 973  0000 88            	push	a
 974  0001 88            	push	a
 975       00000001      OFST:	set	1
 978                     ; 364   ErrorStatus status = ERROR;
 980                     ; 367   assert_param(IS_FUNCTIONAL_STATE(NewState));
 982                     ; 370   RTC_WriteProtectionCmd(DISABLE);
 984  0002 4f            	clr	a
 985  0003 cd0000        	call	_RTC_WriteProtectionCmd
 987                     ; 373   if (RTC_EnterInitMode() == ERROR)
 989  0006 cd0000        	call	_RTC_EnterInitMode
 991  0009 4d            	tnz	a
 992                     ; 375     status = ERROR;
 994  000a 2713          	jreq	L714
 995                     ; 379      if (NewState != DISABLE)
 997  000c 7b02          	ld	a,(OFST+1,sp)
 998  000e 2706          	jreq	L124
 999                     ; 382         RTC->CR1 |= (uint8_t)RTC_CR1_RATIO;
1001  0010 721a5148      	bset	20808,#5
1003  0014 2004          	jra	L324
1004  0016               L124:
1005                     ; 387         RTC->CR1 &= (uint8_t)~RTC_CR1_RATIO;
1007  0016 721b5148      	bres	20808,#5
1008  001a               L324:
1009                     ; 391       RTC_ExitInitMode();
1011  001a cd0000        	call	_RTC_ExitInitMode
1013                     ; 393       status = SUCCESS;
1015  001d a601          	ld	a,#1
1016  001f               L714:
1018  001f 6b01          	ld	(OFST+0,sp),a
1019                     ; 396    RTC_WriteProtectionCmd(ENABLE);
1021  0021 a601          	ld	a,#1
1022  0023 cd0000        	call	_RTC_WriteProtectionCmd
1024                     ; 398   return (ErrorStatus)(status);  
1026  0026 7b01          	ld	a,(OFST+0,sp)
1029  0028 85            	popw	x
1030  0029 81            	ret	
1171                     ; 411 ErrorStatus RTC_SetTime(RTC_Format_TypeDef RTC_Format, RTC_TimeTypeDef* RTC_TimeStruct)
1171                     ; 412 {
1172                     .text:	section	.text,new
1173  0000               _RTC_SetTime:
1175  0000 88            	push	a
1176  0001 88            	push	a
1177       00000001      OFST:	set	1
1180                     ; 413   ErrorStatus status = ERROR;
1182                     ; 415   assert_param(IS_RTC_FORMAT(RTC_Format));
1184                     ; 417   if (RTC_Format == RTC_Format_BIN)
1186                     ; 419     if (!(RTC->CR1 & RTC_CR1_FMT))
1187                     ; 421       assert_param(IS_RTC_HOUR12(RTC_TimeStruct->RTC_Hours));
1190                     ; 425       assert_param(IS_RTC_HOUR24(RTC_TimeStruct->RTC_Hours));
1192                     ; 427     assert_param(IS_RTC_MINUTES(RTC_TimeStruct->RTC_Minutes));
1194                     ; 428     assert_param(IS_RTC_SECONDS(RTC_TimeStruct->RTC_Seconds));
1197                     ; 432     if ((RTC->CR1 & RTC_CR1_FMT) != RESET )
1199                     ; 434       assert_param(IS_RTC_HOUR12(RTC_Bcd2ToByte(RTC_TimeStruct->RTC_Hours))); 
1203  0002 c65148        	ld	a,20808
1204                     ; 438       assert_param(IS_RTC_HOUR24(RTC_Bcd2ToByte(RTC_TimeStruct->RTC_Hours)));
1206                     ; 440     assert_param(IS_RTC_MINUTES(RTC_Bcd2ToByte(RTC_TimeStruct->RTC_Minutes)));
1208                     ; 441     assert_param(IS_RTC_SECONDS(RTC_Bcd2ToByte(RTC_TimeStruct->RTC_Seconds)));
1210                     ; 443   assert_param(IS_RTC_H12(RTC_TimeStruct->RTC_H12));
1212                     ; 446   RTC_WriteProtectionCmd(DISABLE); 
1214  0005 4f            	clr	a
1215  0006 cd0000        	call	_RTC_WriteProtectionCmd
1217                     ; 449   if (RTC_EnterInitMode() == ERROR)
1219  0009 cd0000        	call	_RTC_EnterInitMode
1221  000c 4d            	tnz	a
1222  000d 260a          	jrne	L725
1223                     ; 451     status = ERROR;
1225  000f 6b01          	ld	(OFST+0,sp),a
1226                     ; 453     RTC_WriteProtectionCmd(ENABLE);
1228  0011 4c            	inc	a
1229  0012 cd0000        	call	_RTC_WriteProtectionCmd
1232  0015 7b01          	ld	a,(OFST+0,sp)
1233  0017 2047          	jra	LC003
1234  0019               L725:
1235                     ; 458     if (RTC_Format != RTC_Format_BIN)
1237  0019 7b02          	ld	a,(OFST+1,sp)
1238  001b 270f          	jreq	L335
1239                     ; 460       RTC->TR1 = (uint8_t)(RTC_TimeStruct->RTC_Seconds);
1241  001d 1e05          	ldw	x,(OFST+4,sp)
1242  001f e602          	ld	a,(2,x)
1243  0021 c75140        	ld	20800,a
1244                     ; 461       RTC->TR2 = (uint8_t)(RTC_TimeStruct->RTC_Minutes) ;
1246  0024 e601          	ld	a,(1,x)
1247  0026 c75141        	ld	20801,a
1248                     ; 462       RTC->TR3 = (uint8_t)(RTC_TimeStruct->RTC_H12 | RTC_TimeStruct->RTC_Hours) ;
1250  0029 f6            	ld	a,(x)
1252  002a 201c          	jra	L535
1253  002c               L335:
1254                     ; 466       RTC->TR1 = (uint8_t)(RTC_ByteToBcd2(RTC_TimeStruct->RTC_Seconds));
1256  002c 1e05          	ldw	x,(OFST+4,sp)
1257  002e e602          	ld	a,(2,x)
1258  0030 cd0000        	call	L3_RTC_ByteToBcd2
1260  0033 c75140        	ld	20800,a
1261                     ; 467       RTC->TR2 = (uint8_t)(RTC_ByteToBcd2(RTC_TimeStruct->RTC_Minutes)) ;
1263  0036 1e05          	ldw	x,(OFST+4,sp)
1264  0038 e601          	ld	a,(1,x)
1265  003a cd0000        	call	L3_RTC_ByteToBcd2
1267  003d c75141        	ld	20801,a
1268                     ; 468       RTC->TR3 = (uint8_t)(RTC_TimeStruct->RTC_H12 | RTC_ByteToBcd2(RTC_TimeStruct->RTC_Hours));
1270  0040 1e05          	ldw	x,(OFST+4,sp)
1271  0042 f6            	ld	a,(x)
1272  0043 cd0000        	call	L3_RTC_ByteToBcd2
1274  0046 1e05          	ldw	x,(OFST+4,sp)
1275  0048               L535:
1276  0048 ea03          	or	a,(3,x)
1277  004a c75142        	ld	20802,a
1278                     ; 471     (void)(RTC->DR3);
1280  004d c65146        	ld	a,20806
1281                     ; 474     RTC_ExitInitMode(); 
1283  0050 cd0000        	call	_RTC_ExitInitMode
1285                     ; 477     RTC_WriteProtectionCmd(ENABLE);
1287  0053 a601          	ld	a,#1
1288  0055 cd0000        	call	_RTC_WriteProtectionCmd
1290                     ; 479     if(RTC_WaitForSynchro() == ERROR)
1292  0058 cd0000        	call	_RTC_WaitForSynchro
1294  005b 4d            	tnz	a
1295                     ; 481       status = ERROR;
1297  005c 2702          	jreq	LC003
1298                     ; 485       status = SUCCESS;
1300  005e a601          	ld	a,#1
1301  0060               LC003:
1303                     ; 488   return (ErrorStatus)status;
1307  0060 85            	popw	x
1308  0061 81            	ret	
1562                     ; 500 ErrorStatus RTC_SetDate(RTC_Format_TypeDef RTC_Format, RTC_DateTypeDef* RTC_DateStruct)
1562                     ; 501 {
1563                     .text:	section	.text,new
1564  0000               _RTC_SetDate:
1566  0000 88            	push	a
1567  0001 88            	push	a
1568       00000001      OFST:	set	1
1571                     ; 502   ErrorStatus status = ERROR;
1573                     ; 503   if ((RTC_Format == RTC_Format_BIN) && ((RTC_DateStruct->RTC_Month & TEN_VALUE_BCD)==TEN_VALUE_BCD))
1575  0002 4d            	tnz	a
1576  0003 2610          	jrne	L176
1578  0005 1e05          	ldw	x,(OFST+4,sp)
1579  0007 e601          	ld	a,(1,x)
1580  0009 a410          	and	a,#16
1581  000b 2708          	jreq	L176
1582                     ; 505     RTC_DateStruct->RTC_Month = (RTC_Month_TypeDef)((RTC_DateStruct->RTC_Month & ~(TEN_VALUE_BCD)) + TEN_VALUE_BIN);
1584  000d e601          	ld	a,(1,x)
1585  000f a4ef          	and	a,#239
1586  0011 ab0a          	add	a,#10
1587  0013 e701          	ld	(1,x),a
1588  0015               L176:
1589                     ; 509   assert_param(IS_RTC_FORMAT(RTC_Format));
1591                     ; 510   if (RTC_Format == RTC_Format_BIN)
1593                     ; 512     assert_param(IS_RTC_YEAR(RTC_DateStruct->RTC_Year));
1595                     ; 513     assert_param(IS_RTC_MONTH(RTC_DateStruct->RTC_Month));
1597                     ; 514     assert_param(IS_RTC_DATE(RTC_DateStruct->RTC_Date));
1600                     ; 518     assert_param(IS_RTC_YEAR(RTC_Bcd2ToByte(RTC_DateStruct->RTC_Year)));
1602                     ; 519     assert_param(IS_RTC_MONTH(RTC_Bcd2ToByte((uint8_t)RTC_DateStruct->RTC_Month)));
1604                     ; 520     assert_param(IS_RTC_DATE(RTC_Bcd2ToByte((uint8_t)RTC_DateStruct->RTC_Date)));
1606                     ; 522   assert_param(IS_RTC_WEEKDAY(RTC_DateStruct->RTC_WeekDay));
1608                     ; 525   RTC_WriteProtectionCmd(DISABLE); 
1610  0015 4f            	clr	a
1611  0016 cd0000        	call	_RTC_WriteProtectionCmd
1613                     ; 528   if (RTC_EnterInitMode() == ERROR)
1615  0019 cd0000        	call	_RTC_EnterInitMode
1617  001c 4d            	tnz	a
1618  001d 260a          	jrne	L776
1619                     ; 530     status = ERROR;
1621  001f 6b01          	ld	(OFST+0,sp),a
1622                     ; 532     RTC_WriteProtectionCmd(ENABLE);
1624  0021 4c            	inc	a
1625  0022 cd0000        	call	_RTC_WriteProtectionCmd
1628  0025 7b01          	ld	a,(OFST+0,sp)
1629  0027 2047          	jra	LC004
1630  0029               L776:
1631                     ; 536     (void)(RTC->TR1);
1633  0029 c65140        	ld	a,20800
1634                     ; 539     if (RTC_Format != RTC_Format_BIN)
1636  002c 7b02          	ld	a,(OFST+1,sp)
1637  002e 2711          	jreq	L307
1638                     ; 541       RTC->DR1 = (uint8_t)(RTC_DateStruct->RTC_Date);
1640  0030 1e05          	ldw	x,(OFST+4,sp)
1641  0032 e602          	ld	a,(2,x)
1642  0034 c75144        	ld	20804,a
1643                     ; 542       RTC->DR2 = (uint8_t)((RTC_DateStruct->RTC_Month) | (RTC_DateStruct->RTC_WeekDay));
1645  0037 f6            	ld	a,(x)
1646  0038 ea01          	or	a,(1,x)
1647  003a c75145        	ld	20805,a
1648                     ; 543       RTC->DR3 = (uint8_t)((RTC_DateStruct->RTC_Year));
1650  003d e603          	ld	a,(3,x)
1652  003f 201c          	jra	L507
1653  0041               L307:
1654                     ; 547       RTC->DR1 = (uint8_t)(RTC_ByteToBcd2 ((uint8_t)RTC_DateStruct->RTC_Date));
1656  0041 1e05          	ldw	x,(OFST+4,sp)
1657  0043 e602          	ld	a,(2,x)
1658  0045 cd0000        	call	L3_RTC_ByteToBcd2
1660  0048 c75144        	ld	20804,a
1661                     ; 548       RTC->DR2 = (uint8_t)((RTC_ByteToBcd2((uint8_t)RTC_DateStruct->RTC_Month)) | (RTC_DateStruct->RTC_WeekDay));
1663  004b 1e05          	ldw	x,(OFST+4,sp)
1664  004d e601          	ld	a,(1,x)
1665  004f cd0000        	call	L3_RTC_ByteToBcd2
1667  0052 1e05          	ldw	x,(OFST+4,sp)
1668  0054 fa            	or	a,(x)
1669  0055 c75145        	ld	20805,a
1670                     ; 549       RTC->DR3 = (uint8_t)(RTC_ByteToBcd2((uint8_t)RTC_DateStruct->RTC_Year));
1672  0058 e603          	ld	a,(3,x)
1673  005a cd0000        	call	L3_RTC_ByteToBcd2
1675  005d               L507:
1676  005d c75146        	ld	20806,a
1677                     ; 553     RTC_ExitInitMode(); 
1679  0060 cd0000        	call	_RTC_ExitInitMode
1681                     ; 556     RTC_WriteProtectionCmd(ENABLE);
1683  0063 a601          	ld	a,#1
1684  0065 cd0000        	call	_RTC_WriteProtectionCmd
1686                     ; 558     if(RTC_WaitForSynchro() == ERROR)
1688  0068 cd0000        	call	_RTC_WaitForSynchro
1690  006b 4d            	tnz	a
1691                     ; 560       status = ERROR;
1693  006c 2702          	jreq	LC004
1694                     ; 564       status = SUCCESS;
1696  006e a601          	ld	a,#1
1697  0070               LC004:
1699                     ; 567   return (ErrorStatus)status;
1703  0070 85            	popw	x
1704  0071 81            	ret	
1761                     ; 578 void RTC_GetTime(RTC_Format_TypeDef RTC_Format, RTC_TimeTypeDef* RTC_TimeStruct)
1761                     ; 579 {
1762                     .text:	section	.text,new
1763  0000               _RTC_GetTime:
1765  0000 88            	push	a
1766  0001 88            	push	a
1767       00000001      OFST:	set	1
1770                     ; 580   uint8_t  tmpreg =0;
1772                     ; 583   assert_param(IS_RTC_FORMAT(RTC_Format));
1774                     ; 587   RTC_TimeStruct->RTC_Seconds = RTC->TR1;
1776  0002 1e05          	ldw	x,(OFST+4,sp)
1777  0004 c65140        	ld	a,20800
1778  0007 e702          	ld	(2,x),a
1779                     ; 588   RTC_TimeStruct->RTC_Minutes = RTC->TR2;
1781  0009 c65141        	ld	a,20801
1782  000c e701          	ld	(1,x),a
1783                     ; 590   tmpreg = (uint8_t)RTC->TR3; 
1785  000e c65142        	ld	a,20802
1786  0011 6b01          	ld	(OFST+0,sp),a
1787                     ; 591 	(void) (RTC->DR3) ;
1789  0013 c65146        	ld	a,20806
1790                     ; 593   RTC_TimeStruct->RTC_Hours = (uint8_t)(tmpreg & (uint8_t)~(RTC_TR3_PM));
1792  0016 7b01          	ld	a,(OFST+0,sp)
1793  0018 a4bf          	and	a,#191
1794  001a f7            	ld	(x),a
1795                     ; 595   RTC_TimeStruct->RTC_H12 = (uint8_t)(tmpreg & (RTC_TR3_PM));
1797  001b 7b01          	ld	a,(OFST+0,sp)
1798  001d a440          	and	a,#64
1799  001f e703          	ld	(3,x),a
1800                     ; 597   if (RTC_Format == RTC_Format_BIN)
1802  0021 7b02          	ld	a,(OFST+1,sp)
1803  0023 2619          	jrne	L347
1804                     ; 600     RTC_TimeStruct->RTC_Hours = (uint8_t)RTC_Bcd2ToByte(RTC_TimeStruct->RTC_Hours);
1806  0025 f6            	ld	a,(x)
1807  0026 cd0000        	call	L5_RTC_Bcd2ToByte
1809  0029 1e05          	ldw	x,(OFST+4,sp)
1810  002b f7            	ld	(x),a
1811                     ; 601     RTC_TimeStruct->RTC_Minutes = (uint8_t)RTC_Bcd2ToByte(RTC_TimeStruct->RTC_Minutes);
1813  002c e601          	ld	a,(1,x)
1814  002e cd0000        	call	L5_RTC_Bcd2ToByte
1816  0031 1e05          	ldw	x,(OFST+4,sp)
1817  0033 e701          	ld	(1,x),a
1818                     ; 602     RTC_TimeStruct->RTC_Seconds = (uint8_t)RTC_Bcd2ToByte(RTC_TimeStruct->RTC_Seconds);   
1820  0035 e602          	ld	a,(2,x)
1821  0037 cd0000        	call	L5_RTC_Bcd2ToByte
1823  003a 1e05          	ldw	x,(OFST+4,sp)
1824  003c e702          	ld	(2,x),a
1825  003e               L347:
1826                     ; 604 }
1829  003e 85            	popw	x
1830  003f 81            	ret	
1887                     ; 614 void RTC_GetDate(RTC_Format_TypeDef RTC_Format, RTC_DateTypeDef* RTC_DateStruct)
1887                     ; 615 {
1888                     .text:	section	.text,new
1889  0000               _RTC_GetDate:
1891  0000 88            	push	a
1892  0001 88            	push	a
1893       00000001      OFST:	set	1
1896                     ; 616   uint8_t tmpreg =0;
1898                     ; 619   assert_param(IS_RTC_FORMAT(RTC_Format));
1900                     ; 625 	(void) (RTC->TR1) ;
1902  0002 c65140        	ld	a,20800
1903                     ; 626   RTC_DateStruct->RTC_Date = (uint8_t)(RTC->DR1);
1905  0005 1e05          	ldw	x,(OFST+4,sp)
1906  0007 c65144        	ld	a,20804
1907  000a e702          	ld	(2,x),a
1908                     ; 627   tmpreg = (uint8_t)RTC->DR2; 
1910  000c c65145        	ld	a,20805
1911  000f 6b01          	ld	(OFST+0,sp),a
1912                     ; 628   RTC_DateStruct->RTC_Year = (uint8_t)(RTC->DR3);
1914  0011 c65146        	ld	a,20806
1915  0014 e703          	ld	(3,x),a
1916                     ; 631   RTC_DateStruct->RTC_Month = (uint8_t)((tmpreg & (RTC_DR2_MT | RTC_DR2_MU)));
1918  0016 7b01          	ld	a,(OFST+0,sp)
1919  0018 a41f          	and	a,#31
1920  001a e701          	ld	(1,x),a
1921                     ; 632   RTC_DateStruct->RTC_WeekDay = (uint8_t)((tmpreg & (RTC_DR2_WD)));  
1923  001c 7b01          	ld	a,(OFST+0,sp)
1924  001e a4e0          	and	a,#224
1925  0020 f7            	ld	(x),a
1926                     ; 635   if (RTC_Format == RTC_Format_BIN)
1928  0021 7b02          	ld	a,(OFST+1,sp)
1929  0023 261b          	jrne	L577
1930                     ; 638     RTC_DateStruct->RTC_Year = (uint8_t)RTC_Bcd2ToByte((uint8_t)RTC_DateStruct->RTC_Year);
1932  0025 e603          	ld	a,(3,x)
1933  0027 cd0000        	call	L5_RTC_Bcd2ToByte
1935  002a 1e05          	ldw	x,(OFST+4,sp)
1936  002c e703          	ld	(3,x),a
1937                     ; 639     RTC_DateStruct->RTC_Month = (uint8_t)RTC_Bcd2ToByte((uint8_t)RTC_DateStruct->RTC_Month);
1939  002e e601          	ld	a,(1,x)
1940  0030 cd0000        	call	L5_RTC_Bcd2ToByte
1942  0033 1e05          	ldw	x,(OFST+4,sp)
1943  0035 e701          	ld	(1,x),a
1944                     ; 640     RTC_DateStruct->RTC_Date = (uint8_t)(RTC_Bcd2ToByte((uint8_t)RTC_DateStruct->RTC_Date));
1946  0037 e602          	ld	a,(2,x)
1947  0039 cd0000        	call	L5_RTC_Bcd2ToByte
1949  003c 1e05          	ldw	x,(OFST+4,sp)
1950  003e e702          	ld	(2,x),a
1951  0040               L577:
1952                     ; 642 }
1955  0040 85            	popw	x
1956  0041 81            	ret	
2090                     ; 654 ErrorStatus RTC_SetAlarm(RTC_Format_TypeDef RTC_Format, RTC_AlarmTypeDef* RTC_AlarmStruct)
2090                     ; 655 {
2091                     .text:	section	.text,new
2092  0000               _RTC_SetAlarm:
2094  0000 88            	push	a
2095  0001 5204          	subw	sp,#4
2096       00000004      OFST:	set	4
2099                     ; 656   ErrorStatus status = ERROR;
2101                     ; 657   uint16_t alrawfcount =0;
2103  0003 5f            	clrw	x
2104  0004 1f03          	ldw	(OFST-1,sp),x
2105                     ; 659   assert_param(IS_RTC_FORMAT(RTC_Format));
2107                     ; 661   if (RTC_Format == RTC_Format_BIN)
2109                     ; 663     if (!(RTC->CR1 & RTC_CR1_FMT))
2110                     ; 665       assert_param(IS_RTC_HOUR12(RTC_AlarmStruct->RTC_AlarmTime.RTC_Hours));
2113                     ; 669       assert_param(IS_RTC_HOUR24(RTC_AlarmStruct->RTC_AlarmTime.RTC_Hours));
2115                     ; 671     assert_param(IS_RTC_MINUTES(RTC_AlarmStruct->RTC_AlarmTime.RTC_Minutes));
2117                     ; 672     assert_param(IS_RTC_SECONDS(RTC_AlarmStruct->RTC_AlarmTime.RTC_Seconds));
2119                     ; 673     assert_param(IS_RTC_DATE(RTC_AlarmStruct->RTC_AlarmDateWeekDay));
2122                     ; 677     if (!(RTC->CR1 & RTC_CR1_FMT))
2124                     ; 679       assert_param(IS_RTC_HOUR12(RTC_Bcd2ToByte(RTC_AlarmStruct->RTC_AlarmTime.RTC_Hours)));
2128  0006 c65148        	ld	a,20808
2129                     ; 683       assert_param(IS_RTC_HOUR24(RTC_Bcd2ToByte(RTC_AlarmStruct->RTC_AlarmTime.RTC_Hours)));
2131                     ; 686     assert_param(IS_RTC_MINUTES(RTC_Bcd2ToByte(RTC_AlarmStruct->RTC_AlarmTime.RTC_Minutes)));
2133                     ; 687     assert_param(IS_RTC_SECONDS(RTC_Bcd2ToByte(RTC_AlarmStruct->RTC_AlarmTime.RTC_Seconds)));
2135                     ; 688     assert_param(IS_RTC_DATE(RTC_Bcd2ToByte(RTC_AlarmStruct->RTC_AlarmDateWeekDay)));
2137                     ; 690   assert_param(IS_RTC_H12(RTC_AlarmStruct->RTC_AlarmTime.RTC_H12));
2139                     ; 691   assert_param(IS_RTC_ALARM_DATEWEEKDAY_SEL(RTC_AlarmStruct->RTC_AlarmDateWeekDaySel));
2141                     ; 692   assert_param(IS_RTC_ALARM_MASK(RTC_AlarmStruct->RTC_AlarmMask));
2143                     ; 695   RTC_WriteProtectionCmd(DISABLE);
2145  0009 4f            	clr	a
2146  000a cd0000        	call	_RTC_WriteProtectionCmd
2148                     ; 698   if ((RTC->ISR1 & RTC_ISR1_INITF) == RESET)
2150  000d 720d514c03cc  	btjt	20812,#6,L7701
2151                     ; 701     RTC->CR2 &= (uint8_t)~RTC_CR2_ALRAE;
2153  0015 72115149      	bres	20809,#0
2155  0019 2003          	jra	L3011
2156  001b               L1011:
2157                     ; 706       alrawfcount++;
2159  001b 5c            	incw	x
2160  001c 1f03          	ldw	(OFST-1,sp),x
2161  001e               L3011:
2162                     ; 704     while (((RTC->ISR1 & RTC_ISR1_ALRAWF) == RESET)&& ( alrawfcount != ALRAWF_TIMEOUT))
2164  001e 7200514c07    	btjt	20812,#0,L7011
2166  0023 1e03          	ldw	x,(OFST-1,sp)
2167  0025 a3ffff        	cpw	x,#65535
2168  0028 26f1          	jrne	L1011
2169  002a               L7011:
2170                     ; 709     if((RTC->ISR1 &  RTC_ISR1_ALRAWF) == RESET)
2172  002a 7200514c03    	btjt	20812,#0,L1111
2173                     ; 711       status = ERROR;
2175  002f cc00b3        	jp	L7701
2176  0032               L1111:
2177                     ; 716         if (RTC_Format != RTC_Format_BIN)
2179  0032 7b05          	ld	a,(OFST+1,sp)
2180  0034 272c          	jreq	L5111
2181                     ; 718           RTC->ALRMAR1 = (uint8_t)((RTC_AlarmStruct->RTC_AlarmTime.RTC_Seconds) |\
2181                     ; 719                                    (RTC_AlarmStruct->RTC_AlarmMask & RTC_ALRMAR1_MSK1));
2183  0036 1e08          	ldw	x,(OFST+4,sp)
2184  0038 e604          	ld	a,(4,x)
2185  003a a480          	and	a,#128
2186  003c ea02          	or	a,(2,x)
2187  003e c7515c        	ld	20828,a
2188                     ; 721           RTC->ALRMAR2 = (uint8_t)((RTC_AlarmStruct->RTC_AlarmTime.RTC_Minutes) | \
2188                     ; 722                                    ((RTC_AlarmStruct->RTC_AlarmMask << 1) & RTC_ALRMAR2_MSK2));
2190  0041 e604          	ld	a,(4,x)
2191  0043 48            	sll	a
2192  0044 a480          	and	a,#128
2193  0046 ea01          	or	a,(1,x)
2194  0048 c7515d        	ld	20829,a
2195                     ; 724           RTC->ALRMAR3 = (uint8_t)((RTC_AlarmStruct->RTC_AlarmTime.RTC_Hours) | \
2195                     ; 725                                    (RTC_AlarmStruct->RTC_AlarmTime.RTC_H12)| \
2195                     ; 726                                    ((RTC_AlarmStruct->RTC_AlarmMask << 2) & RTC_ALRMAR3_MSK3));
2197  004b e604          	ld	a,(4,x)
2198  004d 48            	sll	a
2199  004e 48            	sll	a
2200  004f a480          	and	a,#128
2201  0051 6b01          	ld	(OFST-3,sp),a
2202  0053 e603          	ld	a,(3,x)
2203  0055 fa            	or	a,(x)
2204  0056 1a01          	or	a,(OFST-3,sp)
2205  0058 ad65          	call	LC006
2206  005a 6b01          	ld	(OFST-3,sp),a
2207  005c e605          	ld	a,(5,x)
2208  005e ea06          	or	a,(6,x)
2209                     ; 728           RTC->ALRMAR4 = (uint8_t)((RTC_AlarmStruct->RTC_AlarmDateWeekDay)| \
2209                     ; 729                                    (RTC_AlarmStruct->RTC_AlarmDateWeekDaySel)|\
2209                     ; 730                                    ((RTC_AlarmStruct->RTC_AlarmMask << 3) & RTC_ALRMAR4_MSK4));
2210  0060 2046          	jra	L7111
2211  0062               L5111:
2212                     ; 734           RTC->ALRMAR1 = (uint8_t)((RTC_ByteToBcd2(RTC_AlarmStruct->RTC_AlarmTime.RTC_Seconds)) | \
2212                     ; 735                                    (RTC_AlarmStruct->RTC_AlarmMask & RTC_ALRMAR1_MSK1));
2214  0062 1e08          	ldw	x,(OFST+4,sp)
2215  0064 e604          	ld	a,(4,x)
2216  0066 a480          	and	a,#128
2217  0068 6b01          	ld	(OFST-3,sp),a
2218  006a e602          	ld	a,(2,x)
2219  006c cd0000        	call	L3_RTC_ByteToBcd2
2221  006f 1a01          	or	a,(OFST-3,sp)
2222  0071 c7515c        	ld	20828,a
2223                     ; 737           RTC->ALRMAR2 = (uint8_t)((RTC_ByteToBcd2(RTC_AlarmStruct->RTC_AlarmTime.RTC_Minutes)) | \
2223                     ; 738                                    ((RTC_AlarmStruct->RTC_AlarmMask << 1) & RTC_ALRMAR2_MSK2));
2225  0074 1e08          	ldw	x,(OFST+4,sp)
2226  0076 e604          	ld	a,(4,x)
2227  0078 48            	sll	a
2228  0079 a480          	and	a,#128
2229  007b 6b01          	ld	(OFST-3,sp),a
2230  007d e601          	ld	a,(1,x)
2231  007f cd0000        	call	L3_RTC_ByteToBcd2
2233  0082 1a01          	or	a,(OFST-3,sp)
2234  0084 c7515d        	ld	20829,a
2235                     ; 740           RTC->ALRMAR3 = (uint8_t)((RTC_ByteToBcd2(RTC_AlarmStruct->RTC_AlarmTime.RTC_Hours)) | \
2235                     ; 741                                    (RTC_AlarmStruct->RTC_AlarmTime.RTC_H12) | \
2235                     ; 742                                    ((RTC_AlarmStruct->RTC_AlarmMask << 2) & RTC_ALRMAR3_MSK3));
2237  0087 1e08          	ldw	x,(OFST+4,sp)
2238  0089 e604          	ld	a,(4,x)
2239  008b 48            	sll	a
2240  008c 48            	sll	a
2241  008d a480          	and	a,#128
2242  008f 6b01          	ld	(OFST-3,sp),a
2243  0091 f6            	ld	a,(x)
2244  0092 cd0000        	call	L3_RTC_ByteToBcd2
2246  0095 1e08          	ldw	x,(OFST+4,sp)
2247  0097 ea03          	or	a,(3,x)
2248  0099 1a01          	or	a,(OFST-3,sp)
2249  009b ad22          	call	LC006
2250  009d 6b01          	ld	(OFST-3,sp),a
2251  009f e606          	ld	a,(6,x)
2252  00a1 cd0000        	call	L3_RTC_ByteToBcd2
2254  00a4 1e08          	ldw	x,(OFST+4,sp)
2255  00a6 ea05          	or	a,(5,x)
2256  00a8               L7111:
2257  00a8 1a01          	or	a,(OFST-3,sp)
2258  00aa c7515f        	ld	20831,a
2259                     ; 748         status = SUCCESS;
2261  00ad a601          	ld	a,#1
2262  00af 6b02          	ld	(OFST-2,sp),a
2263  00b1 2004          	jra	L1211
2264  00b3               L7701:
2265                     ; 753     status = ERROR;
2268  00b3 0f02          	clr	(OFST-2,sp)
2269  00b5 a601          	ld	a,#1
2270  00b7               L1211:
2271                     ; 757  RTC_WriteProtectionCmd(ENABLE);
2273  00b7 cd0000        	call	_RTC_WriteProtectionCmd
2275                     ; 759   return (ErrorStatus)status;
2277  00ba 7b02          	ld	a,(OFST-2,sp)
2280  00bc 5b05          	addw	sp,#5
2281  00be 81            	ret	
2282  00bf               LC006:
2283  00bf c7515e        	ld	20830,a
2284                     ; 728           RTC->ALRMAR4 = (uint8_t)((RTC_AlarmStruct->RTC_AlarmDateWeekDay)| \
2284                     ; 729                                    (RTC_AlarmStruct->RTC_AlarmDateWeekDaySel)|\
2284                     ; 730                                    ((RTC_AlarmStruct->RTC_AlarmMask << 3) & RTC_ALRMAR4_MSK4));
2286  00c2 e604          	ld	a,(4,x)
2287  00c4 48            	sll	a
2288  00c5 48            	sll	a
2289  00c6 48            	sll	a
2290  00c7 a480          	and	a,#128
2291  00c9 81            	ret	
2357                     ; 770 void RTC_GetAlarm(RTC_Format_TypeDef RTC_Format, RTC_AlarmTypeDef* RTC_AlarmStruct)
2357                     ; 771 {
2358                     .text:	section	.text,new
2359  0000               _RTC_GetAlarm:
2361  0000 88            	push	a
2362  0001 89            	pushw	x
2363       00000002      OFST:	set	2
2366                     ; 772   uint8_t tmpreg = 0;
2368                     ; 773   uint8_t alarmmask =0;
2370                     ; 776   assert_param(IS_RTC_FORMAT(RTC_Format));
2372                     ; 780   tmpreg = RTC->ALRMAR1;
2374  0002 c6515c        	ld	a,20828
2375  0005 6b02          	ld	(OFST+0,sp),a
2376                     ; 781   RTC_AlarmStruct->RTC_AlarmTime.RTC_Seconds = (uint8_t)(tmpreg & (RTC_ALRMAR1_ST | RTC_ALRMAR1_SU));
2378  0007 1e06          	ldw	x,(OFST+4,sp)
2379  0009 a47f          	and	a,#127
2380  000b e702          	ld	(2,x),a
2381                     ; 782   alarmmask = (uint8_t)(tmpreg & RTC_ALRMAR1_MSK1);
2383  000d 7b02          	ld	a,(OFST+0,sp)
2384  000f a480          	and	a,#128
2385  0011 6b01          	ld	(OFST-1,sp),a
2386                     ; 784   tmpreg = RTC->ALRMAR2;
2388  0013 c6515d        	ld	a,20829
2389  0016 6b02          	ld	(OFST+0,sp),a
2390                     ; 785   RTC_AlarmStruct->RTC_AlarmTime.RTC_Minutes = (uint8_t)(tmpreg & (RTC_ALRMAR2_MNT | RTC_ALRMAR2_MNU));
2392  0018 a47f          	and	a,#127
2393  001a e701          	ld	(1,x),a
2394                     ; 786   alarmmask = (uint8_t)((alarmmask)|((tmpreg & RTC_ALRMAR2_MSK2)>>1));
2396  001c 7b02          	ld	a,(OFST+0,sp)
2397  001e a480          	and	a,#128
2398  0020 44            	srl	a
2399  0021 1a01          	or	a,(OFST-1,sp)
2400  0023 6b01          	ld	(OFST-1,sp),a
2401                     ; 788   tmpreg = RTC->ALRMAR3;
2403  0025 c6515e        	ld	a,20830
2404  0028 6b02          	ld	(OFST+0,sp),a
2405                     ; 789   RTC_AlarmStruct->RTC_AlarmTime.RTC_Hours = (uint8_t)(tmpreg & (RTC_ALRMAR3_HT | RTC_ALRMAR3_HU));
2407  002a a43f          	and	a,#63
2408  002c f7            	ld	(x),a
2409                     ; 790   RTC_AlarmStruct->RTC_AlarmTime.RTC_H12 = (uint8_t)(tmpreg & RTC_ALRMAR3_PM);
2411  002d 7b02          	ld	a,(OFST+0,sp)
2412  002f a440          	and	a,#64
2413  0031 e703          	ld	(3,x),a
2414                     ; 791   alarmmask = (uint8_t)((alarmmask)|((tmpreg & RTC_ALRMAR3_MSK3)>>2));
2416  0033 7b02          	ld	a,(OFST+0,sp)
2417  0035 a480          	and	a,#128
2418  0037 44            	srl	a
2419  0038 44            	srl	a
2420  0039 1a01          	or	a,(OFST-1,sp)
2421  003b 6b01          	ld	(OFST-1,sp),a
2422                     ; 793   tmpreg = (uint8_t)(RTC->ALRMAR4);
2424  003d c6515f        	ld	a,20831
2425  0040 6b02          	ld	(OFST+0,sp),a
2426                     ; 794   RTC_AlarmStruct->RTC_AlarmDateWeekDay = (uint8_t)(tmpreg & (RTC_ALRMAR4_DT | RTC_ALRMAR4_DU));
2428  0042 a43f          	and	a,#63
2429  0044 e706          	ld	(6,x),a
2430                     ; 795   RTC_AlarmStruct->RTC_AlarmDateWeekDaySel = (uint8_t)(tmpreg & RTC_ALRMAR4_WDSEL);
2432  0046 7b02          	ld	a,(OFST+0,sp)
2433  0048 a440          	and	a,#64
2434  004a e705          	ld	(5,x),a
2435                     ; 796   alarmmask = (uint8_t)((alarmmask)|((tmpreg & RTC_ALRMAR4_MSK4)>>3));
2437  004c 7b02          	ld	a,(OFST+0,sp)
2438  004e a480          	and	a,#128
2439  0050 44            	srl	a
2440  0051 44            	srl	a
2441  0052 44            	srl	a
2442  0053 1a01          	or	a,(OFST-1,sp)
2443  0055 6b01          	ld	(OFST-1,sp),a
2444                     ; 798   RTC_AlarmStruct->RTC_AlarmMask = alarmmask;
2446  0057 e704          	ld	(4,x),a
2447                     ; 800   if (RTC_Format == RTC_Format_BIN)
2449  0059 7b03          	ld	a,(OFST+1,sp)
2450  005b 2622          	jrne	L7511
2451                     ; 802     RTC_AlarmStruct->RTC_AlarmTime.RTC_Hours = RTC_Bcd2ToByte(RTC_AlarmStruct->RTC_AlarmTime.RTC_Hours);   
2453  005d f6            	ld	a,(x)
2454  005e cd0000        	call	L5_RTC_Bcd2ToByte
2456  0061 1e06          	ldw	x,(OFST+4,sp)
2457  0063 f7            	ld	(x),a
2458                     ; 803     RTC_AlarmStruct->RTC_AlarmTime.RTC_Minutes = RTC_Bcd2ToByte(RTC_AlarmStruct->RTC_AlarmTime.RTC_Minutes);   
2460  0064 e601          	ld	a,(1,x)
2461  0066 cd0000        	call	L5_RTC_Bcd2ToByte
2463  0069 1e06          	ldw	x,(OFST+4,sp)
2464  006b e701          	ld	(1,x),a
2465                     ; 804     RTC_AlarmStruct->RTC_AlarmTime.RTC_Seconds = RTC_Bcd2ToByte(RTC_AlarmStruct->RTC_AlarmTime.RTC_Seconds);
2467  006d e602          	ld	a,(2,x)
2468  006f cd0000        	call	L5_RTC_Bcd2ToByte
2470  0072 1e06          	ldw	x,(OFST+4,sp)
2471  0074 e702          	ld	(2,x),a
2472                     ; 805     RTC_AlarmStruct->RTC_AlarmDateWeekDay = RTC_Bcd2ToByte(RTC_AlarmStruct->RTC_AlarmDateWeekDay);
2474  0076 e606          	ld	a,(6,x)
2475  0078 cd0000        	call	L5_RTC_Bcd2ToByte
2477  007b 1e06          	ldw	x,(OFST+4,sp)
2478  007d e706          	ld	(6,x),a
2479  007f               L7511:
2480                     ; 807 }
2483  007f 5b03          	addw	sp,#3
2484  0081 81            	ret	
2520                     ; 814 void RTC_AlarmCmd(FunctionalState NewState)
2520                     ; 815 {
2521                     .text:	section	.text,new
2522  0000               _RTC_AlarmCmd:
2524  0000 88            	push	a
2525       00000000      OFST:	set	0
2528                     ; 817   assert_param(IS_FUNCTIONAL_STATE(NewState));
2530                     ; 820   RTC_WriteProtectionCmd(DISABLE);
2532  0001 4f            	clr	a
2533  0002 cd0000        	call	_RTC_WriteProtectionCmd
2535                     ; 823   if (NewState != DISABLE)
2537  0005 7b01          	ld	a,(OFST+1,sp)
2538  0007 2706          	jreq	L7711
2539                     ; 825     RTC->CR2 |= (uint8_t)RTC_CR2_ALRAE;
2541  0009 72105149      	bset	20809,#0
2543  000d 2004          	jra	L1021
2544  000f               L7711:
2545                     ; 829     RTC->CR2 &= (uint8_t)~RTC_CR2_ALRAE;
2547  000f 72115149      	bres	20809,#0
2548  0013               L1021:
2549                     ; 833   RTC_WriteProtectionCmd(ENABLE);
2551  0013 a601          	ld	a,#1
2552  0015 cd0000        	call	_RTC_WriteProtectionCmd
2554                     ; 834 }
2557  0018 84            	pop	a
2558  0019 81            	ret	
2669                     ; 844 ErrorStatus RTC_WakeUpClockConfig(RTC_WakeUpClock_TypeDef RTC_WakeupClock)
2669                     ; 845 {
2670                     .text:	section	.text,new
2671  0000               _RTC_WakeUpClockConfig:
2673  0000 88            	push	a
2674  0001 5203          	subw	sp,#3
2675       00000003      OFST:	set	3
2678                     ; 846   ErrorStatus status = ERROR;
2680                     ; 847   uint16_t wutwfcount =0;
2682  0003 5f            	clrw	x
2683  0004 1f02          	ldw	(OFST-1,sp),x
2684                     ; 850   assert_param(IS_RTC_WAKEUP_CLOCK(RTC_WakeupClock));
2686                     ; 853   RTC_WriteProtectionCmd(DISABLE); 
2688  0006 4f            	clr	a
2689  0007 cd0000        	call	_RTC_WriteProtectionCmd
2691                     ; 856   RTC->CR2 &= (uint8_t)~RTC_CR2_WUTE;
2693  000a 72155149      	bres	20809,#2
2695  000e 2003          	jra	L3521
2696  0010               L1521:
2697                     ; 861     wutwfcount++;
2699  0010 5c            	incw	x
2700  0011 1f02          	ldw	(OFST-1,sp),x
2701  0013               L3521:
2702                     ; 859   while (((RTC->ISR1 & RTC_ISR1_WUTWF) == RESET) && ( wutwfcount !=WUTWF_TIMEOUT))
2704  0013 7204514c07    	btjt	20812,#2,L7521
2706  0018 1e02          	ldw	x,(OFST-1,sp)
2707  001a a3ffff        	cpw	x,#65535
2708  001d 26f1          	jrne	L1521
2709  001f               L7521:
2710                     ; 865   RTC->CR1 &= (uint8_t)~RTC_CR1_WUCKSEL;
2712  001f c65148        	ld	a,20808
2713  0022 a4f8          	and	a,#248
2714  0024 c75148        	ld	20808,a
2715                     ; 868   RTC->CR1 |= (uint8_t)RTC_WakeupClock;
2717  0027 c65148        	ld	a,20808
2718  002a 1a04          	or	a,(OFST+1,sp)
2719  002c c75148        	ld	20808,a
2720                     ; 872   RTC_WriteProtectionCmd(ENABLE);  
2722  002f a601          	ld	a,#1
2723  0031 cd0000        	call	_RTC_WriteProtectionCmd
2725                     ; 874   if((RTC->ISR1 & RTC_ISR1_WUTWF) == RESET)
2727  0034 7204514c03    	btjt	20812,#2,L1621
2728                     ; 876     status = ERROR;
2730  0039 4f            	clr	a
2732  003a 2002          	jra	L3621
2733  003c               L1621:
2734                     ; 880     status = SUCCESS; 
2736  003c a601          	ld	a,#1
2737  003e               L3621:
2738                     ; 883   return (ErrorStatus)status;
2742  003e 5b04          	addw	sp,#4
2743  0040 81            	ret	
2779                     ; 891 void RTC_WakeUpCmd(FunctionalState NewState)
2779                     ; 892 {
2780                     .text:	section	.text,new
2781  0000               _RTC_WakeUpCmd:
2783  0000 88            	push	a
2784       00000000      OFST:	set	0
2787                     ; 894   assert_param(IS_FUNCTIONAL_STATE(NewState));
2789                     ; 897   RTC_WriteProtectionCmd(DISABLE); 
2791  0001 4f            	clr	a
2792  0002 cd0000        	call	_RTC_WriteProtectionCmd
2794                     ; 899   if (NewState != DISABLE)
2796  0005 7b01          	ld	a,(OFST+1,sp)
2797  0007 2706          	jreq	L3031
2798                     ; 902     RTC->CR2 |= (uint8_t)RTC_CR2_WUTE;   
2800  0009 72145149      	bset	20809,#2
2802  000d 2004          	jra	L5031
2803  000f               L3031:
2804                     ; 907     RTC->CR2 &= (uint8_t)~RTC_CR2_WUTE;      
2806  000f 72155149      	bres	20809,#2
2807  0013               L5031:
2808                     ; 911    RTC_WriteProtectionCmd(ENABLE);    
2810  0013 a601          	ld	a,#1
2811  0015 cd0000        	call	_RTC_WriteProtectionCmd
2813                     ; 912 }
2816  0018 84            	pop	a
2817  0019 81            	ret	
2873                     ; 922 ErrorStatus RTC_SetWakeUpCounter(uint16_t RTC_WakeupCounter)
2873                     ; 923 {
2874                     .text:	section	.text,new
2875  0000               _RTC_SetWakeUpCounter:
2877  0000 89            	pushw	x
2878  0001 5203          	subw	sp,#3
2879       00000003      OFST:	set	3
2882                     ; 924   ErrorStatus status = ERROR;
2884                     ; 925   uint16_t wutwfcount =0;
2886  0003 5f            	clrw	x
2887  0004 1f02          	ldw	(OFST-1,sp),x
2888                     ; 928   RTC_WriteProtectionCmd(DISABLE); 
2890  0006 4f            	clr	a
2891  0007 cd0000        	call	_RTC_WriteProtectionCmd
2893                     ; 931   RTC->CR2 &= (uint8_t)~RTC_CR2_WUTE;
2895  000a 72155149      	bres	20809,#2
2897  000e 2003          	jra	L7331
2898  0010               L5331:
2899                     ; 936     wutwfcount++;
2901  0010 5c            	incw	x
2902  0011 1f02          	ldw	(OFST-1,sp),x
2903  0013               L7331:
2904                     ; 934   while (((RTC->ISR1 & RTC_ISR1_WUTWF) == RESET) && ( wutwfcount != WUTWF_TIMEOUT))
2906  0013 7204514c07    	btjt	20812,#2,L3431
2908  0018 1e02          	ldw	x,(OFST-1,sp)
2909  001a a3ffff        	cpw	x,#65535
2910  001d 26f1          	jrne	L5331
2911  001f               L3431:
2912                     ; 940   RTC->WUTRH = (uint8_t)(RTC_WakeupCounter>>8);
2914  001f 7b04          	ld	a,(OFST+1,sp)
2915  0021 c75154        	ld	20820,a
2916                     ; 941   RTC->WUTRL = (uint8_t)(RTC_WakeupCounter);
2918  0024 7b05          	ld	a,(OFST+2,sp)
2919  0026 c75155        	ld	20821,a
2920                     ; 944   RTC_WriteProtectionCmd(ENABLE);  
2922  0029 a601          	ld	a,#1
2923  002b cd0000        	call	_RTC_WriteProtectionCmd
2925                     ; 946   if((RTC->ISR1 & RTC_ISR1_WUTWF) == RESET)
2927  002e 7204514c03    	btjt	20812,#2,L5431
2928                     ; 948     status = ERROR;
2930  0033 4f            	clr	a
2932  0034 2002          	jra	L7431
2933  0036               L5431:
2934                     ; 952     status = SUCCESS; 
2936  0036 a601          	ld	a,#1
2937  0038               L7431:
2938                     ; 955   return (ErrorStatus)status;
2942  0038 5b05          	addw	sp,#5
2943  003a 81            	ret	
2978                     ; 963 uint16_t RTC_GetWakeUpCounter(void)
2978                     ; 964 {  
2979                     .text:	section	.text,new
2980  0000               _RTC_GetWakeUpCounter:
2982  0000 89            	pushw	x
2983       00000002      OFST:	set	2
2986                     ; 965   uint16_t tmpreg = 0; 
2988                     ; 968   tmpreg = ((uint16_t)RTC->WUTRH)<< 8;
2990  0001 c65154        	ld	a,20820
2991  0004 97            	ld	xl,a
2992  0005 4f            	clr	a
2993  0006 02            	rlwa	x,a
2994  0007 1f01          	ldw	(OFST-1,sp),x
2995                     ; 969   tmpreg |= RTC->WUTRL;
2997  0009 5f            	clrw	x
2998  000a c65155        	ld	a,20821
2999  000d 97            	ld	xl,a
3000  000e 01            	rrwa	x,a
3001  000f 1a02          	or	a,(OFST+0,sp)
3002  0011 01            	rrwa	x,a
3003  0012 1a01          	or	a,(OFST-1,sp)
3004  0014 01            	rrwa	x,a
3005                     ; 971   return (uint16_t)tmpreg;
3009  0015 5b02          	addw	sp,#2
3010  0017 81            	ret	
3101                     ; 983 void RTC_DayLightSavingConfig(RTC_DayLightSaving_TypeDef RTC_DayLightSaving, 
3101                     ; 984                               RTC_StoreOperation_TypeDef RTC_StoreOperation)
3101                     ; 985 {
3102                     .text:	section	.text,new
3103  0000               _RTC_DayLightSavingConfig:
3105  0000 89            	pushw	x
3106       00000000      OFST:	set	0
3109                     ; 987   assert_param(IS_RTC_DAYLIGHT_SAVING(RTC_DayLightSaving));
3111                     ; 988   assert_param(IS_RTC_STORE_OPERATION(RTC_StoreOperation));
3113                     ; 991   RTC_WriteProtectionCmd(DISABLE); 
3115  0001 4f            	clr	a
3116  0002 cd0000        	call	_RTC_WriteProtectionCmd
3118                     ; 995   RTC->CR3 &= (uint8_t)~(RTC_CR3_BCK);
3120  0005 7215514a      	bres	20810,#2
3121                     ; 998   RTC->CR3 |= (uint8_t)(RTC_DayLightSaving|RTC_StoreOperation);
3123  0009 7b01          	ld	a,(OFST+1,sp)
3124  000b 1a02          	or	a,(OFST+2,sp)
3125  000d ca514a        	or	a,20810
3126  0010 c7514a        	ld	20810,a
3127                     ; 1001    RTC_WriteProtectionCmd(ENABLE);    
3129  0013 a601          	ld	a,#1
3130  0015 cd0000        	call	_RTC_WriteProtectionCmd
3132                     ; 1002 }
3135  0018 85            	popw	x
3136  0019 81            	ret	
3161                     ; 1011 RTC_StoreOperation_TypeDef  RTC_GetStoreOperation(void)
3161                     ; 1012 {
3162                     .text:	section	.text,new
3163  0000               _RTC_GetStoreOperation:
3167                     ; 1013    return (RTC_StoreOperation_TypeDef)(RTC->CR3 & RTC_CR3_BCK);  
3169  0000 c6514a        	ld	a,20810
3170  0003 a404          	and	a,#4
3173  0005 81            	ret	
3268                     ; 1025 void RTC_OutputConfig(RTC_Output_TypeDef RTC_Output, 
3268                     ; 1026                       RTC_OutputPolarity_TypeDef RTC_OutputPolarity)
3268                     ; 1027 {
3269                     .text:	section	.text,new
3270  0000               _RTC_OutputConfig:
3272  0000 89            	pushw	x
3273       00000000      OFST:	set	0
3276                     ; 1029   assert_param(IS_RTC_OUTPUT_SEL(RTC_Output));
3278                     ; 1030   assert_param(IS_RTC_OUTPUT_POL(RTC_OutputPolarity));
3280                     ; 1033   RTC_WriteProtectionCmd(DISABLE);
3282  0001 4f            	clr	a
3283  0002 cd0000        	call	_RTC_WriteProtectionCmd
3285                     ; 1036   RTC->CR3 &= (uint8_t)~(RTC_CR3_OSEL | RTC_CR3_POL);
3287  0005 c6514a        	ld	a,20810
3288  0008 a48f          	and	a,#143
3289  000a c7514a        	ld	20810,a
3290                     ; 1039   RTC->CR3 |= (uint8_t)(RTC_Output | RTC_OutputPolarity);
3292  000d 7b01          	ld	a,(OFST+1,sp)
3293  000f 1a02          	or	a,(OFST+2,sp)
3294  0011 ca514a        	or	a,20810
3295  0014 c7514a        	ld	20810,a
3296                     ; 1042    RTC_WriteProtectionCmd(ENABLE); 
3298  0017 a601          	ld	a,#1
3299  0019 cd0000        	call	_RTC_WriteProtectionCmd
3301                     ; 1043 }
3304  001c 85            	popw	x
3305  001d 81            	ret	
3435                     ; 1051 FlagStatus RTC_GetFlagStatus(RTC_Flag_TypeDef RTC_FLAG)
3435                     ; 1052 {
3436                     .text:	section	.text,new
3437  0000               _RTC_GetFlagStatus:
3439  0000 89            	pushw	x
3440  0001 5203          	subw	sp,#3
3441       00000003      OFST:	set	3
3444                     ; 1053   FlagStatus bitstatus = RESET;
3446                     ; 1054   uint16_t tmpreg = 0;
3448                     ; 1057   assert_param(IS_RTC_GET_FLAG(RTC_FLAG));
3450                     ; 1060   tmpreg = (uint16_t)((RTC->ISR2 << 8) | RTC->ISR1);
3452  0003 c6514d        	ld	a,20813
3453  0006 5f            	clrw	x
3454  0007 97            	ld	xl,a
3455  0008 c6514c        	ld	a,20812
3456  000b 02            	rlwa	x,a
3457  000c 1f01          	ldw	(OFST-2,sp),x
3458                     ; 1063   if ((tmpreg & RTC_FLAG) != RESET)
3460  000e 01            	rrwa	x,a
3461  000f 1405          	and	a,(OFST+2,sp)
3462  0011 01            	rrwa	x,a
3463  0012 1404          	and	a,(OFST+1,sp)
3464  0014 01            	rrwa	x,a
3465  0015 5d            	tnzw	x
3466  0016 2704          	jreq	L5651
3467                     ; 1065     bitstatus = SET;
3469  0018 a601          	ld	a,#1
3471  001a 2001          	jra	L7651
3472  001c               L5651:
3473                     ; 1069     bitstatus = RESET;
3475  001c 4f            	clr	a
3476  001d               L7651:
3477                     ; 1071   return (FlagStatus)bitstatus;
3481  001d 5b05          	addw	sp,#5
3482  001f 81            	ret	
3517                     ; 1080 void RTC_ClearFlag(RTC_Flag_TypeDef RTC_FLAG)
3517                     ; 1081 {
3518                     .text:	section	.text,new
3519  0000               _RTC_ClearFlag:
3521  0000 89            	pushw	x
3522       00000000      OFST:	set	0
3525                     ; 1083   assert_param(IS_RTC_CLEAR_FLAG(RTC_FLAG));
3527                     ; 1086   RTC->ISR2 = (uint8_t)~(RTC_FLAG >> 8) ;
3529  0001 9e            	ld	a,xh
3530  0002 43            	cpl	a
3531  0003 c7514d        	ld	20813,a
3532                     ; 1087   RTC->ISR1 = (uint8_t)(((uint8_t)~(RTC_FLAG)) & ((uint8_t)~(RTC_ISR1_INIT)));
3534  0006 7b02          	ld	a,(OFST+2,sp)
3535  0008 43            	cpl	a
3536  0009 a47f          	and	a,#127
3537  000b c7514c        	ld	20812,a
3538                     ; 1088 }
3541  000e 85            	popw	x
3542  000f 81            	ret	
3606                     ; 1096 ITStatus RTC_GetITStatus(RTC_IT_TypeDef RTC_IT)
3606                     ; 1097 {
3607                     .text:	section	.text,new
3608  0000               _RTC_GetITStatus:
3610  0000 88            	push	a
3611  0001 89            	pushw	x
3612       00000002      OFST:	set	2
3615                     ; 1098   ITStatus bitstatus = RESET;
3617                     ; 1099   uint8_t status = 0, tmpreg = 0;
3621                     ; 1102   assert_param(IS_RTC_GET_IT(RTC_IT));
3623                     ; 1105   status = (uint8_t)(RTC->CR2 & RTC_IT);
3625  0002 c45149        	and	a,20809
3626  0005 6b01          	ld	(OFST-1,sp),a
3627                     ; 1108   tmpreg = (uint8_t)(RTC->ISR2 & (uint8_t)(RTC_IT >> 4));
3629  0007 7b03          	ld	a,(OFST+1,sp)
3630  0009 4e            	swap	a
3631  000a a40f          	and	a,#15
3632  000c c4514d        	and	a,20813
3633  000f 6b02          	ld	(OFST+0,sp),a
3634                     ; 1111   if (status != (uint8_t)RESET && tmpreg != (uint8_t)RESET)
3636  0011 7b01          	ld	a,(OFST-1,sp)
3637  0013 2708          	jreq	L1461
3639  0015 7b02          	ld	a,(OFST+0,sp)
3640  0017 2704          	jreq	L1461
3641                     ; 1113     bitstatus = SET;
3643  0019 a601          	ld	a,#1
3645  001b 2001          	jra	L3461
3646  001d               L1461:
3647                     ; 1117     bitstatus = RESET;
3649  001d 4f            	clr	a
3650  001e               L3461:
3651                     ; 1120   return (ITStatus)bitstatus;
3655  001e 5b03          	addw	sp,#3
3656  0020 81            	ret	
3692                     ; 1129 void RTC_ClearITPendingBit(RTC_IT_TypeDef RTC_IT)
3692                     ; 1130 {
3693                     .text:	section	.text,new
3694  0000               _RTC_ClearITPendingBit:
3698                     ; 1132   assert_param(IS_RTC_CLEAR_IT(RTC_IT));
3700                     ; 1135   RTC->ISR2 = (uint8_t)~(RTC_IT >> 4);
3702  0000 4e            	swap	a
3703  0001 a40f          	and	a,#15
3704  0003 43            	cpl	a
3705  0004 c7514d        	ld	20813,a
3706                     ; 1136 }
3709  0007 81            	ret	
3745                     ; 1144 void RTC_CalibOutputCmd(FunctionalState NewState)
3745                     ; 1145 {
3746                     .text:	section	.text,new
3747  0000               _RTC_CalibOutputCmd:
3749  0000 88            	push	a
3750       00000000      OFST:	set	0
3753                     ; 1147   assert_param(IS_FUNCTIONAL_STATE(NewState));
3755                     ; 1150   RTC_WriteProtectionCmd(DISABLE);
3757  0001 4f            	clr	a
3758  0002 cd0000        	call	_RTC_WriteProtectionCmd
3760                     ; 1152   if (NewState != DISABLE)
3762  0005 7b01          	ld	a,(OFST+1,sp)
3763  0007 2706          	jreq	L1071
3764                     ; 1155     RTC->CR3 |= (u8)RTC_CR3_COE;
3766  0009 721e514a      	bset	20810,#7
3768  000d 2004          	jra	L3071
3769  000f               L1071:
3770                     ; 1160     RTC->CR3 &= (u8)~RTC_CR3_COE;
3772  000f 721f514a      	bres	20810,#7
3773  0013               L3071:
3774                     ; 1164   RTC_WriteProtectionCmd(ENABLE); 
3776  0013 a601          	ld	a,#1
3777  0015 cd0000        	call	_RTC_WriteProtectionCmd
3779                     ; 1165 }
3782  0018 84            	pop	a
3783  0019 81            	ret	
3826                     ; 1176 static uint8_t RTC_ByteToBcd2(uint8_t Value)
3826                     ; 1177 {
3827                     .text:	section	.text,new
3828  0000               L3_RTC_ByteToBcd2:
3830  0000 88            	push	a
3831  0001 88            	push	a
3832       00000001      OFST:	set	1
3835                     ; 1178   uint8_t bcdhigh = 0;
3837  0002 0f01          	clr	(OFST+0,sp)
3839  0004 7b02          	ld	a,(OFST+1,sp)
3840  0006 2006          	jra	L3371
3841  0008               L7271:
3842                     ; 1182     bcdhigh++;
3844  0008 0c01          	inc	(OFST+0,sp)
3845                     ; 1183     Value -= 10;
3847  000a a00a          	sub	a,#10
3848  000c 6b02          	ld	(OFST+1,sp),a
3849  000e               L3371:
3850                     ; 1180   while (Value >= 10)
3852  000e a10a          	cp	a,#10
3853  0010 24f6          	jruge	L7271
3854                     ; 1186   return  (uint8_t)((uint8_t)(bcdhigh << 4) | Value);
3856  0012 7b01          	ld	a,(OFST+0,sp)
3857  0014 97            	ld	xl,a
3858  0015 a610          	ld	a,#16
3859  0017 42            	mul	x,a
3860  0018 9f            	ld	a,xl
3861  0019 1a02          	or	a,(OFST+1,sp)
3864  001b 85            	popw	x
3865  001c 81            	ret	
3908                     ; 1194 static uint8_t RTC_Bcd2ToByte(uint8_t Value)
3908                     ; 1195 {
3909                     .text:	section	.text,new
3910  0000               L5_RTC_Bcd2ToByte:
3912  0000 88            	push	a
3913  0001 88            	push	a
3914       00000001      OFST:	set	1
3917                     ; 1196   uint8_t tmp = 0;
3919                     ; 1198   tmp = (uint8_t)(((Value & (uint8_t)0xF0) >> 4) * 10);
3921  0002 4e            	swap	a
3922  0003 a40f          	and	a,#15
3923  0005 97            	ld	xl,a
3924  0006 a60a          	ld	a,#10
3925  0008 42            	mul	x,a
3926  0009 9f            	ld	a,xl
3927  000a 6b01          	ld	(OFST+0,sp),a
3928                     ; 1200   return (uint8_t)(tmp + (Value & (uint8_t)0x0F));
3930  000c 7b02          	ld	a,(OFST+1,sp)
3931  000e a40f          	and	a,#15
3932  0010 1b01          	add	a,(OFST+0,sp)
3935  0012 85            	popw	x
3936  0013 81            	ret	
3949                     	xdef	_RTC_ClearITPendingBit
3950                     	xdef	_RTC_GetITStatus
3951                     	xdef	_RTC_ClearFlag
3952                     	xdef	_RTC_GetFlagStatus
3953                     	xdef	_RTC_CalibOutputCmd
3954                     	xdef	_RTC_OutputConfig
3955                     	xdef	_RTC_GetStoreOperation
3956                     	xdef	_RTC_DayLightSavingConfig
3957                     	xdef	_RTC_WakeUpCmd
3958                     	xdef	_RTC_GetWakeUpCounter
3959                     	xdef	_RTC_SetWakeUpCounter
3960                     	xdef	_RTC_WakeUpClockConfig
3961                     	xdef	_RTC_AlarmCmd
3962                     	xdef	_RTC_GetAlarm
3963                     	xdef	_RTC_SetAlarm
3964                     	xdef	_RTC_GetDate
3965                     	xdef	_RTC_GetTime
3966                     	xdef	_RTC_SetDate
3967                     	xdef	_RTC_SetTime
3968                     	xdef	_RTC_RatioCmd
3969                     	xdef	_RTC_WaitForSynchro
3970                     	xdef	_RTC_WriteProtectionCmd
3971                     	xdef	_RTC_ExitInitMode
3972                     	xdef	_RTC_EnterInitMode
3973                     	xdef	_RTC_ITConfig
3974                     	xdef	_RTC_StructInit
3975                     	xdef	_RTC_Init
3976                     	xdef	_RTC_DeInit
3995                     	end
