   1                     ; C Compiler for STM8 (COSMIC Software)
   2                     ; Generator V4.2.7 - 17 Jun 2008
   3                     ; Optimizer V4.2.7 - 17 Jun 2008
   5                     	bsct
   6  0000               _LED_PORT:
   7  0000 5000          	dc.w	20480
   8  0002 5000          	dc.w	20480
   9  0004 5000          	dc.w	20480
  10  0006 5000          	dc.w	20480
  11  0008 500f          	dc.w	20495
  12                     .const:	section	.text
  13  0000               _LED_PIN:
  14  0000 10            	dc.b	16
  15  0001 20            	dc.b	32
  16  0002 40            	dc.b	64
  17  0003 80            	dc.b	128
  18  0004 04            	dc.b	4
  19                     	bsct
  20  000a               _BUTTON_PORT:
  21  000a 500a          	dc.w	20490
  22  000c 500f          	dc.w	20495
  23  000e 5014          	dc.w	20500
  24  0010 500f          	dc.w	20495
  25  0012 500f          	dc.w	20495
  26  0014 5014          	dc.w	20500
  27                     	switch	.const
  28  0005               _BUTTON_PIN:
  29  0005 02            	dc.b	2
  30  0006 20            	dc.b	32
  31  0007 02            	dc.b	2
  32  0008 80            	dc.b	128
  33  0009 10            	dc.b	16
  34  000a 04            	dc.b	4
  35                     	bsct
  36  0016               _COM_USART:
  37  0016 5230          	dc.w	21040
  38  0018               _COM_PORT:
  39  0018 500a          	dc.w	20490
  40                     	switch	.const
  41  000b               _COM_USART_CLK:
  42  000b 05            	dc.b	5
  43  000c               _COM_TX_PIN:
  44  000c 08            	dc.b	8
  45  000d               _COM_RX_PIN:
  46  000d 04            	dc.b	4
 131                     ; 109 void STM_EVAL_LEDInit(Led_TypeDef Led)
 131                     ; 110 {
 133                     .text:	section	.text,new
 134  0000               _STM_EVAL_LEDInit:
 136  0000 88            	push	a
 137       00000000      OFST:	set	0
 140                     ; 112   GPIO_Init(LED_PORT[Led], LED_PIN[Led], GPIO_Mode_Out_PP_High_Fast);
 142  0001 4bf0          	push	#240
 143  0003 5f            	clrw	x
 144  0004 97            	ld	xl,a
 145  0005 d60000        	ld	a,(_LED_PIN,x)
 146  0008 88            	push	a
 147  0009 7b03          	ld	a,(OFST+3,sp)
 148  000b 5f            	clrw	x
 149  000c 97            	ld	xl,a
 150  000d 58            	sllw	x
 151  000e ee00          	ldw	x,(_LED_PORT,x)
 152  0010 cd0000        	call	_GPIO_Init
 154  0013 85            	popw	x
 155                     ; 113 }
 158  0014 84            	pop	a
 159  0015 81            	ret	
 196                     ; 126 void STM_EVAL_LEDOn(Led_TypeDef Led)
 196                     ; 127 {
 197                     .text:	section	.text,new
 198  0000               _STM_EVAL_LEDOn:
 200  0000 88            	push	a
 201       00000000      OFST:	set	0
 204                     ; 128   LED_PORT[Led]->ODR &= (uint8_t)~LED_PIN[Led]; 
 206  0001 5f            	clrw	x
 207  0002 97            	ld	xl,a
 208  0003 58            	sllw	x
 209  0004 7b01          	ld	a,(OFST+1,sp)
 210  0006 ee00          	ldw	x,(_LED_PORT,x)
 211  0008 905f          	clrw	y
 212  000a 9097          	ld	yl,a
 213  000c 90d60000      	ld	a,(_LED_PIN,y)
 214  0010 43            	cpl	a
 215  0011 f4            	and	a,(x)
 216  0012 f7            	ld	(x),a
 217                     ; 129 }
 220  0013 84            	pop	a
 221  0014 81            	ret	
 258                     ; 142 void STM_EVAL_LEDOff(Led_TypeDef Led)
 258                     ; 143 {
 259                     .text:	section	.text,new
 260  0000               _STM_EVAL_LEDOff:
 262  0000 88            	push	a
 263       00000000      OFST:	set	0
 266                     ; 144   LED_PORT[Led]->ODR |= (uint8_t)LED_PIN[Led];
 268  0001 5f            	clrw	x
 269  0002 97            	ld	xl,a
 270  0003 58            	sllw	x
 271  0004 7b01          	ld	a,(OFST+1,sp)
 272  0006 ee00          	ldw	x,(_LED_PORT,x)
 273  0008 905f          	clrw	y
 274  000a 9097          	ld	yl,a
 275  000c f6            	ld	a,(x)
 276  000d 90da0000      	or	a,(_LED_PIN,y)
 277  0011 f7            	ld	(x),a
 278                     ; 145 }
 281  0012 84            	pop	a
 282  0013 81            	ret	
 319                     ; 158 void STM_EVAL_LEDToggle(Led_TypeDef Led)
 319                     ; 159 {
 320                     .text:	section	.text,new
 321  0000               _STM_EVAL_LEDToggle:
 323  0000 88            	push	a
 324       00000000      OFST:	set	0
 327                     ; 160   LED_PORT[Led]->ODR ^= (uint8_t)LED_PIN[Led];
 329  0001 5f            	clrw	x
 330  0002 97            	ld	xl,a
 331  0003 58            	sllw	x
 332  0004 7b01          	ld	a,(OFST+1,sp)
 333  0006 ee00          	ldw	x,(_LED_PORT,x)
 334  0008 905f          	clrw	y
 335  000a 9097          	ld	yl,a
 336  000c f6            	ld	a,(x)
 337  000d 90d80000      	xor	a,(_LED_PIN,y)
 338  0011 f7            	ld	(x),a
 339                     ; 161 }
 342  0012 84            	pop	a
 343  0013 81            	ret	
 459                     ; 180 void STM_EVAL_PBInit(Button_TypeDef Button, Button_Mode_TypeDef Button_Mode)
 459                     ; 181 {
 460                     .text:	section	.text,new
 461  0000               _STM_EVAL_PBInit:
 463  0000 89            	pushw	x
 464       00000000      OFST:	set	0
 467                     ; 183   if (Button_Mode == Mode_EXTI)
 469  0001 9f            	ld	a,xl
 470  0002 4a            	dec	a
 471  0003 2605          	jrne	L171
 472                     ; 186 	  GPIO_Init(BUTTON_PORT[Button], BUTTON_PIN[Button], GPIO_Mode_In_FL_IT);
 474  0005 4b20          	push	#32
 475  0007 9e            	ld	a,xh
 478  0008 2004          	jra	L371
 479  000a               L171:
 480                     ; 190 	  GPIO_Init(BUTTON_PORT[Button], BUTTON_PIN[Button], GPIO_Mode_In_FL_No_IT);
 482  000a 4b00          	push	#0
 483  000c 7b02          	ld	a,(OFST+2,sp)
 485  000e               L371:
 486  000e 5f            	clrw	x
 487  000f 97            	ld	xl,a
 488  0010 d60005        	ld	a,(_BUTTON_PIN,x)
 489  0013 88            	push	a
 490  0014 7b03          	ld	a,(OFST+3,sp)
 491  0016 5f            	clrw	x
 492  0017 97            	ld	xl,a
 493  0018 58            	sllw	x
 494  0019 ee0a          	ldw	x,(_BUTTON_PORT,x)
 495  001b cd0000        	call	_GPIO_Init
 496  001e 85            	popw	x
 497                     ; 192 }
 500  001f 85            	popw	x
 501  0020 81            	ret	
 540                     ; 206 uint8_t STM_EVAL_PBGetState(Button_TypeDef Button)
 540                     ; 207 {
 541                     .text:	section	.text,new
 542  0000               _STM_EVAL_PBGetState:
 544  0000 88            	push	a
 545       00000000      OFST:	set	0
 548                     ; 208   return GPIO_ReadInputDataBit(BUTTON_PORT[Button], BUTTON_PIN[Button]);
 550  0001 5f            	clrw	x
 551  0002 97            	ld	xl,a
 552  0003 d60005        	ld	a,(_BUTTON_PIN,x)
 553  0006 88            	push	a
 554  0007 7b02          	ld	a,(OFST+2,sp)
 555  0009 5f            	clrw	x
 556  000a 97            	ld	xl,a
 557  000b 58            	sllw	x
 558  000c ee0a          	ldw	x,(_BUTTON_PORT,x)
 559  000e cd0000        	call	_GPIO_ReadInputDataBit
 561  0011 5b02          	addw	sp,#2
 564  0013 81            	ret	
 767                     ; 220 void STM_EVAL_COMInit(COM_TypeDef COM, uint32_t USART_BaudRate, 
 767                     ; 221                                        USART_WordLength_TypeDef USART_WordLength, 
 767                     ; 222 																			 USART_StopBits_TypeDef USART_StopBits,
 767                     ; 223 								                       USART_Parity_TypeDef USART_Parity, 
 767                     ; 224 																			 USART_Mode_TypeDef USART_Mode)
 767                     ; 225 {
 768                     .text:	section	.text,new
 769  0000               _STM_EVAL_COMInit:
 771  0000 88            	push	a
 772       00000000      OFST:	set	0
 775                     ; 228 	CLK_PeripheralClockConfig(COM_USART_CLK[COM], ENABLE);
 777  0001 ae0001        	ldw	x,#1
 778  0004 905f          	clrw	y
 779  0006 9097          	ld	yl,a
 780  0008 90d6000b      	ld	a,(_COM_USART_CLK,y)
 781  000c 95            	ld	xh,a
 782  000d cd0000        	call	_CLK_PeripheralClockConfig
 784                     ; 232   GPIO_Init(COM_PORT[COM], COM_TX_PIN[COM], GPIO_Mode_Out_PP_Low_Fast);
 786  0010 4be0          	push	#224
 787  0012 7b02          	ld	a,(OFST+2,sp)
 788  0014 5f            	clrw	x
 789  0015 97            	ld	xl,a
 790  0016 d6000c        	ld	a,(_COM_TX_PIN,x)
 791  0019 88            	push	a
 792  001a 7b03          	ld	a,(OFST+3,sp)
 793  001c ad55          	call	LC001
 794  001e cd0000        	call	_GPIO_Init
 796  0021 85            	popw	x
 797                     ; 233 	GPIO_ExternalPullUpConfig(COM_PORT[COM], COM_TX_PIN[COM], ENABLE);
 799  0022 4b01          	push	#1
 800  0024 7b02          	ld	a,(OFST+2,sp)
 801  0026 5f            	clrw	x
 802  0027 97            	ld	xl,a
 803  0028 d6000c        	ld	a,(_COM_TX_PIN,x)
 804  002b 88            	push	a
 805  002c 7b03          	ld	a,(OFST+3,sp)
 806  002e ad43          	call	LC001
 807  0030 cd0000        	call	_GPIO_ExternalPullUpConfig
 809  0033 85            	popw	x
 810                     ; 236   GPIO_Init(COM_PORT[COM], COM_RX_PIN[COM], GPIO_Mode_In_FL_No_IT);
 812  0034 4b00          	push	#0
 813  0036 7b02          	ld	a,(OFST+2,sp)
 814  0038 5f            	clrw	x
 815  0039 97            	ld	xl,a
 816  003a d6000d        	ld	a,(_COM_RX_PIN,x)
 817  003d 88            	push	a
 818  003e 7b03          	ld	a,(OFST+3,sp)
 819  0040 ad31          	call	LC001
 820  0042 cd0000        	call	_GPIO_Init
 822  0045 85            	popw	x
 823                     ; 239   USART_Init(COM_USART[COM], USART_BaudRate,
 823                     ; 240 	                           USART_WordLength, 
 823                     ; 241 														 USART_StopBits,
 823                     ; 242 														 USART_Parity,
 823                     ; 243 														 USART_Mode);
 825  0046 7b0b          	ld	a,(OFST+11,sp)
 826  0048 88            	push	a
 827  0049 7b0b          	ld	a,(OFST+11,sp)
 828  004b 88            	push	a
 829  004c 7b0b          	ld	a,(OFST+11,sp)
 830  004e 88            	push	a
 831  004f 7b0b          	ld	a,(OFST+11,sp)
 832  0051 88            	push	a
 833  0052 1e0a          	ldw	x,(OFST+10,sp)
 834  0054 89            	pushw	x
 835  0055 1e0a          	ldw	x,(OFST+10,sp)
 836  0057 89            	pushw	x
 837  0058 7b09          	ld	a,(OFST+9,sp)
 838  005a 5f            	clrw	x
 839  005b 97            	ld	xl,a
 840  005c 58            	sllw	x
 841  005d ee16          	ldw	x,(_COM_USART,x)
 842  005f cd0000        	call	_USART_Init
 844  0062 5b08          	addw	sp,#8
 845                     ; 246   USART_Cmd(COM_USART[COM], ENABLE);
 847  0064 4b01          	push	#1
 848  0066 7b02          	ld	a,(OFST+2,sp)
 849  0068 5f            	clrw	x
 850  0069 97            	ld	xl,a
 851  006a 58            	sllw	x
 852  006b ee16          	ldw	x,(_COM_USART,x)
 853  006d cd0000        	call	_USART_Cmd
 855  0070 84            	pop	a
 856                     ; 247 }
 859  0071 84            	pop	a
 860  0072 81            	ret	
 862  0073               LC001:
 863  0073 5f            	clrw	x
 864  0074 97            	ld	xl,a
 865  0075 58            	sllw	x
 866  0076 ee18          	ldw	x,(_COM_PORT,x)
 867  0078 81            	ret	
1141                     	xdef	_COM_RX_PIN
1142                     	xdef	_COM_TX_PIN
1143                     	xdef	_COM_USART_CLK
1144                     	xdef	_COM_PORT
1145                     	xdef	_COM_USART
1146                     	xdef	_BUTTON_PIN
1147                     	xdef	_BUTTON_PORT
1148                     	xdef	_LED_PIN
1149                     	xdef	_LED_PORT
1150                     	xdef	_STM_EVAL_COMInit
1151                     	xdef	_STM_EVAL_PBGetState
1152                     	xdef	_STM_EVAL_PBInit
1153                     	xdef	_STM_EVAL_LEDToggle
1154                     	xdef	_STM_EVAL_LEDOff
1155                     	xdef	_STM_EVAL_LEDOn
1156                     	xdef	_STM_EVAL_LEDInit
1157                     	xref	_USART_Cmd
1158                     	xref	_USART_Init
1159                     	xref	_GPIO_ExternalPullUpConfig
1160                     	xref	_GPIO_ReadInputDataBit
1161                     	xref	_GPIO_Init
1162                     	xref	_CLK_PeripheralClockConfig
1181                     	end
