// Define to prevent recursive inclusion -------------------------------------
#ifndef __LPDEMO_FUNCTIONS_H
#define __LPDEMO_FUNCTIONS_H

// Includes ------------------------------------------------------------------
#include "stm8l15x.h"

// Private define ------------------------------------------------------------
#define SCROLL_SPEED  1500 /* Low value gives higher speed */
#define SCROLL_SPEED_L  100
#define SCROLL_NUM    1
#define BUTTON_GPIO_PORT              GPIOC
#define FUNCTION_GPIO_PIN             GPIO_Pin_0
#define WAKEUP_GPIO_PIN               GPIO_Pin_1
#define NB_MODE 8


// Exported constants --------------------------------------------------------
// Exported macro ------------------------------------------------------------
// Exported functions ------------------------------------------------------- 
int _fctcpy(char name);
void convert_into_char(int number, uint8_t *p_tab);
void RTC_secItEn(void);
void LPR_init(void);
void LPR_Ram(void);
void LCD_GLASS_Init_RAM(void);

void IDD_question(void);
void RTC_question(void);
void LPMode_Init(void);
void mode_question(int mode);
void launch_mode(int mode);
void mode1(void);
void mode2(void);
void mode3(void);
void mode4(void);
void mode5(void);
void mode6(void);
void mode7(void);

void RTC_doInit(void);
void RTC_InitTime(int sec, int min, int hour);

void Halt_Init(void);




#endif /* __LPDEMO_FUNCTIONS_H*/

